module Log
  class << self
    def info(info, uuid= Random.uuid.to_s)
      logger.tagged(uuid + " " + Time.zone.now.to_s) { logger.info info }
    end

    def error(e)
      logger.tagged(Time.zone.now) { logger.error e.message.to_s }
      e.backtrace.each { |message| logger.tagged(Time.zone.now) { logger.error message.to_s } }
    end

    private

    def logger
      @logger ||= ActiveSupport::TaggedLogging.new(::Logger.new("#{Rails.root}/log/various_push.log", 'weekly'))
    end
  end
end