class CreateNotificationStatistics < ActiveRecord::Migration[5.2]
  def change
    create_table :notification_statistics do |t|
      t.integer :organization_id, index: true, comment: "关联公司"
      t.integer :user_id, index: true, comment: "关联用户" # user id
      t.integer :notification_id, index: true, comment: "关联通知ID"  # id
      t.boolean :is_received, default: false, comment: "是否收到" # APP 上报
      t.string :client_id, comment: "个推ClientID" # 接口调用
      t.integer :platform, comment: "推送平台" #
      t.integer :device_platform, comment: "系统" # device_platform
      t.integer :app_type, comment: "版本" # 调用接口时 app_type
      t.string :device_model, comment: "设备型号" # APP 上报
      t.string :ip, comment: "IP地址" # 可能拿不到
      t.datetime :created_at
      t.datetime :updated_at

      t.timestamps null: false
    end
  end
end
