# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2020_02_28_052609) do

  create_table "acceptances", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.boolean "first_entry", default: true
    t.integer "organization_id"
    t.integer "user_id"
    t.boolean "acceptance_day3", default: false
    t.boolean "acceptance_day8", default: false
    t.string "phone"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean "alerted_day3", default: false
    t.boolean "alerted_day8", default: false
    t.integer "app_type", default: 3
    t.boolean "exp_alerted", default: false
    t.index ["organization_id"], name: "index_acceptances_on_organization_id"
    t.index ["user_id"], name: "index_acceptances_on_user_id"
  end

  create_table "accounts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id"
    t.string "name"
    t.decimal "deposit", precision: 12, scale: 3, default: "0.0"
    t.decimal "balance", precision: 12, scale: 3, default: "0.0"
    t.decimal "warned_threshold", precision: 10, default: "10000"
    t.integer "prev_locked_threshold", default: 24
    t.integer "status", default: 0
    t.datetime "actived_at"
    t.datetime "warned_at"
    t.datetime "prev_locked_at"
    t.datetime "locked_at"
    t.integer "package_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["deleted_at"], name: "index_accounts_on_deleted_at"
    t.index ["organization_id", "status"], name: "index_accounts_on_organization_id_and_status"
    t.index ["status"], name: "index_accounts_on_status"
  end

  create_table "accounts_uc", primary_key: "aid", id: :bigint, comment: "主键", default: nil, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "id"
    t.integer "app_id"
    t.string "account_no", limit: 128, null: false, comment: "账号"
    t.string "phone", limit: 64, comment: "电话"
    t.string "email", limit: 128, comment: "邮箱"
    t.string "name"
    t.string "name_pinyin"
    t.string "avatar_url"
    t.string "gender"
    t.string "source"
    t.string "encrypted_password", default: "", null: false, collation: "utf8_general_ci", comment: "密码"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "locked_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "修改时间"
  end

  create_table "addresses", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id", "addressable_type"], name: "index_addresses_on_addressable_id_and_addressable_type"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["country_id"], name: "index_addresses_on_country_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "admins_departments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["department_id"], name: "index_admins_departments_on_department_id"
    t.index ["user_id"], name: "index_admins_departments_on_user_id"
  end

  create_table "admins_organizations", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_admins_organizations_on_organization_id"
    t.index ["user_id"], name: "index_admins_organizations_on_user_id"
  end

  create_table "agent_bills", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "account_id"
    t.integer "call_agent_id"
    t.integer "package_id"
    t.date "start"
    t.date "end"
    t.decimal "amount", precision: 12, scale: 3, default: "0.0"
    t.decimal "package_amount", precision: 12, scale: 3, default: "0.0"
    t.decimal "package_paid_amount", precision: 12, scale: 3, default: "0.0"
    t.decimal "paid_amount", precision: 12, scale: 3, default: "0.0"
    t.integer "pstn_duration_out", default: 0
    t.integer "pstn_duration_in", default: 0
    t.integer "pstn_duration_out_out_package", default: 0
    t.integer "pstn_duration_in_out_package", default: 0
    t.decimal "pstn_amount", precision: 12, scale: 3, default: "0.0"
    t.decimal "pstn_amount_out_out_package", precision: 12, scale: 3, default: "0.0"
    t.decimal "pstn_amount_in_out_package", precision: 12, scale: 3, default: "0.0"
    t.integer "sip_duration_out", default: 0
    t.integer "sip_duration_in", default: 0
    t.integer "sip_duration_out_out_package", default: 0
    t.integer "sip_duration_in_out_package", default: 0
    t.decimal "sip_amount", precision: 12, scale: 3, default: "0.0"
    t.decimal "sip_amount_out_out_package", precision: 12, scale: 3, default: "0.0"
    t.decimal "sip_amount_in_out_package", precision: 12, scale: 3, default: "0.0"
    t.integer "recording_duration_out", default: 0
    t.integer "recording_duration_in", default: 0
    t.integer "recording_duration_out_out_package", default: 0
    t.integer "recording_duration_in_out_package", default: 0
    t.decimal "recording_amount", precision: 12, scale: 3, default: "0.0"
    t.decimal "recording_amount_out_out_package", precision: 12, scale: 3, default: "0.0"
    t.decimal "recording_amount_in_out_package", precision: 12, scale: 3, default: "0.0"
    t.integer "status", default: 0
    t.integer "package_status", default: 0
    t.datetime "paid_at"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["account_id", "status"], name: "index_agent_bills_on_account_id_and_status"
    t.index ["call_agent_id"], name: "index_agent_bills_on_call_agent_id"
    t.index ["deleted_at"], name: "index_agent_bills_on_deleted_at"
    t.index ["status"], name: "index_agent_bills_on_status"
  end

  create_table "agent_queue_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "call_agent_id"
    t.integer "call_queue_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["call_agent_id"], name: "index_agent_queue_maps_on_call_agent_id"
    t.index ["call_queue_id"], name: "index_agent_queue_maps_on_call_queue_id"
  end

  create_table "alim_app_subscribers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "alim_organization_id"
    t.integer "alim_app_id"
    t.integer "status", default: 0
    t.datetime "deleted_at"
    t.datetime "actived_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["deleted_at"], name: "index_alim_app_subscribers_on_deleted_at"
  end

  create_table "alim_departments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "department_id"
    t.integer "alim_organization_id"
    t.integer "parent_id"
    t.string "dept_id"
    t.string "dept_parent_id"
    t.string "name"
    t.integer "status", default: 0
    t.string "path"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["deleted_at"], name: "index_alim_departments_on_deleted_at"
    t.index ["dept_id"], name: "index_alim_departments_on_dept_id"
    t.index ["dept_parent_id"], name: "index_alim_departments_on_dept_parent_id"
    t.index ["parent_id"], name: "index_alim_departments_on_parent_id"
  end

  create_table "alim_organizations", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "domain_id"
    t.string "corp_name"
    t.string "increment_id"
    t.string "root_department_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["deleted_at"], name: "index_alim_organizations_on_deleted_at"
    t.index ["domain_id"], name: "index_alim_organizations_on_domain_id"
  end

  create_table "alim_user_assist_department_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "alim_department_id"
    t.integer "alim_user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "alim_user_department_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "alim_department_id"
    t.integer "alim_user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "alim_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "alim_organization_id"
    t.string "uid"
    t.string "name"
    t.string "nickname"
    t.string "email"
    t.string "avatar"
    t.string "mobile"
    t.integer "status"
    t.integer "role"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["deleted_at"], name: "index_alim_users_on_deleted_at"
    t.index ["email"], name: "index_alim_users_on_email"
    t.index ["uid"], name: "index_alim_users_on_uid"
  end

  create_table "announcements", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "title"
    t.text "visible_ids", limit: 16777215
    t.string "visible_category"
    t.text "content", limit: 16777215
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "read_count", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean "top", default: false
    t.index ["organization_id"], name: "index_announcements_on_organization_id"
  end

  create_table "anti_seal_number_config", primary_key: ["organization_id", "app_type"], options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id", null: false, comment: "企业id"
    t.integer "app_type", limit: 1, default: 0, null: false, comment: "产品类型0:独立，1:企微，2:钉钉"
    t.integer "enable", limit: 1, default: 0, null: false, comment: "是否开启防封号功能0:关闭，1:开启"
    t.integer "limit_rule", limit: 1, default: 0, null: false, comment: "触发防封号规则后，不同的限制方式0:规定时间内禁止外呼，直至解封,1:继续外呼"
    t.timestamp "created_at", default: -> { "CURRENT_TIMESTAMP" }, null: false, comment: "创建时间"
    t.timestamp "updated_at", default: -> { "CURRENT_TIMESTAMP" }, null: false, comment: "修改时间"
  end

  create_table "api_keys", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.string "access_token"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["access_token"], name: "index_api_keys_on_access_token"
    t.index ["user_id"], name: "index_api_keys_on_user_id"
  end

  create_table "app_versions", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "app_type"
    t.string "version_name"
    t.string "version_code"
    t.string "download_url"
    t.integer "upgrade"
    t.text "changelogs", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "approvals", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "approvable_id"
    t.string "approvable_type"
    t.integer "approve_status", limit: 1, default: 3
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["approvable_id", "approvable_type"], name: "index_approvals_on_approvable_id_and_approvable_type"
    t.index ["organization_id"], name: "index_approvals_on_organization_id"
    t.index ["user_id"], name: "index_approvals_on_user_id"
  end

  create_table "apps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "app_id"
    t.string "app_secret"
    t.string "access_token"
    t.string "app_type"
    t.string "app_name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "archivers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "model_id"
    t.string "model_type"
    t.text "value", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["model_id", "model_type"], name: "index_archivers_on_model_id_and_model_type"
    t.index ["organization_id"], name: "index_archivers_on_organization_id"
    t.index ["user_id"], name: "index_archivers_on_user_id"
  end

  create_table "asr_entity_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "request_id"
    t.string "entity_type"
    t.integer "entity_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["entity_type", "entity_id"], name: "index_asr_entity_maps_on_entity_type_and_entity_id"
    t.index ["request_id"], name: "index_asr_entity_maps_on_request_id", unique: true
  end

  create_table "asset_addresses", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.string "title"
    t.string "snippet"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "zip"
    t.float "lat"
    t.float "lon"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "country_id"
    t.index ["addressable_id", "addressable_type"], name: "index_asset_addresses_on_addressable_id_and_addressable_type"
    t.index ["city_id"], name: "index_asset_addresses_on_city_id"
    t.index ["country_id"], name: "index_asset_addresses_on_country_id"
    t.index ["district_id"], name: "index_asset_addresses_on_district_id"
    t.index ["lat", "lon"], name: "index_asset_addresses_on_lat_and_lon"
    t.index ["province_id"], name: "index_asset_addresses_on_province_id"
  end

  create_table "ats", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.integer "atable_id"
    t.string "atable_type"
    t.integer "at_user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["at_user_id"], name: "index_ats_on_at_user_id"
    t.index ["atable_id", "atable_type"], name: "index_ats_on_atable_id_and_atable_type"
    t.index ["organization_id"], name: "index_ats_on_organization_id"
    t.index ["user_id"], name: "index_ats_on_user_id"
  end

  create_table "attachments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "attachmentable_id"
    t.string "attachmentable_type", limit: 100
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "file_file_name"
    t.string "file_content_type"
    t.integer "file_file_size"
    t.datetime "file_updated_at"
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "deleted_at"
    t.text "note", limit: 16777215
    t.string "sub_type"
    t.string "qiniu_persistent_id", limit: 128
    t.integer "attachment_position"
    t.string "wx_media_id"
    t.index ["attachmentable_id", "attachmentable_type"], name: "index_attachments_on_attachmentable_id_and_attachmentable_type"
    t.index ["organization_id"], name: "index_attachments_on_organization_id"
    t.index ["qiniu_persistent_id"], name: "index_attachments_on_qiniu_persistent_id"
    t.index ["user_id"], name: "index_attachments_on_user_id"
  end

  create_table "audios", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "audio_type"
    t.integer "audioable_id"
    t.string "audioable_type"
    t.string "sub_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "file_file_name"
    t.string "file_content_type"
    t.integer "file_file_size"
    t.datetime "file_updated_at"
    t.float "duration"
    t.string "qiniu_persistent_id"
    t.string "dingtalk_media_id"
    t.integer "organization_id"
    t.string "wx_media_id"
    t.index ["audioable_id", "audioable_type"], name: "index_audios_on_audioable_id_and_audioable_type"
    t.index ["organization_id"], name: "index_audios_on_organization_id"
    t.index ["qiniu_persistent_id"], name: "index_audios_on_qiniu_persistent_id"
  end

  create_table "authentications", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.string "open_id"
    t.string "provider"
    t.string "access_token"
    t.string "refresh_token"
    t.datetime "expired_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["open_id"], name: "index_authentications_on_open_id"
    t.index ["user_id"], name: "index_authentications_on_user_id"
  end

  create_table "bills", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "account_id"
    t.integer "package_id"
    t.integer "package_count"
    t.date "start"
    t.date "end"
    t.decimal "amount", precision: 12, scale: 3, default: "0.0"
    t.decimal "paid_amount", precision: 12, scale: 3, default: "0.0"
    t.decimal "package_amount", precision: 12, scale: 3, default: "0.0"
    t.decimal "package_paid_amount", precision: 12, scale: 2, default: "0.0"
    t.integer "pstn_duration_out_out_package", default: 0
    t.integer "pstn_duration_in_out_package", default: 0
    t.decimal "pstn_amount_out_out_package", precision: 12, scale: 3, default: "0.0"
    t.decimal "pstn_amount_in_out_package", precision: 12, scale: 3, default: "0.0"
    t.integer "sip_duration_out_out_package", default: 0
    t.integer "sip_duration_in_out_package", default: 0
    t.decimal "sip_amount_out_out_package", precision: 12, scale: 3, default: "0.0"
    t.decimal "sip_amount_in_out_package", precision: 12, scale: 3, default: "0.0"
    t.integer "recording_duration_out_out_package", default: 0
    t.integer "recording_duration_in_out_package", default: 0
    t.decimal "recording_amount_out_out_package", precision: 12, scale: 3, default: "0.0"
    t.decimal "recording_amount_in_out_package", precision: 12, scale: 3, default: "0.0"
    t.integer "status", default: 0
    t.datetime "paid_at"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["account_id", "status"], name: "index_bills_on_account_id_and_status"
    t.index ["deleted_at"], name: "index_bills_on_deleted_at"
    t.index ["package_id"], name: "index_bills_on_package_id"
    t.index ["status"], name: "index_bills_on_status"
  end

  create_table "business_query_accounts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "count", default: 0
    t.integer "user_id"
    t.integer "organization_id"
    t.integer "status"
    t.string "cio_uid"
    t.text "access_token", limit: 16777215
    t.datetime "access_token_expire_at"
    t.string "user_token"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "last_month_residue_count", default: 0
    t.integer "last_month_renew_use_count", default: 0
    t.index ["organization_id"], name: "index_business_query_accounts_on_organization_id"
    t.index ["user_id"], name: "index_business_query_accounts_on_user_id"
  end

  create_table "business_query_event_notifications", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "pid"
    t.string "event_id"
    t.string "user_id"
    t.string "event_name"
    t.text "event_content", limit: 16777215
    t.string "entname"
    t.integer "category"
    t.integer "level"
    t.datetime "happen_date"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "business_query_orders", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "status"
    t.decimal "amount", precision: 10, scale: 2, default: "0.0"
    t.integer "balance_count", default: 0
    t.integer "count", default: 0
    t.datetime "dealt_at"
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "order_number"
    t.integer "business_query_account_id"
    t.integer "risk_package_id"
    t.integer "source"
    t.index ["business_query_account_id"], name: "index_business_query_orders_on_business_query_account_id"
    t.index ["order_number"], name: "index_business_query_orders_on_order_number"
    t.index ["organization_id"], name: "index_business_query_orders_on_organization_id"
    t.index ["user_id"], name: "index_business_query_orders_on_user_id"
  end

  create_table "business_query_subscriptions", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "customer_id"
    t.string "cio_pid"
    t.string "cio_company_name"
    t.datetime "subscribe_at"
    t.datetime "expire_at"
    t.boolean "is_renewal"
    t.integer "user_id"
    t.integer "organization_id"
    t.integer "status"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["cio_pid"], name: "index_business_query_subscriptions_on_cio_pid"
    t.index ["customer_id"], name: "index_business_query_subscriptions_on_customer_id"
    t.index ["organization_id"], name: "index_business_query_subscriptions_on_organization_id"
    t.index ["user_id"], name: "index_business_query_subscriptions_on_user_id"
  end

  create_table "call_agents", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "call_center_id"
    t.string "agent_id"
    t.integer "package_id"
    t.integer "prev_package_id"
    t.string "login"
    t.string "password"
    t.string "name"
    t.string "mobile"
    t.string "bind_tel"
    t.string "call_display_number"
    t.string "transfer_tel"
    t.boolean "enabled_transfer", default: false
    t.boolean "enabled", default: true
    t.integer "status"
    t.integer "package_status", default: 0
    t.integer "agent_type", default: 0
    t.integer "warned_threshold", default: 10000
    t.integer "prev_locked_threshold", default: 24
    t.datetime "changed_at"
    t.datetime "actived_at"
    t.datetime "warned_at"
    t.datetime "prev_locked_at"
    t.datetime "locked_at"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean "call_private_protect", default: false
    t.string "email"
    t.index ["agent_id"], name: "index_call_agents_on_agent_id"
    t.index ["bind_tel"], name: "index_call_agents_on_bind_tel"
    t.index ["call_center_id"], name: "index_call_agents_on_call_center_id"
    t.index ["deleted_at"], name: "index_call_agents_on_deleted_at"
    t.index ["login"], name: "index_call_agents_on_login"
    t.index ["organization_id"], name: "index_call_agents_on_organization_id"
    t.index ["user_id"], name: "index_call_agents_on_user_id"
  end

  create_table "call_centers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "center_id"
    t.string "name"
    t.text "hotline", limit: 16777215
    t.integer "agents_count", default: 0
    t.string "login"
    t.string "password"
    t.integer "status"
    t.integer "prev_source"
    t.integer "source"
    t.string "strategy", default: "base"
    t.integer "package_id"
    t.boolean "enabled", default: true
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "sub_account_sid"
    t.string "sub_auth_token"
    t.integer "channel_type"
    t.string "instance_id"
    t.string "agent_group_id"
    t.datetime "expired_at"
    t.index ["center_id"], name: "index_call_centers_on_center_id"
    t.index ["deleted_at"], name: "index_call_centers_on_deleted_at"
    t.index ["organization_id"], name: "index_call_centers_on_organization_id"
  end

  create_table "call_queues", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "call_center_id"
    t.string "name"
    t.string "queue_id"
    t.string "hotline"
    t.string "strategy"
    t.string "voice"
    t.integer "max_number"
    t.integer "status", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["call_center_id"], name: "index_call_queues_on_call_center_id"
    t.index ["hotline"], name: "index_call_queues_on_hotline"
    t.index ["queue_id"], name: "index_call_queues_on_queue_id"
  end

  create_table "call_record_extras", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "call_record_id", null: false
    t.string "dev_type", limit: 64, default: ""
    t.boolean "effective_recording", default: true
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["call_record_id"], name: "index_call_record_extras_on_call_record_id"
  end

  create_table "call_records", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "recordable_id"
    t.string "recordable_type"
    t.string "agent_id"
    t.integer "call_type", limit: 1, default: 0
    t.integer "device_type", limit: 1, default: 0
    t.integer "status", limit: 1, default: 0
    t.string "call_id"
    t.string "calling_number"
    t.string "called_number"
    t.integer "total_time"
    t.integer "agent_time"
    t.integer "user_time"
    t.decimal "charge", precision: 10
    t.string "file_name"
    t.string "key"
    t.text "content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "dev_type", limit: 64, default: ""
    t.string "wav_key"
    t.boolean "effective_recording", default: true
    t.integer "app_type", limit: 1, comment: "平台类型，0是独立、1是企微、2是钉钉"
    t.index ["call_id"], name: "index_call_records_on_call_id", unique: true
    t.index ["called_number"], name: "index_call_records_on_called_number"
    t.index ["calling_number"], name: "index_call_records_on_calling_number"
    t.index ["created_at"], name: "index_created_at"
    t.index ["key"], name: "index_call_records_on_key"
    t.index ["organization_id", "app_type", "created_at"], name: "idx_org_id_app_type_created_at"
    t.index ["organization_id", "created_at"], name: "index_call_records_on_organization_id_and_created_at"
    t.index ["organization_id", "user_id", "app_type", "call_type", "created_at", "total_time"], name: "idx_callrecords_orgid_userid_createdat_apptype_calltype"
    t.index ["recordable_id", "recordable_type"], name: "index_call_records_on_recordable_id_and_recordable_type"
    t.index ["user_id", "created_at"], name: "index_call_records_on_user_id_and_created_at"
    t.index ["user_id"], name: "index_call_records_on_user_id"
  end

  create_table "call_records_copy1", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "recordable_id"
    t.string "recordable_type"
    t.string "agent_id"
    t.integer "call_type", limit: 1, default: 0
    t.integer "device_type", limit: 1, default: 0
    t.integer "status", limit: 1, default: 0
    t.string "call_id"
    t.string "calling_number"
    t.string "called_number"
    t.integer "total_time"
    t.integer "agent_time"
    t.integer "user_time"
    t.decimal "charge", precision: 10
    t.string "file_name"
    t.string "key"
    t.text "content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "dev_type", limit: 64, default: ""
    t.string "wav_key"
    t.boolean "effective_recording", default: true
    t.integer "app_type", limit: 1, comment: "平台类型，0是独立、1是企微、2是钉钉"
    t.index ["call_id"], name: "index_call_records_on_call_id", unique: true
    t.index ["called_number"], name: "index_call_records_on_called_number"
    t.index ["calling_number"], name: "index_call_records_on_calling_number"
    t.index ["created_at"], name: "index_created_at"
    t.index ["key"], name: "index_call_records_on_key"
    t.index ["organization_id", "app_type", "created_at"], name: "idx_org_id_app_type_created_at"
    t.index ["organization_id", "created_at"], name: "index_call_records_on_organization_id_and_created_at"
    t.index ["organization_id", "user_id", "app_type", "call_type", "created_at", "total_time"], name: "idx_callrecords_orgid_userid_createdat_apptype_calltype"
    t.index ["recordable_id", "recordable_type"], name: "index_call_records_on_recordable_id_and_recordable_type"
    t.index ["user_id", "created_at"], name: "index_call_records_on_user_id_and_created_at"
    t.index ["user_id"], name: "index_call_records_on_user_id"
  end

  create_table "call_task_items", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "organization_id", null: false, comment: "关联公司"
    t.bigint "call_task_id", null: false, comment: "拨号任务"
    t.bigint "itemable_id", null: false, comment: "关联实体对象"
    t.string "itemable_type", null: false, comment: "关联实体对象"
    t.string "called_number", comment: "已经拨打的电话号码"
    t.string "location", default: "", comment: "归属地"
    t.integer "called_status", default: 0, comment: "呼叫状态"
    t.integer "duration", default: -1, comment: "接通时长"
    t.datetime "created_at", null: false, comment: "创建时间"
    t.datetime "updated_at", null: false, comment: "更新时间"
    t.index ["call_task_id"], name: "index_call_task_items_on_call_task_id"
    t.index ["itemable_id", "itemable_type"], name: "index_call_task_items_on_itemable"
    t.index ["organization_id"], name: "index_call_task_items_on_organization_id"
  end

  create_table "call_tasks", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "organization_id", null: false, comment: "关联公司"
    t.bigint "assignee_id", null: false, comment: "负责人"
    t.bigint "creator_id", null: false, comment: "创建人"
    t.string "name", default: "", comment: "任务名称"
    t.integer "status", default: 0, comment: "任务状态"
    t.integer "number_count", default: 0, comment: "总号码数"
    t.integer "total_count", default: 0, comment: "总条数"
    t.integer "called_count", default: 0, comment: "已外呼条数"
    t.integer "answered_count", default: 0, comment: "已接通条数"
    t.datetime "created_at", null: false, comment: "创建时间"
    t.datetime "updated_at", null: false, comment: "更新时间"
    t.index ["assignee_id"], name: "index_call_tasks_on_assignee_id"
    t.index ["creator_id"], name: "index_call_tasks_on_creator_id"
    t.index ["organization_id", "name"], name: "uqidx_call_tasks_on_oid_name", unique: true
  end

  create_table "callagents", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "callcenter_id"
    t.integer "user_id"
    t.string "login"
    t.string "job_number"
    t.string "password"
    t.string "bind_tel"
    t.integer "status"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "callcenters", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "center_id"
    t.string "hotline"
    t.string "login_host"
    t.string "login"
    t.string "password"
    t.integer "source"
    t.integer "status"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "access_token"
  end

  create_table "carousel_configs", primary_key: "user_id", id: :integer, comment: "用户id", default: nil, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", comment: "轮播配置", force: :cascade do |t|
    t.boolean "enable", default: false, null: false, comment: "是否开启"
    t.timestamp "created_at", default: -> { "CURRENT_TIMESTAMP" }, null: false
    t.timestamp "updated_at", default: -> { "CURRENT_TIMESTAMP" }, null: false
  end

  create_table "checkins", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "app"
    t.text "message", limit: 16777215
    t.float "lat"
    t.float "lng"
    t.integer "checkable_id"
    t.string "checkable_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "customer_id"
    t.integer "opportunity_id"
    t.integer "category"
    t.datetime "remind_at"
    t.float "off_distance"
    t.datetime "checkin_at"
    t.string "device_info"
    t.index ["checkable_id", "checkable_type"], name: "index_checkins_on_checkable_id_and_checkable_type"
    t.index ["customer_id"], name: "index_checkins_on_customer_id"
    t.index ["opportunity_id"], name: "index_checkins_on_opportunity_id"
    t.index ["organization_id"], name: "index_checkins_on_organization_id"
    t.index ["user_id"], name: "index_checkins_on_user_id"
  end

  create_table "cities", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "pinyin"
    t.string "gbt_code"
    t.integer "province_id"
    t.integer "sort"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["name"], name: "index_cities_on_name"
    t.index ["pinyin"], name: "index_cities_on_pinyin"
    t.index ["province_id"], name: "index_cities_on_province_id"
  end

  create_table "cms_material_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "cms_id"
    t.integer "show_count", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "max_show_count", default: 1
    t.integer "platform_type"
  end

  create_table "cms_materials", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "cms_id"
    t.datetime "start_at"
    t.datetime "end_at"
    t.integer "forbidden_status"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "role_type"
    t.integer "is_all"
    t.integer "platform_type"
    t.index ["cms_id", "platform_type"], name: "index_cms_materials_on_cms_id_and_platform_type"
    t.index ["is_all", "platform_type"], name: "index_cms_materials_on_is_all_and_platform_type"
  end

  create_table "commission_rules", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "rule_type", default: 0
    t.integer "own_type", default: 0
    t.integer "range_indicator"
    t.string "range_indicator_period"
    t.integer "commission_indicator_type"
    t.integer "commission_indicator"
    t.string "commission_indicator_period"
    t.text "commission_rule_setting", limit: 16777215
    t.integer "organization_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["name"], name: "index_commission_rules_on_name"
    t.index ["organization_id"], name: "index_commission_rules_on_organization_id"
  end

  create_table "commission_rules_stations", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "station_id"
    t.integer "commission_rule_id"
    t.index ["commission_rule_id"], name: "index_commission_rules_stations_on_commission_rule_id"
    t.index ["station_id"], name: "index_commission_rules_stations_on_station_id"
  end

  create_table "commission_stats", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.decimal "value", precision: 24, scale: 6
    t.text "ratio", limit: 16777215
    t.decimal "range_value", precision: 24, scale: 6
    t.decimal "commission_value", precision: 24, scale: 6
    t.integer "commission_rule_id"
    t.date "stat_date"
    t.text "rule_range", limit: 16777215
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["commission_rule_id"], name: "index_commission_stats_on_commission_rule_id"
    t.index ["organization_id"], name: "index_commission_stats_on_organization_id"
    t.index ["user_id"], name: "index_commission_stats_on_user_id"
  end

  create_table "common_entity_owners", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "entity_klass_name"
    t.integer "ownerable_id"
    t.string "ownerable_type"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_common_entity_owners_on_organization_id"
    t.index ["ownerable_id", "ownerable_type"], name: "index_common_entity_owners_on_ownerable_id_and_ownerable_type"
  end

  create_table "contact_addresses", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_contact_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_contact_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "contact_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_contact_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_contact_assets_on_entity_id"
    t.index ["organization_id"], name: "index_contact_assets_on_organization_id"
  end

  create_table "contact_assetships", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "assetable_id"
    t.string "assetable_type"
    t.integer "contact_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "category"
    t.index ["assetable_id", "assetable_type"], name: "index_contact_assetships_on_assetable_id_and_assetable_type"
    t.index ["contact_id"], name: "index_contact_assetships_on_contact_id"
    t.index ["organization_id"], name: "index_contact_assetships_on_organization_id"
  end

  create_table "contacts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "user_id"
    t.string "department"
    t.string "job"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "parent_id"
    t.integer "gender"
    t.string "category"
    t.integer "customer_id"
    t.text "note", limit: 16777215
    t.date "birth_date"
    t.string "name_pinyin"
    t.integer "born_from"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.string "ding_ext_contact_id"
    t.index ["birth_date"], name: "index_contacts_on_birth_date"
    t.index ["creator_id"], name: "index_contacts_on_creator_id"
    t.index ["customer_id"], name: "index_contacts_on_customer_id"
    t.index ["ding_ext_contact_id"], name: "index_contacts_on_ding_ext_contact_id"
    t.index ["organization_id"], name: "index_contacts_on_organization_id"
    t.index ["user_id"], name: "index_contacts_on_user_id"
  end

  create_table "contacts_expenses", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "expense_id"
    t.integer "contact_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["contact_id"], name: "index_contacts_expenses_on_contact_id"
    t.index ["expense_id"], name: "index_contacts_expenses_on_expense_id"
  end

  create_table "contacts_revisit_logs", id: false, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "revisit_log_id", null: false
    t.integer "contact_id", null: false
    t.index ["contact_id", "revisit_log_id"], name: "index_contacts_revisit_logs_on_contact_id_and_revisit_log_id"
    t.index ["revisit_log_id", "contact_id"], name: "index_contacts_revisit_logs_on_revisit_log_id_and_contact_id"
  end

  create_table "contract_assets", id: :integer, comment: "id", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset", comment: "text_asset"
    t.text "text_area_asset", limit: 16777215, comment: "text_area_asset"
    t.date "date_asset", comment: "date_asset"
    t.datetime "datetime_asset", comment: "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6, comment: "numeric_asset"
    t.integer "entity_id", comment: "entity_id"
    t.string "custom_field_name", comment: "custom_field_name"
    t.integer "custom_field_id", comment: "custom_field_id"
    t.integer "organization_id", comment: "organization_id"
    t.datetime "created_at", comment: "created_at"
    t.datetime "updated_at", comment: "updated_at"
    t.index ["custom_field_id"], name: "index_contract_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_contract_assets_on_entity_id"
    t.index ["organization_id"], name: "index_contract_assets_on_organization_id"
    t.index ["text_asset"], name: "index_contract_assets_on_text_asset"
  end

  create_table "contract_multistep_approves", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "contract_id"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "step"
    t.integer "status"
    t.datetime "approve_at"
    t.text "content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["contract_id"], name: "index_contract_multistep_approves_on_contract_id"
    t.index ["organization_id"], name: "index_contract_multistep_approves_on_organization_id"
    t.index ["user_id"], name: "index_contract_multistep_approves_on_user_id"
  end

  create_table "contract_notify_user_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "contract_id"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["contract_id", "user_id"], name: "index_contract_notify_user_maps_on_contract_id_and_user_id"
    t.index ["contract_id"], name: "index_contract_notify_user_maps_on_contract_id"
    t.index ["user_id"], name: "index_contract_notify_user_maps_on_user_id"
  end

  create_table "contracts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "category"
    t.string "payment_type"
    t.string "status"
    t.integer "organization_id"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "title"
    t.integer "customer_id"
    t.integer "opportunity_id"
    t.decimal "total_amount", precision: 24, scale: 6
    t.date "start_at"
    t.date "end_at"
    t.string "customer_signer"
    t.string "our_signer"
    t.text "special_terms", limit: 16777215
    t.string "sn"
    t.date "sign_date"
    t.integer "department_id"
    t.string "title_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.decimal "received_payments_amount", precision: 24, scale: 6
    t.decimal "unreceived_amount", precision: 24, scale: 6
    t.decimal "checking_payments_amount", precision: 24, scale: 6
    t.decimal "unchecking_payments_amount", precision: 24, scale: 6
    t.integer "step", default: 0
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "custom_field_template_id", default: 0
    t.index ["creator_id"], name: "index_contracts_on_creator_id"
    t.index ["customer_id"], name: "index_contracts_on_customer_id"
    t.index ["department_id"], name: "index_contracts_on_department_id"
    t.index ["opportunity_id"], name: "index_contracts_on_opportunity_id"
    t.index ["organization_id"], name: "index_contracts_on_organization_id"
    t.index ["revisit_at"], name: "index_contracts_on_revisit_at"
    t.index ["revisit_remind_at"], name: "index_contracts_on_revisit_remind_at"
    t.index ["title"], name: "index_contracts_on_title"
    t.index ["user_id"], name: "index_contracts_on_user_id"
  end

  create_table "countries", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "pinyin"
    t.integer "sort"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["name"], name: "index_countries_on_name"
    t.index ["pinyin"], name: "index_countries_on_pinyin"
  end

  create_table "crm_skb_map_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.string "skb_user_id", limit: 100, comment: "skb userid"
    t.bigint "uid", comment: "用户中心uid"
    t.bigint "oid", comment: "用户中心oid"
    t.string "crm_user_name", limit: 100, comment: "crm 用户名"
    t.string "crm_company_name", comment: "crm 公司名"
    t.string "crm_phone", limit: 100, comment: "crm 手机号"
    t.string "skb_company_name", comment: "skb 公司名"
    t.string "skb_email", limit: 100, comment: "skb 邮箱"
    t.string "skb_phone", limit: 100, comment: "skb 手机号"
    t.integer "level", comment: "账号类型；1：主账号；2：子账号"
    t.string "appToken", comment: "crm_ik appToken"
    t.boolean "binded", default: false, comment: "是否绑定0：解绑；1：绑定"
  end

  create_table "crm_skb_map_lx", id: :integer, comment: "skb userid", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.string "skb_user_id", limit: 100
    t.bigint "uid", comment: "用户中心uid"
    t.bigint "oid", comment: "用户中心oid"
    t.string "crm_user_name", limit: 100, comment: "crm 用户名"
    t.string "crm_company_name", comment: "crm 公司名"
    t.string "crm_phone", limit: 100, comment: "crm 手机号"
    t.string "skb_company_name", comment: "skb 公司名"
    t.string "skb_email", limit: 100, comment: "skb 邮箱"
    t.string "skb_phone", limit: 100
    t.integer "level", comment: "账号类型 1：主账号；2：子账号"
    t.string "appToken"
    t.boolean "binded", default: false, comment: "是否绑定0：解绑；1：绑定"
  end

  create_table "cross_site_entities", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "cross_siteable_id"
    t.string "cross_siteable_type"
    t.integer "source"
    t.string "uid"
    t.string "token"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "status"
    t.text "data", limit: 16777215
    t.index ["cross_siteable_id", "cross_siteable_type"], name: "index_cs_entities_on_cs_id_and_cs_type"
  end

  create_table "custom_columns", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.string "model_klass"
    t.text "display_columns", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["user_id", "model_klass"], name: "index_custom_columns_on_user_id_and_model_klass"
  end

  create_table "custom_field_groups", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "label"
    t.integer "position"
    t.integer "status"
    t.text "html_options", limit: 16777215
    t.integer "custom_field_setting_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text "options", limit: 16777215
    t.integer "meta_custom_field_group_id"
    t.index ["custom_field_setting_id"], name: "index_custom_field_groups_on_custom_field_setting_id"
    t.index ["organization_id"], name: "index_custom_field_groups_on_organization_id"
    t.index ["position"], name: "index_custom_field_groups_on_position"
  end

  create_table "custom_field_settings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "model_klass"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["model_klass"], name: "index_custom_field_settings_on_model_klass"
    t.index ["organization_id"], name: "index_custom_field_settings_on_organization_id"
  end

  create_table "custom_field_template_fields", id: :integer, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", comment: "模板字段关联表", force: :cascade do |t|
    t.integer "custom_field_id", comment: "字段id"
    t.integer "custom_field_template_id", null: false, comment: "模板id"
    t.integer "status", comment: "状态： 0，启用 ；1，禁用"
    t.boolean "required", comment: "是否必须 ： 0，非必须  1，必须  ;"
    t.integer "category"
    t.datetime "created_at", comment: "创建时间"
    t.datetime "updated_at", comment: "更新时间"
    t.index ["custom_field_id"], name: "custom_field_template_fields_on_custom_field_id"
    t.index ["custom_field_template_id"], name: "custom_field_template_fields_on_custom_field_template_id"
  end

  create_table "custom_field_template_roles", id: :integer, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", comment: "模板角色关联表", force: :cascade do |t|
    t.integer "organization_id", null: false, comment: "公司id"
    t.integer "custom_field_template_id", null: false, comment: "模板id"
    t.integer "role_id", null: false, comment: "角色id"
    t.datetime "created_at", comment: "创建时间"
    t.datetime "updated_at", comment: "更新时间"
    t.index ["custom_field_template_id"], name: "custom_field_template_roles_on_custom_field_template_id"
    t.index ["organization_id"], name: "custom_field_template_roles_on_organization_id"
    t.index ["role_id"], name: "custom_field_template_roles_on_role_id"
  end

  create_table "custom_field_templates", id: :integer, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "custom_field_setting_id", null: false, comment: "模块id"
    t.integer "organization_id", null: false, comment: "公司id"
    t.string "name", null: false, comment: "模板名称"
    t.integer "status", comment: "状态 0，启用 1，禁用"
    t.integer "position", comment: "排序"
    t.integer "apply_type", comment: "适用类型 0,全公司 1,特定角色"
    t.boolean "is_deleted", comment: "是否删除 0 未删除，1删除"
    t.datetime "created_at", comment: "创建时间"
    t.datetime "updated_at", comment: "更新时间"
    t.index ["custom_field_setting_id"], name: "custom_field_templates_on_custom_field_setting_id"
    t.index ["organization_id"], name: "custom_field_templates_on_organization_id"
  end

  create_table "custom_fields", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "label"
    t.string "origin_label"
    t.string "field_type"
    t.integer "category"
    t.integer "position"
    t.text "label_html_options", limit: 16777215
    t.text "input_html_options", limit: 16777215
    t.integer "status"
    t.boolean "required"
    t.boolean "is_special_column"
    t.boolean "is_user_custom_column"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text "exclude_place", limit: 16777215
    t.integer "custom_field_setting_id"
    t.integer "custom_field_group_id"
    t.text "options", limit: 16777215
    t.text "field_update_options", limit: 16777215
    t.integer "meta_custom_field_id"
    t.index ["custom_field_group_id"], name: "index_custom_fields_on_custom_field_group_id"
    t.index ["custom_field_setting_id"], name: "index_custom_fields_on_custom_field_setting_id"
    t.index ["organization_id"], name: "index_custom_fields_on_organization_id"
  end

  create_table "custom_print_templates", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", null: false, comment: "组织ID"
    t.integer "template_type", null: false, comment: "0:商机打印  1：合同打印  2：报销单打印"
    t.string "name", limit: 100, null: false
    t.text "template_html_text", limit: 16777215, null: false, comment: "html模板"
    t.string "descr", limit: 500, comment: "模板描述"
    t.datetime "create_at", comment: "创建时间"
    t.datetime "updated_at", comment: "修改时间"
    t.index ["organization_id", "name"], name: "index_custom_print_templates_on_organization_id_and_name"
  end

  create_table "custom_reports", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "source"
    t.text "description", limit: 16777215
    t.text "conditions", limit: 16777215
    t.text "custom_columns", limit: 16777215
    t.text "amount_columns", limit: 16777215
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "user_id"
    t.index ["organization_id"], name: "index_custom_reports_on_organization_id"
    t.index ["user_id"], name: "index_custom_reports_on_user_id"
  end

  create_table "customer_addresses", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_1000022", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_1000034", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_1000066", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_1000072", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_1000267", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_1000516", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10022", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10025", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10039", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10043", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10058", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10062", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10073", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10093", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10099", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10100", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10102", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10131", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10147", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10150", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10153", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10158", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10163", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10169", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10191", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10225", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10236", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10240", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10257", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_103", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10300", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10323", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10328", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10357", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10359", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10376", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_104", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10411", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10415", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10416", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10419", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10420", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10422", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10424", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10446", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10451", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10454", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10481", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10488", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10490", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10511", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10513", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10515", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10618", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10619", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_10620", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_17", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_19", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_21", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_30", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_33", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_39", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_55", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_56", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_57", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_64", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_72", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_addresses_73", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_customer_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_customer_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "customer_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_1000022", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_1000034", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_1000066", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_1000072", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_1000267", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_1000516", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10022", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10025", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10039", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10043", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10058", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10062", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10073", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10093", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10099", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10100", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10102", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10131", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10147", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10150", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10153", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10158", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10163", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10169", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10191", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10225", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10236", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10240", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10257", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_103", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10300", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10323", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10328", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10357", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10359", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10376", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_104", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10411", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10415", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10416", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10419", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10420", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10422", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10424", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10446", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10451", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10454", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10481", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10488", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10490", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10511", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10513", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10515", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10618", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10619", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_10620", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_17", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_19", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_21", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_30", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_33", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_39", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_55", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_56", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_57", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_64", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_72", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_assets_73", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_customer_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_customer_assets_on_entity_id"
    t.index ["organization_id"], name: "index_customer_assets_on_organization_id"
    t.index ["text_asset"], name: "idx_text_asset"
  end

  create_table "customer_common_settings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "name"
    t.text "admin_list", limit: 16777215
    t.text "member_list", limit: 16777215
    t.integer "rule_type"
    t.text "rule_config", limit: 16777215
    t.string "flow_into_time", comment: "流入时间"
    t.string "notify_time", comment: "提醒时间"
    t.boolean "limit_grab_enable", default: false
    t.integer "limit_grab_day"
    t.datetime "limit_grab_enable_time"
    t.text "custom_column_list", limit: 16777215
    t.text "filter_column_list", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_customer_common_settings_on_organization_id"
  end

  create_table "customer_extras", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_1000022", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_1000034", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_1000066", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_1000072", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_1000267", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_1000516", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10022", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10025", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10039", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10043", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10058", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10062", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10073", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10093", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10099", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10100", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10102", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10131", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10147", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10150", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10153", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10158", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10163", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10169", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10191", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10225", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10236", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10240", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10257", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_103", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10300", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10323", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10328", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10357", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10359", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10376", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_104", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10411", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10415", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10416", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10419", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10420", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10422", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10424", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10446", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10451", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10454", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10481", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10488", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10490", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10511", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10513", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10515", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10618", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10619", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_10620", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_17", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_19", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_21", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_30", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_33", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_39", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_55", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_56", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_57", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_64", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_72", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_extras_73", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", default: 0
    t.string "biz_pid", default: "", null: false
    t.integer "customer_id", null: false
    t.integer "will_flow_common_id", default: 0
    t.datetime "will_flow_time"
    t.datetime "customer_unsold_at", comment: "未成交时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "agent_soukebox_account_id"
    t.string "external_entity_type", limit: 50, default: ""
    t.string "external_entity_id", default: ""
    t.index ["customer_id"], name: "index_customer_extras_on_customer_id"
    t.index ["organization_id", "will_flow_time"], name: "idx_org_id_and_will_flow_time"
    t.index ["will_flow_common_id", "will_flow_time"], name: "idx_will_flow_common_id_and_time"
  end

  create_table "customer_labels", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "label_group_id", comment: "标签所属标签组id"
    t.integer "customer_id", comment: "客户id"
    t.integer "label_id", comment: "标签id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["customer_id", "label_id"], name: "index_customer_labels_on_customer_id_and_label_id"
  end

  create_table "customer_multistep_approves", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "customer_id"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "step"
    t.integer "status"
    t.datetime "approve_at"
    t.text "content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["customer_id"], name: "index_customer_multistep_approves_on_customer_id"
    t.index ["organization_id"], name: "index_customer_multistep_approves_on_organization_id"
    t.index ["user_id"], name: "index_customer_multistep_approves_on_user_id"
  end

  create_table "customer_notify_user_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "customer_id"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["customer_id"], name: "index_customer_notify_user_maps_on_customer_id"
    t.index ["user_id"], name: "index_customer_notify_user_maps_on_user_id"
  end

  create_table "customer_status_tracks", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "customer_id"
    t.string "status"
    t.string "previous_status"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["customer_id"], name: "index_customer_status_tracks_on_customer_id"
  end

  create_table "customers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_1000022", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_1000034", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_1000066", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_1000072", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_1000267", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_1000516", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10022", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10025", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10039", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10043", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10058", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10062", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10073", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10093", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10099", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10100", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10102", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10131", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10147", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10150", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10153", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10158", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10163", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10169", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10191", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10225", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10236", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10240", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10257", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_103", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10300", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10323", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10328", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10357", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10359", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10376", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_104", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10411", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10415", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10416", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10419", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10420", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10422", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10424", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10446", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10451", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10454", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10481", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10488", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10490", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10511", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10513", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10515", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10618", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10619", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_10620", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_17", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_19", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_21", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_30", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_33", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_39", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_55", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_56", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_57", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_64", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_72", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "customers_73", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC", comment: "客户对象信息", force: :cascade do |t|
    t.string "name"
    t.string "category"
    t.string "source"
    t.string "industry"
    t.string "staff_size"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "parent_id"
    t.string "path"
    t.string "status"
    t.integer "department_id"
    t.string "name_pinyin"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "company_name"
    t.string "qixinbao_id"
    t.string "cio_pid"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "flow_into_at"
    t.datetime "status_updated_at"
    t.integer "customer_common_setting_id"
    t.integer "before_customer_common_setting_id"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "pending_step"
    t.integer "industry_category"
    t.integer "custom_field_template_id", default: 0
    t.integer "channel_code"
    t.string "channel"
    t.index ["creator_id"], name: "index_customers_on_creator_id"
    t.index ["custom_field_template_id"], name: "index_customers_on_custom_field_template_id"
    t.index ["customer_common_setting_id", "flow_into_at"], name: "index_customers_on_common_setting_id_flow_into_at"
    t.index ["department_id"], name: "index_customers_on_department_id"
    t.index ["organization_id", "user_id", "updated_at"], name: "idx2"
    t.index ["organization_id", "user_id"], name: "idx"
    t.index ["organization_id"], name: "index_customers_on_organization_id"
    t.index ["parent_id"], name: "index_customers_on_parent_id"
    t.index ["path"], name: "index_customers_on_path"
    t.index ["user_id"], name: "index_customers_on_user_id"
  end

  create_table "data_report_areas", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "name"
    t.integer "parent_id"
    t.integer "position"
    t.string "path"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_data_report_areas_on_organization_id"
    t.index ["parent_id"], name: "index_data_report_areas_on_parent_id"
  end

  create_table "data_report_content_items", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "data_report_item_id"
    t.integer "data_report_content_id"
    t.float "content"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "data_report_contents", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "data_report_id"
    t.integer "data_report_store_id"
    t.text "remark", limit: 16777215
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.float "lat"
    t.float "lng"
    t.string "address_detail"
    t.datetime "data_report_at"
    t.index ["data_report_id"], name: "index_data_report_contents_on_data_report_id"
    t.index ["data_report_store_id"], name: "index_data_report_contents_on_data_report_store_id"
    t.index ["user_id"], name: "index_data_report_contents_on_user_id"
  end

  create_table "data_report_items", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "data_report_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["data_report_id"], name: "index_data_report_items_on_data_report_id"
  end

  create_table "data_report_readers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "data_report_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["data_report_id"], name: "index_data_report_readers_on_data_report_id"
    t.index ["user_id"], name: "index_data_report_readers_on_user_id"
  end

  create_table "data_report_stores", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "data_report_area_id"
    t.integer "organization_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["data_report_area_id"], name: "index_data_report_stores_on_data_report_area_id"
    t.index ["organization_id"], name: "index_data_report_stores_on_organization_id"
  end

  create_table "data_reports", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "organization_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "departments_uc", primary_key: "did", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "parent_did", comment: "父级ID"
    t.string "path_did", comment: "部门层级关系"
    t.integer "id", null: false
    t.integer "platform_type", limit: 1, comment: "平台类型"
    t.string "name"
    t.text "description"
    t.integer "organization_id"
    t.integer "parent_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "position"
    t.string "path"
    t.integer "status", default: 1
    t.datetime "deleted_at"
    t.index ["id", "platform_type"], name: "idx_id_platform_type", unique: true
    t.index ["organization_id", "deleted_at", "status"], name: "index_departments_on_organization_id_deleted_at_status"
    t.index ["parent_id"], name: "index_departments_on_parent_id"
    t.index ["path"], name: "index_departments_on_path"
  end

  create_table "dial_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "caller_id"
    t.string "caller_type"
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "number"
    t.string "app_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "dial_type"
    t.integer "talk_time"
    t.boolean "is_connected", default: true
    t.string "call_id", comment: "call_id"
    t.index ["call_id"], name: "call_id", unique: true
    t.index ["caller_id", "caller_type"], name: "index_dial_logs_on_caller_id_and_caller_type"
    t.index ["organization_id"], name: "index_dial_logs_on_organization_id"
    t.index ["user_id", "created_at"], name: "index_dial_logs_on_user_id_and_created_at"
  end

  create_table "ding_activation_award_applies", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.string "dingid"
    t.string "username"
    t.string "phone"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["user_id"], name: "index_ding_activation_award_applies_on_user_id"
  end

  create_table "ding_activation_invite_acceptions", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ding_activation_invite_id"
    t.integer "inviter_id"
    t.string "inviter_dingid"
    t.string "inviter_name"
    t.string "inviter_phone"
    t.string "accepter_phone"
    t.string "accepter_org_name"
    t.integer "user_id"
    t.integer "organization_id"
    t.integer "client_id"
    t.integer "invite_status", default: 0
    t.integer "activation_status", default: 0
    t.datetime "award_applied_at"
    t.datetime "awarded_at"
    t.text "extras", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "award_giver_id"
    t.string "acceptor_dingid"
    t.decimal "award_amount", precision: 12, scale: 2, default: "0.0"
    t.index ["acceptor_dingid"], name: "index_ding_activation_invite_acceptions_on_acceptor_dingid"
    t.index ["client_id"], name: "index_ding_activation_invite_acceptions_on_client_id"
    t.index ["ding_activation_invite_id"], name: "index_ding_invite_acceptions_on_inviter_id"
    t.index ["inviter_id"], name: "index_ding_activation_invite_acceptions_on_inviter_id"
    t.index ["organization_id"], name: "index_ding_activation_invite_acceptions_on_organization_id"
    t.index ["user_id"], name: "index_ding_activation_invite_acceptions_on_user_id"
  end

  create_table "ding_activation_invites", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "dingid"
    t.string "username"
    t.string "phone"
    t.string "code"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "user_id"
    t.integer "organization_id"
    t.integer "client_id"
  end

  create_table "ding_agents", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.bigint "organization_oid"
    t.integer "ding_suite_id"
    t.integer "ding_app_id"
    t.integer "ding_suite_subscriber_id"
    t.string "suite_key"
    t.integer "app_id"
    t.integer "agent_id"
    t.integer "status", default: 1
    t.string "name"
    t.string "logo_url"
    t.text "auth_org_scopes", limit: 16777215
    t.text "visible_org_scopes", limit: 16777215
    t.string "description"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["agent_id"], name: "index_ding_agents_on_agent_id"
    t.index ["ding_suite_id"], name: "index_ding_agents_on_ding_suite_id"
    t.index ["ding_suite_subscriber_id"], name: "index_ding_agents_on_ding_suite_subscriber_id"
    t.index ["organization_oid"], name: "index_ding_agents_on_ding_organization_id"
  end

  create_table "ding_api_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "request_uuid", comment: "请求uuid"
    t.string "request_host", comment: "调用服务器"
    t.string "corp_id", comment: "企业corp_id"
    t.integer "organization_id", comment: "关联企业"
    t.integer "dept_id", comment: "部门id"
    t.string "userid", comment: "用户id"
    t.text "request_uri", comment: "请求的 uri"
    t.string "route_action", comment: "请求的 路由"
    t.text "request_params", comment: "请求参数"
    t.string "request_method", comment: "请求方法"
    t.string "request_format", comment: "请求格式"
    t.integer "response_status", comment: "响应状态"
    t.text "response_body", comment: "响应内容正文"
    t.datetime "start_time", comment: "请求开始时间"
    t.decimal "exec_time", precision: 10, comment: "请求耗时"
    t.integer "errcode", comment: "请求结果code"
    t.string "description", comment: "额外描述"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["corp_id", "dept_id", "start_time"], name: "index_ding_api_logs_on_corp_id_and_dept_id_and_start_time"
    t.index ["corp_id", "start_time"], name: "index_ding_api_logs_on_corp_id_and_start_time"
    t.index ["corp_id", "userid", "start_time"], name: "index_ding_api_logs_on_corp_id_and_userid_and_start_time"
    t.index ["created_at"], name: "index_ding_api_logs_on_created_at"
    t.index ["request_uuid"], name: "index_ding_api_logs_on_request_uuid"
  end

  create_table "ding_apps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ding_suite_id"
    t.integer "uc_app_id"
    t.integer "app_id"
    t.string "name"
    t.text "description", limit: 16777215
    t.string "log_url"
    t.string "home_url"
    t.string "admin_url"
    t.string "admin_pc_url"
    t.string "permissions"
    t.string "interfaces"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "ding_blocked_corp_ids", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "corp_id"
    t.datetime "created_at"
    t.index ["corp_id"], name: "index_ding_blocked_corp_ids_on_corp_id", unique: true
  end

  create_table "ding_contacts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ding_organization_id"
    t.string "ding_customerId"
    t.string "ding_contactId"
    t.string "ding_contactName"
    t.text "ding_content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "contact_id"
    t.index ["contact_id"], name: "index_ding_contacts_on_contact_id"
    t.index ["ding_contactId"], name: "index_ding_contacts_on_ding_contactId"
    t.index ["ding_customerId"], name: "index_ding_contacts_on_ding_customerId"
    t.index ["ding_organization_id"], name: "index_ding_contacts_on_ding_organization_id"
  end

  create_table "ding_corp_apps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "app_type", limit: 1, default: 0
    t.integer "ding_organization_id"
    t.string "suite_key"
    t.string "aes_key"
    t.string "corp_id"
    t.string "agent_id"
    t.string "corp_secret"
    t.string "sso_secret"
    t.string "channel_secret"
    t.string "access_token"
    t.datetime "access_token_expires_at"
    t.string "jsapi_ticket"
    t.datetime "jsapi_ticket_expires_at"
    t.string "callback_url"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["ding_organization_id"], name: "index_ding_corp_apps_on_ding_organization_id"
  end

  create_table "ding_coupons", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "batch_no", default: 1
    t.integer "owner_id"
    t.string "owner_type"
    t.integer "category", limit: 1, default: 0
    t.string "card_no"
    t.string "password"
    t.float "price"
    t.string "channel_code"
    t.text "extras", limit: 16777215
    t.datetime "expired_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["card_no"], name: "index_ding_coupons_on_card_no", unique: true
    t.index ["owner_id", "owner_type"], name: "index_ding_coupons_on_owner_id_and_owner_type"
  end

  create_table "ding_customers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "customer_id"
    t.integer "ding_organization_id"
    t.string "ding_customerId"
    t.string "ding_customerName"
    t.text "ding_followStaffIds", limit: 16777215
    t.text "ding_content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["customer_id"], name: "index_ding_customers_on_customer_id"
    t.index ["ding_customerId"], name: "index_ding_customers_on_ding_customerId"
    t.index ["ding_customerName"], name: "index_ding_customers_on_ding_customerName"
    t.index ["ding_organization_id"], name: "index_ding_customers_on_ding_organization_id"
  end

  create_table "ding_departments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "department_id"
    t.integer "ding_organization_id"
    t.integer "dept_id"
    t.string "dept_parent_id"
    t.integer "parent_id"
    t.string "name"
    t.integer "status", default: 1
    t.string "dept_group_owner"
    t.boolean "dept_group"
    t.boolean "hide", default: false
    t.string "path"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["department_id"], name: "index_ding_departments_on_department_id"
    t.index ["dept_id"], name: "index_ding_departments_on_dept_id"
    t.index ["ding_organization_id", "dept_id"], name: "ding_organization_id", unique: true
    t.index ["parent_id"], name: "index_ding_departments_on_parent_id"
    t.index ["path"], name: "index_ding_departments_on_path"
  end

  create_table "ding_forms", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ding_organization_id"
    t.string "klass_name"
    t.string "ding_formUuid"
    t.string "ding_status"
    t.text "ding_content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "use_status"
    t.index ["ding_organization_id"], name: "index_ding_forms_on_ding_organization_id"
  end

  create_table "ding_message_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "corp_id"
    t.string "access_token"
    t.text "ding_userid", limit: 16777215
    t.text "params", limit: 16777215
    t.string "response_status"
    t.text "response_body", limit: 16777215
    t.datetime "created_at"
    t.index ["corp_id"], name: "index_ding_message_logs_on_corp_id"
    t.index ["created_at"], name: "index_ding_message_logs_on_created_at"
    t.index ["ding_userid"], name: "index_ding_message_logs_on_ding_userid", length: 38
  end

  create_table "ding_micro_apps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "corp_id", limit: 100, default: "", null: false
    t.string "corp_secret", default: "", null: false
    t.string "suite_key", default: "", null: false
    t.string "aes_key", default: "", null: false
    t.string "agent_id", default: "", null: false
    t.string "sso_secret", default: "", null: false
    t.string "channel_secret", default: "", null: false
    t.string "access_token", default: "", null: false
    t.datetime "access_token_expired_at"
    t.string "jsapi_ticket", default: "", null: false
    t.datetime "jsapi_ticket_expired_at"
    t.text "auth_org_scopes", limit: 16777215
    t.text "visible_org_scopes", limit: 16777215
    t.text "auth_user_field", limit: 16777215
    t.string "auth_channel"
    t.integer "status", default: 0
    t.text "auth_user_info", limit: 16777215
    t.integer "ding_organization_id"
    t.string "host"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["corp_id"], name: "index_ding_micro_apps_on_corp_id"
    t.index ["ding_organization_id"], name: "index_ding_micro_apps_on_ding_organization_id"
  end

  create_table "ding_orders", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ding_organization_id"
    t.string "suite_key"
    t.string "buy_corp_id"
    t.string "goods_code"
    t.string "item_code"
    t.string "item_name"
    t.integer "max_of_people", default: 0
    t.integer "min_of_people", default: 0
    t.string "order_id"
    t.datetime "paidtime"
    t.datetime "service_stop_time"
    t.decimal "pay_fee", precision: 12, scale: 2
    t.string "order_create_source"
    t.decimal "nominal_pay_fee", precision: 12, scale: 2
    t.decimal "discount_fee", precision: 12, scale: 2
    t.decimal "discount", precision: 12, scale: 2
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "distributor_corp_id"
    t.string "distributor_corp_name"
    t.integer "sub_quantity"
    t.index ["ding_organization_id"], name: "index_ding_orders_on_ding_organization_id"
  end

  create_table "ding_organizations", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "corp_name"
    t.string "corp_id"
    t.string "industry"
    t.string "logo_url"
    t.string "admin_id", default: "0"
    t.string "admin_name"
    t.string "admin_mobile"
    t.integer "ding_users_count", default: -1
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["admin_id"], name: "index_ding_organizations_on_admin_id"
    t.index ["corp_id"], name: "index_ding_organizations_on_corp_id"
    t.index ["organization_id"], name: "index_ding_organizations_on_organization_id"
  end

  create_table "ding_reading_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "loggable_id"
    t.string "loggable_type"
    t.string "context"
    t.integer "reading_count", default: 1
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["loggable_id", "loggable_type"], name: "index_ding_reading_logs_on_loggable_id_and_loggable_type"
    t.index ["organization_id"], name: "index_ding_reading_logs_on_organization_id"
    t.index ["user_id"], name: "index_ding_reading_logs_on_user_id"
  end

  create_table "ding_star_activity_codes", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "channel_code"
    t.float "price"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["channel_code"], name: "index_ding_star_activity_codes_on_channel_code", unique: true
  end

  create_table "ding_star_activity_orders", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.string "dingid"
    t.string "user_phone"
    t.integer "status", default: 0
    t.datetime "awarded_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["dingid"], name: "index_ding_star_activity_orders_on_dingid"
    t.index ["organization_id"], name: "index_ding_star_activity_orders_on_organization_id"
    t.index ["user_id"], name: "index_ding_star_activity_orders_on_user_id"
    t.index ["user_phone"], name: "index_ding_star_activity_orders_on_user_phone"
  end

  create_table "ding_suite_subscribers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ding_suite_id"
    t.integer "ding_organization_id"
    t.string "suite_key"
    t.string "corp_id"
    t.string "permanent_code"
    t.string "invite_code"
    t.string "serial_number"
    t.string "auth_channel"
    t.string "auth_channel_type"
    t.string "access_token"
    t.datetime "expired_at"
    t.text "auth_user_info", limit: 16777215
    t.integer "status", default: 0
    t.datetime "actived_at"
    t.string "phonebook_token"
    t.string "phonebook_aes_key"
    t.string "jsapi_ticket"
    t.datetime "jsapi_ticket_expired_at"
    t.text "auth_user_field", limit: 16777215
    t.text "condition_field", limit: 16777215
    t.text "auth_org_scopes", limit: 16777215
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "sku_id"
    t.string "instance_id"
    t.datetime "suite_expired_on"
    t.boolean "trial", default: false
    t.index ["corp_id"], name: "index_ding_suite_subscribers_on_corp_id"
    t.index ["ding_organization_id"], name: "index_ding_suite_subscribers_on_ding_organization_id"
    t.index ["ding_suite_id"], name: "index_ding_suite_subscribers_on_ding_suite_id"
    t.index ["serial_number"], name: "index_ding_suite_subscribers_on_serial_number"
  end

  create_table "ding_suites", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "suite_id"
    t.string "suite_key", default: "suite4xxxxxxxxxxxxxxx"
    t.string "suite_secret"
    t.string "suite_ticket"
    t.string "suite_access_token"
    t.datetime "expired_at"
    t.string "aes_key"
    t.string "token"
    t.string "callback_url"
    t.string "logo_url"
    t.integer "status"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "suite_type", default: 0
    t.string "aliyun_suite_api_domain"
    t.string "suite_uuid"
    t.string "sso_app_id"
    t.string "sso_app_secret"
    t.string "sso_corp_id"
    t.string "sso_secret"
    t.string "sso_token"
    t.datetime "sso_token_expired_at"
  end

  create_table "ding_syn_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ding_suite_id"
    t.integer "ding_organization_id"
    t.string "corp_id"
    t.integer "event_type"
    t.integer "status", default: 0
    t.text "data", limit: 16777215
    t.datetime "finish_at"
    t.text "description", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "ding_micro_app_id"
    t.index ["corp_id"], name: "index_ding_syn_logs_on_corp_id"
    t.index ["ding_micro_app_id"], name: "index_ding_syn_logs_on_ding_micro_app_id"
    t.index ["ding_organization_id"], name: "index_ding_syn_logs_on_ding_organization_id"
    t.index ["ding_suite_id"], name: "index_ding_syn_logs_on_ding_suite_id"
    t.index ["event_type"], name: "index_ding_syn_logs_on_event_type"
    t.index ["status"], name: "index_ding_syn_logs_on_status"
  end

  create_table "ding_upgrade_notice_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "notice_id"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["user_id", "notice_id"], name: "index_ding_upgrade_notice_logs_on_user_id_and_notice_id"
  end

  create_table "ding_user_assist_department_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ding_user_id"
    t.integer "ding_department_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["ding_department_id"], name: "index_ding_user_assist_department_maps_on_ding_department_id"
    t.index ["ding_user_id"], name: "index_ding_user_assist_department_maps_on_ding_user_id"
  end

  create_table "ding_user_department_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ding_user_id"
    t.integer "ding_department_id"
    t.integer "ding_organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["ding_department_id"], name: "index_ding_user_department_maps_on_ding_department_id"
    t.index ["ding_organization_id"], name: "index_ding_user_department_maps_on_ding_organization_id"
    t.index ["ding_user_id"], name: "index_ding_user_department_maps_on_ding_user_id"
  end

  create_table "ding_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "ding_organization_id"
    t.string "name"
    t.string "mobile"
    t.string "tel"
    t.string "email"
    t.string "workplace"
    t.string "position"
    t.string "userid"
    t.string "jobnumber"
    t.string "dingid"
    t.string "unionid"
    t.string "avatar"
    t.text "department", limit: 16777215
    t.integer "status", default: 1
    t.integer "role", default: 0
    t.boolean "hide", default: false
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean "usable", default: true
    t.index ["ding_organization_id", "userid"], name: "index_userid_uniq", unique: true
    t.index ["dingid"], name: "index_ding_users_on_dingid"
    t.index ["user_id"], name: "index_ding_users_on_user_id"
  end

  create_table "ding_visible_departments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ding_suite_id"
    t.integer "ding_organization_id"
    t.integer "ding_department_id"
    t.integer "ding_micro_app_id"
    t.index ["ding_department_id"], name: "index_ding_visible_departments_on_ding_department_id"
    t.index ["ding_micro_app_id"], name: "index_ding_visible_departments_on_ding_micro_app_id"
    t.index ["ding_organization_id"], name: "index_ding_visible_departments_on_ding_organization_id"
    t.index ["ding_suite_id"], name: "index_ding_visible_departments_on_ding_suite_id"
  end

  create_table "districts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "pinyin"
    t.string "gbt_code"
    t.integer "city_id"
    t.integer "sort"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["city_id"], name: "index_districts_on_city_id"
    t.index ["name"], name: "index_districts_on_name"
    t.index ["pinyin"], name: "index_districts_on_pinyin"
  end

  create_table "effective_record_setting", id: :integer, unsigned: true, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id", null: false, comment: "企业id"
    t.integer "app_type", limit: 1
    t.integer "effective_duration", default: 30, null: false, comment: "时长设置(默认为30s)"
    t.index ["organization_id", "app_type"], name: "uni_org_id_app_type", unique: true
  end

  create_table "entities_assist_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "subject_id"
    t.string "subject_type"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["subject_id", "subject_type"], name: "index_entities_assist_users_on_subject_id_and_subject_type"
    t.index ["user_id"], name: "index_entities_assist_users_on_user_id"
  end

  create_table "entities_share_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "subject_id"
    t.string "subject_type"
    t.integer "user_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["subject_type", "subject_id"], name: "index_entities_share_users_on_subject_type_and_subject_id"
    t.index ["user_id"], name: "index_entities_share_users_on_user_id"
  end

  create_table "event_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "event_id"
    t.integer "user_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "events", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "title"
    t.datetime "start_at"
    t.datetime "due_at"
    t.text "note", limit: 16777215
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "remind_type"
    t.datetime "remind_at"
    t.integer "related_item_id"
    t.string "related_item_type"
    t.string "event_identifier"
    t.integer "repeat", default: 0
    t.integer "repeat_state", default: 0
    t.index ["organization_id"], name: "index_events_on_organization_id"
    t.index ["related_item_id", "related_item_type"], name: "index_events_on_related_item_id_and_related_item_type"
    t.index ["user_id"], name: "index_events_on_user_id"
  end

  create_table "expense_account_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "expense_account_multistep_approves", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "expense_account_id"
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "step"
    t.integer "status"
    t.datetime "approve_at"
    t.text "content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["expense_account_id"], name: "index_expense_account_multistep_approves_on_expense_account_id"
    t.index ["organization_id"], name: "index_expense_account_multistep_approves_on_organization_id"
    t.index ["user_id"], name: "index_expense_account_multistep_approves_on_user_id"
  end

  create_table "expense_account_notify_user_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "expense_account_id"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["expense_account_id"], name: "index_expense_account_notify_user_maps_on_expense_account_id"
    t.index ["user_id"], name: "index_expense_account_notify_user_maps_on_user_id"
  end

  create_table "expense_accounts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "department_id"
    t.integer "user_id"
    t.string "sn"
    t.decimal "amount", precision: 24, scale: 6, default: "0.0"
    t.text "note", limit: 16777215
    t.integer "creator_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "approve_status", limit: 1, default: 3
    t.integer "approve_deny_type", limit: 1, default: 0
    t.integer "step"
    t.integer "pending_step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.index ["creator_id"], name: "index_expense_accounts_on_creator_id"
    t.index ["department_id"], name: "index_expense_accounts_on_department_id"
    t.index ["organization_id"], name: "index_expense_accounts_on_organization_id"
    t.index ["sn"], name: "index_expense_accounts_on_sn"
    t.index ["user_id"], name: "index_expense_accounts_on_user_id"
  end

  create_table "expense_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "expenses", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "expense_account_id"
    t.integer "expense_status", default: 0
    t.integer "organization_id"
    t.integer "user_id"
    t.string "sn"
    t.string "category"
    t.text "description", limit: 16777215
    t.decimal "amount", precision: 24, scale: 6, default: "0.0"
    t.datetime "incurred_at"
    t.integer "customer_id"
    t.integer "related_item_id"
    t.string "related_item_type"
    t.integer "revisit_log_id"
    t.integer "checkin_id"
    t.integer "creator_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["category"], name: "index_expenses_on_category"
    t.index ["creator_id"], name: "index_expenses_on_creator_id"
    t.index ["customer_id"], name: "index_expenses_on_customer_id"
    t.index ["expense_account_id"], name: "index_expenses_on_expense_account_id"
    t.index ["incurred_at"], name: "index_expenses_on_incurred_at"
    t.index ["organization_id"], name: "index_expenses_on_organization_id"
    t.index ["related_item_type", "related_item_id"], name: "index_expenses_on_related_item_type_and_related_item_id"
    t.index ["sn"], name: "index_expenses_on_sn"
    t.index ["user_id"], name: "index_expenses_on_user_id"
  end

  create_table "expire_reminders", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.string "alerted_day"
    t.integer "app_type", default: 4
    t.datetime "created_at"
    t.datetime "updated_at"
    t.datetime "expires_at"
    t.boolean "alerted_expired", default: false
  end

  create_table "external_customers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "customer_id", default: 0
    t.integer "external_customer_id", default: 0
    t.integer "organization_id"
    t.integer "app_id", default: 0
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["customer_id"], name: "index_external_customers_on_customer_id"
    t.index ["external_customer_id"], name: "index_external_customers_on_external_customer_id"
  end

  create_table "faq_categories", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "position"
    t.integer "app_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "icon"
  end

  create_table "faqs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "title"
    t.text "content", limit: 16777215
    t.integer "app_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "category"
    t.integer "faq_category_id"
    t.integer "position"
    t.index ["faq_category_id"], name: "index_faqs_on_faq_category_id"
  end

  create_table "feedback_replies", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "replier_id"
    t.integer "feedback_id"
    t.text "content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["feedback_id"], name: "index_feedback_replies_on_feedback_id"
    t.index ["replier_id"], name: "index_feedback_replies_on_replier_id"
  end

  create_table "feedbacks", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.text "content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "app_type"
    t.string "feedback_type"
    t.string "email"
    t.string "phone"
    t.index ["user_id"], name: "index_feedbacks_on_user_id"
  end

  create_table "field_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "field_name"
    t.string "klass_name"
    t.string "field_type"
    t.string "column_type"
    t.string "default_value_origin"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "meta_field_map_id"
    t.index ["organization_id"], name: "index_field_maps_on_organization_id"
  end

  create_table "field_values", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "field_map_id"
    t.string "name"
    t.string "value"
    t.integer "status"
    t.integer "position", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text "setting_html_options", limit: 16777215
    t.integer "organization_id"
    t.integer "meta_field_value_id"
    t.index ["field_map_id"], name: "index_field_values_on_field_map_id"
    t.index ["organization_id"], name: "index_field_values_on_organization_id"
    t.index ["position"], name: "index_field_values_on_position"
  end

  create_table "friendly_ips", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.text "ips"
    t.integer "frequency"
    t.boolean "status"
    t.string "note"
  end

  create_table "grants", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "grantee_id"
    t.string "grantee_type"
    t.integer "subject_id"
    t.string "subject_type"
    t.string "grant_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["grant_type"], name: "index_grants_on_grant_type"
    t.index ["grantee_id"], name: "index_grants_on_grantee_id"
    t.index ["grantee_type"], name: "index_grants_on_grantee_type"
    t.index ["subject_id"], name: "index_grants_on_subject_id"
    t.index ["subject_type"], name: "index_grants_on_subject_type"
  end

  create_table "ik_invoicing_customers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "customer_id"
    t.integer "ik_invoicing_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["customer_id"], name: "index_ik_invoicing_customers_on_customer_id"
  end

  create_table "ik_invoicing_product_categories", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "product_category_id"
    t.integer "ik_invoicing_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["product_category_id"], name: "index_ik_invoicing_product_categories_on_product_category_id"
  end

  create_table "ik_invoicing_products", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "product_id"
    t.integer "ik_invoicing_id"
    t.integer "attr_status"
    t.integer "unit_setting"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["product_id"], name: "index_ik_invoicing_products_on_product_id"
  end

  create_table "ik_invoicing_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.string "userid"
    t.integer "ik_invoicing_user_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["ik_invoicing_user_id"], name: "index_ik_invoicing_users_on_ik_invoicing_user_id"
    t.index ["organization_id"], name: "index_ik_invoicing_users_on_organization_id"
    t.index ["user_id"], name: "index_ik_invoicing_users_on_user_id"
  end

  create_table "ik_taggings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "ik_tag_id"
    t.integer "taggable_id"
    t.string "taggable_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["ik_tag_id"], name: "index_ik_taggings_on_ik_tag_id"
    t.index ["taggable_id", "taggable_type"], name: "index_ik_taggings_on_taggable_id_and_taggable_type"
  end

  create_table "ik_tags", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "taggings_count", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.index ["organization_id"], name: "index_ik_tags_on_organization_id"
  end

  create_table "ik_teams", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "admin_user_id"
    t.integer "user_id"
    t.integer "message_source_id"
    t.string "message_source_type"
    t.integer "client_type", limit: 1, default: 0
    t.string "title"
    t.string "image"
    t.text "summary", limit: 16777215
    t.text "content", limit: 16777215
    t.string "link_url"
    t.boolean "read", default: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["admin_user_id"], name: "index_ik_teams_on_admin_user_id"
    t.index ["message_source_id", "message_source_type"], name: "index_ik_teams_on_message_source_id_and_message_source_type"
    t.index ["user_id"], name: "index_ik_teams_on_user_id"
  end

  create_table "ikcall_server_confs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "environment"
    t.string "domain"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "iksms_records", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.string "sid", default: ""
    t.string "sub_sid", default: ""
    t.string "mobile"
    t.integer "status"
    t.integer "quantity"
    t.text "msg", limit: 16777215
    t.datetime "sent_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["mobile"], name: "index_iksms_records_on_mobile"
    t.index ["organization_id", "created_at"], name: "index_iksms_records_on_organization_id_and_created_at"
    t.index ["organization_id", "mobile"], name: "index_iksms_records_on_organization_id_and_mobile"
    t.index ["organization_id"], name: "index_iksms_records_on_organization_id"
    t.index ["user_id"], name: "index_iksms_records_on_user_id"
  end

  create_table "import_histories", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "file_path"
    t.string "importable_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "total_count"
    t.integer "success_count"
    t.integer "fail_count"
    t.boolean "has_error_data", default: true
    t.string "associate_type"
    t.integer "attachment_id"
    t.string "file_hash"
    t.index ["organization_id"], name: "index_import_histories_on_organization_id"
    t.index ["user_id"], name: "index_import_histories_on_user_id"
  end

  create_table "incoming_call_record_extras", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id"
    t.string "calling_number"
    t.string "call_id"
    t.string "file_name"
    t.string "key"
    t.string "wav_key"
    t.text "content"
    t.string "called_number"
    t.index ["call_id"], name: "index_incoming_call_record_extras_on_call_id"
    t.index ["called_number"], name: "index_incoming_call_record_extras_on_called_number"
    t.index ["calling_number"], name: "index_incoming_call_record_extras_on_calling_number"
    t.index ["key"], name: "index_incoming_call_record_extras_on_key"
    t.index ["organization_id"], name: "index_incoming_call_record_extras_on_organization_id"
  end

  create_table "incoming_call_records", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "recordable_id"
    t.string "recordable_type"
    t.string "agent_id"
    t.integer "device_type", limit: 1, default: 0
    t.integer "status", limit: 1, default: 0
    t.integer "total_time"
    t.integer "agent_time"
    t.integer "user_time"
    t.decimal "charge", precision: 10
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["organization_id", "created_at"], name: "index_incoming_call_records_on_organization_id_and_created_at"
    t.index ["recordable_id", "recordable_type"], name: "index_incoming_call_records_on_recordable_id_and_recordable_type"
    t.index ["user_id", "created_at"], name: "index_incoming_call_records_on_user_id_and_created_at"
  end

  create_table "incoming_daily_reports", primary_key: ["user_id", "app_type", "reported_at"], options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id", null: false
    t.integer "app_type", limit: 1, default: 0, null: false
    t.integer "organization_id"
    t.integer "total_num", comment: "呼出次数"
    t.integer "connected_num", comment: "接通次数"
    t.integer "total_time", comment: "呼出通话时长"
    t.date "reported_at", null: false, comment: "报表日期"
    t.datetime "updated_at", comment: "统计时间"
    t.index ["organization_id", "reported_at", "user_id", "app_type"], name: "idx_indaily_reports_orgid_reportdate_userid_apptype"
  end

  create_table "incoming_monthly_reports", primary_key: ["user_id", "app_type", "reported_at"], options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id", null: false
    t.integer "app_type", limit: 1, default: 0, null: false
    t.integer "organization_id"
    t.integer "total_num", comment: "呼出次数"
    t.integer "connected_num", comment: "接通次数"
    t.integer "total_time", comment: "呼出通话时长"
    t.date "reported_at", null: false, comment: "统计日期"
    t.datetime "updated_at", comment: "统计时间"
  end

  create_table "industry_templates", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "name"
    t.string "label"
    t.integer "second_industry_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["second_industry_id"], name: "index_industry_templates_on_second_industry_id"
  end

  create_table "invite_codes", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "invitation_token"
    t.integer "invitation_type"
    t.datetime "invitation_created_at"
    t.datetime "invitation_send_at"
    t.datetime "invitation_accepted_at"
    t.integer "invitable_id"
    t.string "invitable_type"
    t.integer "invited_by_id"
    t.string "invited_by_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "status"
    t.index ["invitable_id", "invitable_type"], name: "index_invite_codes_on_invitable_id_and_invitable_type"
    t.index ["invited_by_id", "invited_by_type"], name: "index_invite_codes_on_invited_by_id_and_invited_by_type"
  end

  create_table "invoice_items", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "invoice_id"
    t.integer "itemable_id"
    t.string "itemable_type"
  end

  create_table "invoiced_payments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "contract_id"
    t.integer "user_id"
    t.string "invoice_types"
    t.decimal "amount", precision: 24, scale: 6
    t.text "note", limit: 16777215
    t.date "invoiced_date"
    t.string "invoice_no"
    t.string "content"
    t.integer "broker_user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.index ["contract_id"], name: "index_invoiced_payments_on_contract_id"
    t.index ["organization_id"], name: "index_invoiced_payments_on_organization_id"
    t.index ["user_id"], name: "index_invoiced_payments_on_user_id"
  end

  create_table "invoices", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "invoice_type", default: 0
    t.decimal "amount", precision: 12, scale: 3, default: "0.0"
    t.string "company_name"
    t.string "company_address"
    t.string "tax_number"
    t.string "opening_bank"
    t.string "bank_account"
    t.string "tel"
    t.string "recipient_name"
    t.string "recipient_address"
    t.string "recipient_tel"
    t.string "tracking_number"
    t.string "express_brand"
    t.datetime "express_sent_at"
    t.integer "check_status", default: 0
    t.datetime "checked_at"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["deleted_at"], name: "index_invoices_on_deleted_at"
    t.index ["invoice_type"], name: "index_invoices_on_invoice_type"
    t.index ["organization_id"], name: "index_invoices_on_organization_id"
    t.index ["user_id"], name: "index_invoices_on_user_id"
  end

  create_table "invoicing_orders", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "orderable_id"
    t.string "orderable_type"
    t.integer "organization_id"
    t.integer "ik_invoicing_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_invoicing_orders_on_organization_id"
  end

  create_table "ip_whitelists", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "ip"
    t.text "description", limit: 16777215
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_ip_whitelists_on_organization_id"
  end

  create_table "king_app_subscribers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "king_app_id"
    t.integer "king_organization_id"
    t.string "app_id"
    t.string "corp_id"
    t.integer "status", default: 0
    t.datetime "actived_at"
    t.string "access_token"
    t.datetime "expired_at"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "king_apps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "app_id"
    t.string "app_secret"
    t.string "description"
    t.string "home"
    t.string "logo_url"
    t.integer "status"
    t.string "corp_id"
    t.string "public_number"
    t.string "public_key"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "king_departments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "department_id"
    t.integer "king_organization_id"
    t.string "dept_id"
    t.string "dept_parent_id"
    t.string "name"
    t.string "full_name"
    t.integer "status", default: 1
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "king_organizations", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "corp_name"
    t.string "corp_id"
    t.string "industry"
    t.string "logo_url"
    t.integer "user_count", default: 0
    t.string "admin_id"
    t.string "admin_name"
    t.string "admin_mobile"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["corp_id"], name: "index_king_organizations_on_corp_id", unique: true
    t.index ["organization_id"], name: "index_king_organizations_on_organization_id"
  end

  create_table "king_upgrade_notice_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "notice_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "king_user_assist_department_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "king_user_id"
    t.integer "king_department_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "king_user_department_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "king_user_id"
    t.integer "king_department_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "king_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "king_organization_id"
    t.string "openid"
    t.string "name"
    t.string "mobile"
    t.string "tel"
    t.string "email"
    t.string "avatar"
    t.string "title"
    t.string "workplace"
    t.string "jobnumber"
    t.integer "status"
    t.integer "role"
    t.integer "gender"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["king_organization_id"], name: "index_king_users_on_king_organization_id"
    t.index ["user_id"], name: "index_king_users_on_user_id"
  end

  create_table "knowledge_articles", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "title"
    t.text "content", limit: 4294967295
    t.integer "views", default: 0
    t.datetime "sticky_at"
    t.integer "knowledge_section_id"
    t.integer "user_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "update_user_id"
    t.index ["knowledge_section_id"], name: "index_knowledge_articles_on_knowledge_section_id"
    t.index ["user_id"], name: "index_knowledge_articles_on_user_id"
  end

  create_table "knowledge_catalogs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "user_id"
    t.integer "organization_id"
    t.integer "position"
    t.integer "parent_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_knowledge_catalogs_on_deleted_at"
    t.index ["organization_id"], name: "index_knowledge_catalogs_on_organization_id"
    t.index ["user_id"], name: "index_knowledge_catalogs_on_user_id"
  end

  create_table "knowledge_entities", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "download_count"
    t.integer "knowledge_catalog_id"
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_knowledge_entities_on_deleted_at"
    t.index ["knowledge_catalog_id"], name: "index_knowledge_entities_on_knowledge_catalog_id"
    t.index ["organization_id"], name: "index_knowledge_entities_on_organization_id"
    t.index ["user_id"], name: "index_knowledge_entities_on_user_id"
  end

  create_table "knowledge_sections", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "position"
    t.integer "organization_id"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_knowledge_sections_on_organization_id"
  end

  create_table "label_groups", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id", comment: "标签组对应企业id"
    t.string "name", null: false, comment: "标签组名称"
    t.string "color", limit: 30, null: false, comment: "标签组内标签颜色"
    t.integer "select_type", comment: "单选或多选"
    t.boolean "customer_enable", default: false, comment: "是否对客户启用"
    t.decimal "position", precision: 10, scale: 5, comment: "位置"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_label_groups_on_organization_id"
  end

  create_table "labels", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id", comment: "标签对应企业id"
    t.integer "label_group_id", comment: "标签所属标签组id"
    t.string "content", limit: 20, comment: "标签文本"
    t.decimal "position", precision: 10, scale: 5, comment: "位置"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["label_group_id"], name: "index_labels_on_label_group_id"
    t.index ["organization_id"], name: "index_labels_on_organization_id"
  end

  create_table "largess_sms_activities", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", null: false
    t.integer "user_id", null: false
    t.integer "before_quantity", default: 0
    t.integer "quantity", default: 0
    t.integer "after_quantity", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_largess_sms_activities_on_organization_id"
    t.index ["user_id", "created_at"], name: "index_largess_sms_activities_on_user_id_and_created_at"
  end

  create_table "lea", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "model_id"
    t.string "model_type"
    t.text "value", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["model_id", "model_type"], name: "index_archivers_on_model_id_and_model_type"
    t.index ["organization_id"], name: "index_archivers_on_organization_id"
    t.index ["user_id"], name: "index_archivers_on_user_id"
  end

  create_table "lead_addresses", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_1000069", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_1000108", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_1000633", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10043", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10062", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10100", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10102", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10147", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10163", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10225", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_103", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10300", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10323", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10357", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10419", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10420", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10422", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10481", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10513", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10617", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10618", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10621", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_10623", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_12134", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_30", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_33", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_55", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_57", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_72", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_addresses_73", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "addressable_id"
    t.string "addressable_type"
    t.integer "country_id"
    t.integer "province_id"
    t.integer "city_id"
    t.integer "district_id"
    t.string "tel"
    t.string "phone"
    t.string "email"
    t.string "qq"
    t.string "fax"
    t.string "wechat"
    t.string "wangwang"
    t.string "zip"
    t.string "url"
    t.string "detail_address"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "lat", precision: 10, scale: 6
    t.decimal "lng", precision: 10, scale: 6
    t.float "off_distance"
    t.string "region_info"
    t.string "snippet"
    t.integer "organization_id"
    t.index ["addressable_id"], name: "index_lead_addresses_on_addressable_id"
    t.index ["city_id"], name: "index_addresses_on_city_id"
    t.index ["district_id"], name: "index_addresses_on_district_id"
    t.index ["lat", "lng"], name: "index_addresses_on_lat_and_lng"
    t.index ["organization_id"], name: "index_lead_addresses_on_organization_id"
    t.index ["phone"], name: "index_addresses_on_phone"
    t.index ["province_id"], name: "index_addresses_on_province_id"
    t.index ["tel"], name: "index_addresses_on_tel"
  end

  create_table "lead_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_1000069", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_1000108", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_1000633", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10043", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10062", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10100", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10102", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10147", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10163", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10225", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_103", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10300", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10323", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10357", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10419", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10420", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10422", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10481", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10513", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10617", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10618", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10621", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_10623", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_12134", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_30", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_33", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_55", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_57", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_72", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_assets_73", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "custom_field_name"
    t.index ["custom_field_id"], name: "index_lead_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_lead_assets_on_entity_id"
    t.index ["organization_id"], name: "index_lead_assets_on_organization_id"
  end

  create_table "lead_common_settings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "organization_id", null: false, comment: "企业id"
    t.string "name", null: false, comment: "公海名字"
    t.text "admin_list", limit: 16777215, comment: "公海管理员"
    t.text "member_list", limit: 16777215, comment: "公海成员"
    t.text "custom_column_list", limit: 16777215, comment: "成员公海显示字段"
    t.text "filter_column_list", limit: 16777215, comment: "成员公海筛选字段"
    t.integer "grab_rule", comment: "抢回规则"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_lead_common_settings_on_organization_id"
  end

  create_table "lead_extras", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_1000069", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_1000108", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_1000633", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10043", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10062", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10100", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10102", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10147", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10163", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10225", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_103", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10300", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10323", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10357", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10419", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10420", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10422", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10481", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10513", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10617", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10618", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10621", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_10623", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_12134", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_30", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_33", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_55", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_57", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_72", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "lead_extras_73", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id", comment: "企业id"
    t.integer "agent_soukebox_account_id"
    t.integer "lead_id", null: false
    t.integer "lead_common_setting_id", comment: "线索公海id"
    t.integer "before_lead_common_setting_id", comment: "前线索公海id"
    t.datetime "flow_into_at", comment: "线索流入公海时间"
    t.datetime "last_called_at", comment: "最后呼叫时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "external_entity_type", default: ""
    t.string "external_entity_id", default: ""
    t.index ["lead_common_setting_id", "flow_into_at"], name: "index_lead_extras_on_lead_common_setting_id_and_flow_into_at"
    t.index ["lead_id"], name: "index_lead_extras_on_lead_id"
    t.index ["organization_id"], name: "index_lead_extras_on_organization_id"
  end

  create_table "leads", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_1000069", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_1000108", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_1000633", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10043", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10062", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10100", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10102", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10147", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10163", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10225", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_103", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10300", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10323", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10357", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10419", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10420", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10422", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10481", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10513", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10617", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10618", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10621", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_10623", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_12134", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_30", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_33", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_55", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_57", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_72", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_73", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.string "name"
    t.string "company_name"
    t.string "source"
    t.string "department"
    t.string "job"
    t.text "note", limit: 4294967295
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "status"
    t.integer "turned_customer_id"
    t.integer "department_id"
    t.string "name_pinyin"
    t.string "company_name_pinyin"
    t.integer "creator_id"
    t.text "customer_requirement", limit: 4294967295
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "qixinbao_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "turned_at"
    t.integer "channel_code"
    t.boolean "is_draft", default: false, null: false
    t.string "biz_pid", default: "", null: false
    t.string "channel"
    t.index ["biz_pid"], name: "index_leads_on_biz_pid"
    t.index ["created_at"], name: "idx_a_b"
    t.index ["creator_id"], name: "index_leads_on_creator_id"
    t.index ["department_id"], name: "index_leads_on_department_id"
    t.index ["revisit_at"], name: "index_leads_on_revisit_at"
    t.index ["turned_customer_id"], name: "index_leads_on_turned_customer_id"
    t.index ["user_id"], name: "index_leads_on_user_id"
  end

  create_table "leads_social_shares", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "lead_id"
    t.integer "social_share_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["lead_id"], name: "index_leads_social_shares_on_lead_id"
    t.index ["social_share_id"], name: "index_leads_social_shares_on_social_share_id"
  end

  create_table "likes", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "likeable_id"
    t.string "likeable_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["likeable_id", "likeable_type"], name: "index_likes_on_likeable_id_and_likeable_type"
    t.index ["user_id"], name: "index_likes_on_user_id"
  end

  create_table "liteapp_subscribes", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "liteapp_id"
    t.date "expired_at"
    t.integer "app_status", default: 0
    t.boolean "tried", default: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["app_status"], name: "index_liteapp_subscribes_on_app_status"
    t.index ["liteapp_id"], name: "index_liteapp_subscribes_on_liteapp_id"
    t.index ["organization_id"], name: "index_liteapp_subscribes_on_organization_id"
  end

  create_table "liteapps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "nickname"
    t.string "logo_url"
    t.string "url"
    t.string "brief"
    t.string "description"
    t.string "description_url"
    t.string "qr_code_url"
    t.decimal "price", precision: 12, scale: 3, default: "0.0"
    t.integer "app_type", default: 0
    t.integer "status", default: 0
    t.boolean "can_trial", default: false
    t.integer "position"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["app_type"], name: "index_liteapps_on_app_type"
    t.index ["name"], name: "index_liteapps_on_name", unique: true
  end

  create_table "login_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.string "ip"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "app_type"
    t.string "ip_belong_to"
    t.text "device_infos", limit: 16777215
    t.index ["organization_id", "created_at"], name: "index_login_logs_on_organization_id_and_created_at"
    t.index ["user_id", "created_at"], name: "index_login_logs_on_user_id_and_created_at"
  end

  create_table "login_stats_uc", id: :integer, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "app_id", comment: "应用ID"
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "user_uid", comment: "用户ID"
    t.integer "sign_in_count", comment: "登陆次数"
    t.datetime "current_sign_in_at", comment: "当前登陆时间"
    t.datetime "last_sign_in_at", comment: "上次登陆时间"
    t.datetime "current_sign_out_at", comment: "当前登出时间"
    t.datetime "last_sign_out_at", comment: "上次登出时间"
    t.string "current_sign_in_ip", limit: 32, comment: "当前登陆IP"
    t.string "last_sign_in_ip", limit: 32, comment: "上次登陆IP"
    t.datetime "created_at", comment: "创建时间"
    t.datetime "updated_at", comment: "修改时间"
  end

  create_table "manual_categories", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "position"
    t.integer "app_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "icon"
  end

  create_table "manuals", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "title"
    t.text "content", limit: 16777215
    t.integer "app_type"
    t.integer "position"
    t.integer "manual_category_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "markings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "parent_id"
    t.integer "user_id"
    t.integer "to_user_id"
    t.integer "organization_id"
    t.text "content", limit: 16777215
    t.integer "markable_id"
    t.string "markable_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "marked_report_id"
    t.index ["markable_id", "markable_type"], name: "index_markings_on_markable_id_and_markable_type"
    t.index ["marked_report_id"], name: "index_markings_on_marked_report_id"
    t.index ["organization_id"], name: "index_markings_on_organization_id"
    t.index ["user_id"], name: "index_markings_on_user_id"
  end

  create_table "meta_custom_field_groups", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "name"
    t.string "label"
    t.integer "position"
    t.integer "status"
    t.text "html_options"
    t.integer "meta_custom_field_setting_id"
    t.integer "industry_template_id"
    t.text "options"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "meta_custom_field_group_id"
    t.index ["industry_template_id"], name: "index_meta_custom_field_groups_on_industry_template_id"
    t.index ["meta_custom_field_setting_id"], name: "index_meta_custom_field_groups_on_meta_custom_field_setting_id"
  end

  create_table "meta_custom_field_settings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "model_klass"
    t.integer "industry_template_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["industry_template_id"], name: "index_meta_custom_field_settings_on_industry_template_id"
    t.index ["model_klass"], name: "index_meta_custom_field_settings_on_model_klass"
  end

  create_table "meta_custom_fields", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "name"
    t.string "label"
    t.string "origin_label"
    t.string "field_type"
    t.integer "category"
    t.integer "position"
    t.text "label_html_options"
    t.text "input_html_options"
    t.integer "status"
    t.boolean "required"
    t.boolean "is_special_column"
    t.boolean "is_user_custom_column"
    t.integer "meta_custom_field_group_id"
    t.integer "industry_template_id"
    t.text "exclude_place"
    t.text "options"
    t.text "field_update_options"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "meta_custom_field_setting_id"
    t.integer "meta_custom_field_id"
    t.index ["industry_template_id"], name: "index_meta_custom_fields_on_industry_template_id"
    t.index ["meta_custom_field_group_id"], name: "index_meta_custom_fields_on_meta_custom_field_group_id"
  end

  create_table "meta_field_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "field_name"
    t.string "klass_name"
    t.string "field_type"
    t.string "column_type"
    t.string "default_value_origin"
    t.integer "industry_template_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "meta_field_map_id"
    t.index ["industry_template_id"], name: "index_meta_field_maps_on_industry_template_id"
  end

  create_table "meta_field_values", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "name"
    t.integer "meta_field_map_id"
    t.string "value"
    t.integer "status"
    t.integer "position"
    t.integer "industry_template_id"
    t.text "setting_html_options"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "meta_field_value_id"
    t.index ["industry_template_id"], name: "index_meta_field_values_on_industry_template_id"
    t.index ["meta_field_map_id"], name: "index_meta_field_values_on_meta_field_map_id"
  end

  create_table "mina_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "openid"
    t.string "nick_name"
    t.integer "prompt_time", default: 0
    t.integer "user_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["user_id"], name: "index_mina_users_on_user_id"
  end

  create_table "mq_error_msg", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.string "queue_name", limit: 128
    t.string "msg", limit: 2000
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
  end

  create_table "notification_statistics", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id", comment: "关联公司"
    t.integer "user_id", comment: "关联用户"
    t.integer "notification_id", comment: "关联通知ID"
    t.boolean "is_received", default: false, comment: "是否收到"
    t.string "client_id", comment: "个推ClientID"
    t.integer "platform", comment: "推送平台"
    t.integer "device_platform", comment: "系统"
    t.integer "app_type", comment: "版本"
    t.string "device_model", comment: "设备型号"
    t.string "ip", comment: "IP地址"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["notification_id"], name: "index_notification_statistics_on_notification_id"
    t.index ["organization_id"], name: "index_notification_statistics_on_organization_id"
    t.index ["user_id"], name: "index_notification_statistics_on_user_id"
  end

  create_table "notifications", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "notifiable_id"
    t.string "notifiable_type"
    t.integer "subject_id"
    t.string "subject_type"
    t.string "type"
    t.integer "notify_type"
    t.integer "status"
    t.string "title"
    t.text "body", limit: 16777215
    t.string "path"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text "body_html", limit: 16777215
    t.integer "category"
    t.text "extras", limit: 16777215
    t.integer "receive_platform"
    t.integer "organization_id"
    t.index ["notifiable_id", "receive_platform", "status", "subject_type", "notify_type"], name: "index_on_notifications_notifiable_id_compound"
    t.index ["organization_id"], name: "index_notifications_on_organization_id"
    t.index ["subject_id", "subject_type"], name: "index_notifications_on_subject_id_and_subject_type"
  end

  create_table "novice_task_item_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "status", default: 0
    t.integer "organization_id"
    t.integer "novice_task_item_id"
    t.integer "novice_task_map_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["novice_task_item_id"], name: "index_novice_task_item_maps_on_novice_task_item_id"
    t.index ["novice_task_map_id"], name: "index_novice_task_item_maps_on_novice_task_map_id"
    t.index ["organization_id"], name: "index_novice_task_item_maps_on_organization_id"
  end

  create_table "novice_task_items", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "category"
    t.integer "novice_task_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["novice_task_id"], name: "index_novice_task_items_on_novice_task_id"
  end

  create_table "novice_task_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "status", default: 0
    t.integer "completed_item_count", default: 0
    t.integer "organization_id"
    t.integer "novice_task_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean "has_show", default: false
    t.index ["novice_task_id"], name: "index_novice_task_maps_on_novice_task_id"
    t.index ["organization_id"], name: "index_novice_task_maps_on_organization_id"
  end

  create_table "novice_tasks", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "largess_type"
    t.integer "item_total_count"
    t.text "largess_detail", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "oauth_access_grants", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "resource_owner_id", null: false
    t.integer "application_id", null: false
    t.string "token", null: false
    t.integer "expires_in", null: false
    t.text "redirect_uri", limit: 16777215, null: false
    t.datetime "created_at", null: false
    t.datetime "revoked_at"
    t.string "scopes"
    t.index ["token"], name: "index_oauth_access_grants_on_token", unique: true
  end

  create_table "oauth_access_tokens", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "resource_owner_id"
    t.integer "application_id"
    t.string "token", null: false
    t.string "refresh_token"
    t.integer "expires_in"
    t.datetime "revoked_at"
    t.datetime "created_at", null: false
    t.string "scopes"
    t.index ["refresh_token"], name: "index_oauth_access_tokens_on_refresh_token", unique: true
    t.index ["resource_owner_id"], name: "index_oauth_access_tokens_on_resource_owner_id"
    t.index ["token"], name: "index_oauth_access_tokens_on_token", unique: true
  end

  create_table "oauth_applications", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name", null: false
    t.string "uid", null: false
    t.string "secret", null: false
    t.text "redirect_uri", limit: 16777215, null: false
    t.string "scopes", default: "", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "owner_id"
    t.string "owner_type"
    t.index ["owner_id", "owner_type"], name: "index_oauth_applications_on_owner_id_and_owner_type"
    t.index ["uid"], name: "index_oauth_applications_on_uid", unique: true
  end

  create_table "operation_logs", primary_key: ["id", "organization_id"], options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC\n/*!50100 PARTITION BY HASH (organization_id)\nPARTITIONS 1000 */", force: :cascade do |t|
    t.integer "id", null: false, auto_increment: true
    t.integer "user_id"
    t.integer "organization_id", default: 0, null: false
    t.integer "loggable_id"
    t.string "loggable_type"
    t.string "action"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text "operation_changes", limit: 16777215
    t.string "operate_no", limit: 128
    t.string "trans_no", limit: 128
    t.integer "trans_module"
    t.string "field_name"
    t.text "old_val", limit: 16777215
    t.text "val", limit: 16777215
    t.text "options", limit: 16777215
    t.text "note", limit: 16777215
    t.integer "login_log_id"
    t.index ["organization_id", "loggable_type", "loggable_id"], name: "index_on_operation_logs_organization_id_and_loggable"
    t.index ["organization_id", "trans_module", "login_log_id"], name: "index_on_operation_logs_organization_id_and_trans_login"
    t.index ["organization_id", "user_id"], name: "index_on_operation_logs_organization_id_and_user_id"
  end

  create_table "opportunities", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "title"
    t.integer "customer_id"
    t.date "get_time"
    t.string "person_in_charge"
    t.string "provider"
    t.text "customer_requirement", limit: 16777215
    t.date "expect_sign_date"
    t.decimal "expect_amount", precision: 24, scale: 6
    t.integer "sign_possibility"
    t.text "note", limit: 16777215
    t.string "kind"
    t.string "source"
    t.string "stage"
    t.integer "department_id"
    t.datetime "revisit_at"
    t.datetime "real_revisit_at"
    t.datetime "revisit_remind_at"
    t.string "title_pinyin"
    t.integer "creator_id"
    t.integer "before_user_id"
    t.integer "before_department_id"
    t.datetime "stage_updated_at"
    t.integer "approve_status", limit: 1
    t.integer "approve_deny_type", limit: 1
    t.integer "step"
    t.integer "pending_step"
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.index ["creator_id"], name: "index_opportunities_on_creator_id"
    t.index ["customer_id"], name: "index_opportunities_on_customer_id"
    t.index ["department_id"], name: "index_opportunities_on_department_id"
    t.index ["organization_id"], name: "index_opportunities_on_organization_id"
    t.index ["revisit_at"], name: "index_opportunities_on_revisit_at"
    t.index ["user_id"], name: "index_opportunities_on_user_id"
  end

  create_table "opportunity_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_opportunity_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_opportunity_assets_on_entity_id"
    t.index ["organization_id"], name: "index_opportunity_assets_on_organization_id"
  end

  create_table "opportunity_multistep_approves", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "opportunity_id", null: false
    t.integer "organization_id", null: false
    t.integer "user_id", null: false
    t.integer "step"
    t.integer "status"
    t.datetime "approve_at"
    t.text "content", limit: 16777215
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["opportunity_id"], name: "index_opportunity_multistep_approves_on_opportunity_id"
    t.index ["organization_id", "user_id"], name: "idx_organization_id_user_id"
    t.index ["organization_id"], name: "index_opportunity_multistep_approves_on_organization_id"
  end

  create_table "opportunity_notify_user_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "opportunity_id"
    t.integer "user_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["opportunity_id"], name: "index_opportunity_notify_user_maps_on_opportunity_id"
    t.index ["user_id"], name: "index_opportunity_notify_user_maps_on_user_id"
  end

  create_table "opportunity_stage_tracks", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "opportunity_id"
    t.string "status"
    t.string "previous_status"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["opportunity_id"], name: "index_opportunity_stage_tracks_on_opportunity_id"
  end

  create_table "orders", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.decimal "amount", precision: 11, default: "0"
    t.string "currency", default: "cny"
    t.string "order_number"
    t.integer "status", default: 0
    t.integer "orderable_id"
    t.string "orderable_type"
    t.string "subject"
    t.string "body"
    t.string "description"
    t.datetime "applied_at"
    t.datetime "paid_at"
    t.datetime "refunded_at"
    t.datetime "expired_at"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["deleted_at"], name: "index_orders_on_deleted_at"
    t.index ["order_number"], name: "index_orders_on_order_number"
    t.index ["orderable_id", "orderable_type"], name: "index_orders_on_orderable_id_and_orderable_type"
    t.index ["organization_id"], name: "index_orders_on_organization_id"
    t.index ["status"], name: "index_orders_on_status"
  end

  create_table "org_clients", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "name"
    t.integer "account_type"
    t.integer "users_count"
    t.string "shorter_name"
    t.integer "agent_id"
    t.boolean "locked", default: true
    t.datetime "expires_at"
    t.integer "business_type", default: 0, null: false
    t.integer "soukebao_status", default: 0
    t.integer "dingding_account_type", default: 0
    t.integer "dingding_status", default: 0
    t.integer "dingding_permission_type", default: 1
    t.integer "dingding_trial_apply_status", limit: 1, default: 0
    t.string "wx_corp_id"
    t.integer "wx_crm_plan_status"
    t.integer "wx_permission_type"
    t.integer "wx_status"
    t.integer "wx_account_type"
    t.integer "wx_category"
    t.integer "wx_follow_status"
    t.integer "wx_trial_apply_status", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "achievement"
    t.integer "version", default: 0
    t.index ["organization_id"], name: "index_org_clients_on_organization_id"
  end

  create_table "organization_entity_daily_reports", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "lead_count"
    t.integer "lead_increase_count"
    t.integer "contact_count"
    t.integer "contact_increase_count"
    t.integer "opportunity_count"
    t.integer "opportunity_increase_count"
    t.integer "contract_count"
    t.integer "contract_increase_count"
    t.integer "task_count"
    t.integer "task_increase_count"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "customer_count"
    t.integer "customer_increase_count"
    t.datetime "reported_at"
    t.integer "knowledge_entity_count"
    t.integer "knowledge_entity_increase_count"
    t.integer "schedule_report_count"
    t.integer "schedule_report_increase_count"
    t.index ["organization_id"], name: "index_organization_entity_daily_reports_on_organization_id"
  end

  create_table "organization_entity_summary_daily_reports", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "lead_count", default: 0
    t.integer "lead_increase_count", default: 0
    t.integer "contact_count", default: 0
    t.integer "contact_increase_count", default: 0
    t.integer "opportunity_count", default: 0
    t.integer "opportunity_increase_count", default: 0
    t.integer "contract_count", default: 0
    t.integer "contract_increase_count", default: 0
    t.integer "task_count", default: 0
    t.integer "task_increase_count", default: 0
    t.integer "organization_id", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "customer_count", default: 0
    t.integer "customer_increase_count", default: 0
    t.datetime "reported_at"
    t.integer "knowledge_entity_count", default: 0
    t.integer "knowledge_entity_increase_count", default: 0
    t.integer "schedule_report_count", default: 0
    t.integer "schedule_report_increase_count", default: 0
  end

  create_table "organization_extras", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id", default: 0, null: false, comment: "关联企业"
    t.integer "contacts_count", default: 0, comment: "联系人数量"
    t.integer "contracts_count", default: 0, comment: "合同数量"
    t.integer "customers_count", default: 0, comment: "客户数量"
    t.integer "leads_count", default: 0, comment: "线索数量"
    t.integer "opportunities_count", default: 0, comment: "商机数量"
    t.integer "tasks_count", default: 0, comment: "任务数量"
    t.integer "users_count", default: 0, comment: "用户数量"
    t.integer "knowledge_entities_count", default: 0, comment: "知识库数量"
    t.integer "schedule_reports_count", default: 0, comment: "工作报告数量"
    t.integer "joined_invoicing", default: 0, comment: "是否加入进销存"
    t.datetime "deleted_at", comment: "删除时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "industry_template_id", default: 0
    t.integer "set_up_status"
    t.integer "is_bind_skb", default: 0
    t.string "aes_key"
    t.string "wx_token"
    t.string "secret"
    t.text "org_package"
    t.index ["is_bind_skb"], name: "index_organization_extras_on_is_bind_skb"
    t.index ["organization_id"], name: "unique_index_organization_extras_on_organization_id", unique: true
  end

  create_table "organization_settings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "customer_common_setting_limit", default: 20
    t.integer "organization_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "customers_limit", default: 500000
    t.integer "leads_limit", default: 500000
    t.integer "soukebox_sync_setting", default: 0
    t.string "api_host", default: ""
    t.integer "lead_common_setting_limit", default: 20
    t.index ["organization_id"], name: "idx_org_id"
    t.index ["soukebox_sync_setting"], name: "index_organization_settings_on_soukebox_sync_setting"
  end

  create_table "organizations_kpi_daily_reports", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "total_count"
    t.integer "increase_count"
    t.integer "active_count"
    t.float "active_rate"
    t.integer "user_count"
    t.integer "increase_user_count"
    t.integer "organization_average_user_count"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.datetime "reported_at"
  end

  create_table "organizations_uc", primary_key: "oid", id: :bigint, default: 0, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "user_uid", comment: "用户主键"
    t.integer "id", null: false, unsigned: true
    t.integer "platform_type", limit: 1, comment: "平台类型"
    t.string "name"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "user_id"
    t.integer "contacts_count", comment: "联系人数量"
    t.integer "contracts_count", comment: "合同数量"
    t.integer "customers_count", comment: "客户数量"
    t.integer "leads_count"
    t.integer "opportunities_count"
    t.integer "tasks_count"
    t.integer "users_count"
    t.integer "knowledge_entities_count"
    t.integer "schedule_reports_count"
    t.integer "position"
    t.integer "client_id"
    t.string "locked"
    t.integer "joined_invoicing", default: 0
    t.datetime "setting_updated_at"
    t.datetime "activity_at"
    t.string "corp_id", limit: 128
    t.string "short_name", limit: 64, comment: "企业简称"
    t.datetime "deleted_at"
    t.string "address"
    t.string "corp_logo_url"
    t.index ["activity_at"], name: "index_organizations_on_activity_at"
    t.index ["client_id"], name: "index_organizations_on_client_id", unique: true
    t.index ["id", "platform_type"], name: "idx_id_platform_type", unique: true
    t.index ["user_id"], name: "index_organizations_on_user_id"
  end

  create_table "outgoing_call_record_extras", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id"
    t.string "called_number"
    t.string "call_id"
    t.string "file_name"
    t.string "key"
    t.string "wav_key"
    t.text "content"
    t.string "calling_number"
    t.index ["call_id"], name: "index_outgoing_call_record_extras_on_call_id"
    t.index ["called_number"], name: "index_outgoing_call_record_extras_on_called_number"
    t.index ["calling_number"], name: "index_outgoing_call_record_extras_on_calling_number"
    t.index ["key"], name: "index_outgoing_call_record_extras_on_key"
    t.index ["organization_id"], name: "index_outgoing_call_record_extras_on_organization_id"
  end

  create_table "outgoing_call_records", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "recordable_id"
    t.string "recordable_type"
    t.string "agent_id"
    t.integer "call_type", limit: 1, default: 0
    t.integer "device_type", limit: 1, default: 0
    t.integer "status", limit: 1, default: 0
    t.integer "total_time"
    t.integer "agent_time"
    t.integer "user_time"
    t.decimal "charge", precision: 10
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["organization_id", "created_at"], name: "index_outgoing_call_records_on_organization_id_and_created_at"
    t.index ["recordable_id", "recordable_type"], name: "index_outgoing_call_records_on_recordable_id_and_recordable_type"
    t.index ["user_id", "created_at"], name: "index_outgoing_call_records_on_user_id_and_created_at"
  end

  create_table "outgoing_daily_reports", primary_key: ["user_id", "app_type", "reported_at"], options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id", null: false
    t.integer "app_type", limit: 1, default: 0, null: false
    t.integer "organization_id"
    t.integer "total_num", comment: "呼出次数"
    t.integer "connected_num", comment: "接通次数"
    t.integer "total_time", comment: "呼出通话时长"
    t.integer "effective_num", comment: "有效呼出次数"
    t.integer "effective_time", comment: "有效呼出通话时长"
    t.date "reported_at", null: false, comment: "统计日期"
    t.datetime "updated_at", comment: "统计时间"
    t.index ["organization_id", "reported_at", "user_id", "app_type"], name: "idx_outdaily_reports_orgid_reportdate_userid_apptype"
  end

  create_table "outgoing_monthly_reports", primary_key: ["user_id", "app_type", "reported_at"], options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id", null: false
    t.integer "app_type", limit: 1, default: 0, null: false
    t.integer "organization_id"
    t.integer "total_num", comment: "呼出次数"
    t.integer "connected_num", comment: "接通次数"
    t.integer "total_time", comment: "呼出通话时长"
    t.integer "effective_num", comment: "有效呼出次数"
    t.integer "effective_time", comment: "有效呼出通话时长"
    t.date "reported_at", null: false, comment: "统计日期"
    t.datetime "updated_at", comment: "统计时间"
  end

  create_table "ownerships", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "owner_id"
    t.string "owner_type"
    t.integer "subject_id"
    t.string "subject_type"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_ownerships_on_organization_id"
    t.index ["owner_id", "owner_type"], name: "index_ownerships_on_owner_id_and_owner_type"
    t.index ["subject_id", "subject_type"], name: "index_ownerships_on_subject_id_and_subject_type"
  end

  create_table "packages", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name", default: ""
    t.integer "paid_type", default: 0
    t.integer "package_type", default: 0
    t.integer "amount", default: 0
    t.integer "pstn_duration_out", default: 0
    t.integer "pstn_duration_in", default: 0
    t.integer "pstn_rate_out", default: 0
    t.integer "pstn_rate_in", default: 0
    t.integer "pstn_amount", default: 0
    t.integer "sip_duration_out", default: 0
    t.integer "sip_duration_in", default: 0
    t.integer "sip_rate_out", default: 0
    t.integer "sip_rate_in", default: 0
    t.integer "sip_amount", default: 0
    t.integer "recording_duration_out", default: 0
    t.integer "recording_duration_in", default: 0
    t.integer "recording_rate_out", default: 0
    t.integer "recording_rate_in", default: 0
    t.integer "recording_amount", default: 0
    t.integer "status", default: 0
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["deleted_at"], name: "index_packages_on_deleted_at"
    t.index ["status"], name: "index_packages_on_status"
  end

  create_table "partitioning_configs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "model_type"
    t.boolean "enabled", default: true
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id", "model_type"], name: "index_partitioning_configs_on_organization_id_and_model_type", unique: true
  end

  create_table "pay_transaction_record", id: :integer, comment: "交易流水ID", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", comment: "交易记录", force: :cascade do |t|
    t.string "order_number", comment: "订单编码"
    t.string "app_order_number", comment: "业务订单编码"
    t.string "transaction_number", comment: "交易流水号"
    t.string "app_id", comment: "ping++ 应用Id"
    t.string "charge_id", comment: "支付对象ID"
    t.string "refund_id", comment: "退款对象ID"
    t.integer "amount", default: 0, comment: "交易金额"
    t.string "currency", limit: 8, default: "cny", comment: "币种"
    t.integer "pay_status", default: 0, comment: "支付状态, unpaid: 0, paid: 1, refunded: 2, canceled: 3"
    t.integer "refund_status", comment: "退款状态, pending: 0, succeeded: 1, failed: 2"
    t.string "trade_type", limit: 8, comment: "交易类型, pay, refund"
    t.integer "live_mode", default: 0, comment: "test: 0, live: 1"
    t.string "channel", limit: 64, default: "alipay_pc_direct", comment: "支付渠道"
    t.string "subchannel", limit: 64, comment: "子渠道"
    t.string "client_ip", limit: 64, comment: "客户端IP"
    t.string "subject", limit: 128, comment: "订单标题"
    t.string "body", limit: 256, comment: "订单描述"
    t.string "description", comment: "详细说明"
    t.text "credential", comment: "支付凭证"
    t.text "extra", comment: "支付额外参数"
    t.datetime "paid_at", comment: "支付时间"
    t.datetime "refunded_at", comment: "退款时间"
    t.datetime "expired_at", comment: "超时时间"
    t.datetime "deleted_at", comment: "删除时间"
    t.datetime "created_at", comment: "创建时间"
    t.datetime "updated_at", comment: "更新时间"
    t.index ["app_order_number"], name: "index_pay_transaction_record_on_app_order_number"
    t.index ["charge_id"], name: "index_pay_transaction_record_on_charge_id"
    t.index ["deleted_at"], name: "index_pay_transaction_record_on_deleted_at"
    t.index ["order_number"], name: "index_pay_transaction_record_on_order_number"
    t.index ["transaction_number"], name: "index_pay_transaction_record_on_transaction_number"
  end

  create_table "payments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "order_id"
    t.integer "amount", default: 0
    t.string "currency", default: "cny"
    t.integer "status", default: 0
    t.integer "live_mode", default: 0
    t.string "order_number"
    t.string "transaction_number"
    t.string "channel", default: "alipay_pc_direct"
    t.string "subchannel"
    t.string "client_ip"
    t.datetime "paid_at"
    t.datetime "expired_at"
    t.string "subject"
    t.string "body"
    t.string "description"
    t.string "app_id"
    t.string "object_id"
    t.text "credential", limit: 16777215
    t.text "extra", limit: 16777215
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "transaction_no"
    t.index ["deleted_at"], name: "index_payments_on_deleted_at"
    t.index ["object_id"], name: "index_payments_on_object_id"
    t.index ["order_id"], name: "index_payments_on_order_id"
    t.index ["order_number"], name: "index_payments_on_order_number"
    t.index ["organization_id"], name: "index_payments_on_organization_id"
    t.index ["transaction_number"], name: "index_payments_on_transaction_number"
  end

  create_table "payslip_commission_stats", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "payslip_id"
    t.integer "commission_stat_id"
    t.index ["commission_stat_id"], name: "index_payslip_commission_stats_on_commission_stat_id"
    t.index ["payslip_id"], name: "index_payslip_commission_stats_on_payslip_id"
  end

  create_table "payslip_stats", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.date "stat_date"
    t.text "note", limit: 16777215
    t.integer "status", default: 0
    t.decimal "total_pay", precision: 24, scale: 6
    t.decimal "basic_pay", precision: 24, scale: 6
    t.decimal "commission_pay", precision: 24, scale: 6
    t.decimal "final_commission_pay", precision: 24, scale: 6
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "used_time"
    t.index ["organization_id"], name: "index_payslip_stats_on_organization_id"
  end

  create_table "payslips", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.date "stat_date"
    t.text "note", limit: 16777215
    t.string "station_title"
    t.decimal "total_pay", precision: 24, scale: 6
    t.decimal "basic_pay", precision: 24, scale: 6
    t.decimal "commission_pay", precision: 24, scale: 6
    t.decimal "final_commission_pay", precision: 24, scale: 6
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "payslip_stat_id"
    t.index ["organization_id"], name: "index_payslips_on_organization_id"
    t.index ["payslip_stat_id"], name: "index_payslips_on_payslip_stat_id"
    t.index ["user_id"], name: "index_payslips_on_user_id"
  end

  create_table "performance_daily_stats", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.decimal "value", precision: 24, scale: 6
    t.date "stat_date"
    t.integer "own_type"
    t.integer "performance_indicator_id"
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_performance_daily_stats_on_organization_id"
    t.index ["performance_indicator_id"], name: "index_performance_daily_stats_on_performance_indicator_id"
    t.index ["user_id"], name: "index_performance_daily_stats_on_user_id"
  end

  create_table "performance_indicators", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "source"
    t.text "filter_conditions", limit: 16777215
    t.string "own_column"
    t.string "time_column"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_performance_indicators_on_organization_id"
  end

  create_table "performance_monthly_stats", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.decimal "value", precision: 24, scale: 6
    t.date "stat_date"
    t.integer "own_type"
    t.integer "performance_indicator_id"
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_performance_monthly_stats_on_organization_id"
    t.index ["performance_indicator_id"], name: "index_performance_monthly_stats_on_performance_indicator_id"
    t.index ["user_id"], name: "index_performance_monthly_stats_on_user_id"
  end

  create_table "permissions", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "subject"
    t.string "action"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "permissions_roles", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "role_id"
    t.integer "permission_id"
    t.index ["permission_id"], name: "index_permissions_roles_on_permission_id"
    t.index ["role_id"], name: "index_permissions_roles_on_role_id"
  end

  create_table "prepared_organizations", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "status", limit: 3, default: 0
    t.datetime "bind_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["organization_id"], name: "index_prepared_organizations_on_organization_id"
  end

  create_table "print_templates", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "model_klass"
    t.text "template_html_text", limit: 16777215
    t.text "note", limit: 16777215
    t.integer "organization_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["name"], name: "index_print_templates_on_name"
    t.index ["organization_id"], name: "index_print_templates_on_organization_id"
  end

  create_table "private_enterprises", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "code"
    t.string "api_host"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.datetime "expired_at"
    t.boolean "enabled", default: false
    t.index ["code"], name: "index_private_enterprises_on_code"
  end

  create_table "product_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "assetable_id"
    t.string "assetable_type"
    t.decimal "quantity", precision: 24, scale: 6
    t.integer "product_id"
    t.integer "organization_id"
    t.integer "product_attr_id"
    t.string "spec"
    t.decimal "standard_unit_price", precision: 24, scale: 6
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "recommended_unit_price", precision: 24, scale: 6
    t.text "remark", limit: 16777215
    t.index ["assetable_id", "assetable_type"], name: "index_product_assets_on_assetable_id_and_assetable_type"
    t.index ["organization_id"], name: "index_product_assets_on_organization_id"
    t.index ["product_attr_id"], name: "index_product_assets_on_product_attr_id"
    t.index ["product_id"], name: "index_product_assets_on_product_id"
  end

  create_table "product_attrs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "product_id"
    t.integer "ik_invoicing_id"
    t.decimal "sale_price", precision: 10
    t.string "value"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["product_id"], name: "index_product_attrs_on_product_id"
  end

  create_table "product_categories", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "name"
    t.integer "parent_id"
    t.integer "position"
    t.string "path"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_product_categories_on_organization_id"
    t.index ["parent_id"], name: "index_product_categories_on_parent_id"
  end

  create_table "product_field_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_product_field_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_product_field_assets_on_entity_id"
    t.index ["organization_id"], name: "index_product_field_assets_on_organization_id"
  end

  create_table "products", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "product_no"
    t.decimal "standard_unit_price", precision: 24, scale: 6
    t.string "sale_unit"
    t.text "introduction", limit: 16777215
    t.boolean "iced", default: false
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal "unit_cost", precision: 24, scale: 6, default: "0.0"
    t.decimal "gross_margin", precision: 20, scale: 2
    t.integer "product_category_id"
    t.index ["organization_id", "iced", "updated_at"], name: "index_products_on_organization_id_iced_updated_at"
    t.index ["organization_id"], name: "index_products_on_organization_id"
    t.index ["product_category_id"], name: "index_products_on_product_category_id"
  end

  create_table "provinces", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "pinyin"
    t.string "gbt_code"
    t.integer "sort"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "country_id"
    t.index ["country_id"], name: "index_provinces_on_country_id"
    t.index ["name"], name: "index_provinces_on_name"
    t.index ["pinyin"], name: "index_provinces_on_pinyin"
  end

  create_table "received_payment_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 24, scale: 6
    t.integer "entity_id"
    t.string "custom_field_name"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_received_payment_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_received_payment_assets_on_entity_id"
    t.index ["organization_id"], name: "index_received_payment_assets_on_organization_id"
  end

  create_table "received_payment_notify_user_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "received_payment_id"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["received_payment_id"], name: "index_received_payment_notify_user_maps_on_received_payment_id"
    t.index ["user_id"], name: "index_received_payment_notify_user_maps_on_user_id"
  end

  create_table "received_payment_plans", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "contract_id"
    t.integer "user_id"
    t.integer "receive_stage", default: 1
    t.date "receive_date"
    t.decimal "amount", precision: 24, scale: 6, default: "0.0"
    t.decimal "invoice_amount", precision: 24, scale: 6, default: "0.0"
    t.decimal "received_amount", precision: 24, scale: 6, default: "0.0"
    t.integer "receive_user_id"
    t.string "received_types", default: "0"
    t.string "payment_type"
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.integer "status", default: 0
    t.index ["contract_id"], name: "index_received_payment_plans_on_contract_id"
    t.index ["organization_id"], name: "index_received_payment_plans_on_organization_id"
    t.index ["receive_date"], name: "index_received_payment_plans_on_receive_date"
  end

  create_table "received_payments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "contract_id"
    t.string "payment_type"
    t.decimal "amount", precision: 24, scale: 6
    t.text "note", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "user_id"
    t.date "receive_date"
    t.integer "invoice_status"
    t.integer "receive_user_id"
    t.string "received_types", default: "0"
    t.integer "receive_stage", default: 1
    t.decimal "invoice_amount", precision: 20, scale: 2, default: "0.0"
    t.integer "approve_status", limit: 1, default: 3
    t.datetime "submit_applying_at"
    t.datetime "finish_approve_at"
    t.integer "organization_id"
    t.integer "received_payment_plan_id"
    t.integer "overdue_status"
    t.index ["contract_id"], name: "index_received_payments_on_contract_id"
    t.index ["organization_id"], name: "index_received_payments_on_organization_id"
    t.index ["receive_date"], name: "index_received_payments_on_receive_date"
    t.index ["received_payment_plan_id"], name: "index_received_payments_on_received_payment_plan_id"
    t.index ["user_id"], name: "index_received_payments_on_user_id"
  end

  create_table "recharge_records", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "account_id"
    t.decimal "amount", precision: 12, scale: 3, default: "0.0"
    t.decimal "balance", precision: 12, scale: 3, default: "0.0"
    t.integer "status", default: 0
    t.integer "invoice_status", default: 0
    t.integer "source", default: 0
    t.datetime "recharged_at"
    t.datetime "invoice_applied_at"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["account_id"], name: "index_recharge_records_on_account_id"
    t.index ["deleted_at"], name: "index_recharge_records_on_deleted_at"
    t.index ["recharged_at"], name: "index_recharge_records_on_recharged_at"
  end

  create_table "record_items", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "call_record_id"
    t.integer "agent_type", default: 0
    t.string "agent_id"
    t.integer "agent_time"
    t.datetime "start_time"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["call_record_id"], name: "index_record_items_on_call_record_id"
    t.index ["deleted_at"], name: "index_record_items_on_deleted_at"
    t.index ["user_id"], name: "index_record_items_on_user_id"
  end

  create_table "reminders", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "title"
    t.text "content", limit: 16777215
    t.integer "status"
    t.integer "attempts"
    t.datetime "remind_at"
    t.integer "offset_seconds"
    t.integer "priority"
    t.text "notify_params", limit: 16777215
    t.integer "remindable_id"
    t.string "remindable_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "user_id"
    t.integer "organization_id"
    t.integer "remind_status", default: 0
    t.datetime "expired_at"
    t.index ["organization_id"], name: "index_reminders_on_organization_id"
    t.index ["remindable_id", "remindable_type"], name: "index_reminders_on_remindable_id_and_remindable_type"
    t.index ["user_id", "remind_at"], name: "index_reminders_on_user_id_and_remind_at"
    t.index ["user_id", "remind_status", "remind_at"], name: "index_on_reminders_notifiable_id_compound"
  end

  create_table "report_cc_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "schedule_report_id"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["schedule_report_id"], name: "index_report_cc_users_on_schedule_report_id"
    t.index ["user_id"], name: "index_report_cc_users_on_user_id"
  end

  create_table "report_rank_roles", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "role_id"
    t.integer "setting_type", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["role_id"], name: "index_report_rank_roles_on_role_id"
  end

  create_table "report_reminder_configs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "report_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["user_id"], name: "index_report_reminder_configs_on_user_id"
  end

  create_table "revisit_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.text "content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "loggable_id"
    t.string "loggable_type"
    t.integer "user_id"
    t.string "category"
    t.datetime "remind_at"
    t.float "lat"
    t.float "lng"
    t.integer "organization_id"
    t.string "event_identifier"
    t.datetime "real_revisit_at"
    t.integer "customer_id"
    t.index ["customer_id"], name: "index_revisit_logs_on_customer_id"
    t.index ["loggable_id", "loggable_type"], name: "index_revisit_logs_on_loggable_id_and_loggable_type"
    t.index ["organization_id", "created_at"], name: "index_revisit_logs_on_organization_id_and_created_at"
    t.index ["organization_id", "real_revisit_at", "loggable_type"], name: "idx_orgid_real_revisit_at_loggable_type"
    t.index ["user_id", "loggable_type"], name: "index_revisit_logs_on_user_id_and_loggable_type"
    t.index ["user_id", "real_revisit_at"], name: "index_revisit_logs_on_user_id_and_real_revisit_at"
  end

  create_table "roles", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.text "description", limit: 16777215
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text "settings", limit: 16777215
    t.integer "entity_grant_scope"
    t.text "field_permission_setting", limit: 16777215
    t.integer "field_permission_grant_scope"
    t.index ["organization_id"], name: "index_roles_on_organization_id"
  end

  create_table "roles_users_uc", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "app_id", null: false
    t.integer "platform_type", limit: 1
    t.integer "role_id"
    t.integer "user_id"
    t.bigint "user_uid"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["role_id"], name: "idx_role_id"
    t.index ["user_id", "role_id"], name: "idx_user_id_and_role_id"
  end

  create_table "sales_activities", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.integer "saleable_id"
    t.string "saleable_type"
    t.string "activity_type"
    t.string "app"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "title"
    t.text "description", limit: 16777215
    t.string "user_name"
    t.integer "refer_id"
    t.string "refer_name"
    t.string "refer_type"
    t.integer "customer_id"
    t.integer "lead_id"
    t.integer "opportunity_id"
    t.integer "contract_id"
    t.integer "contact_id"
    t.index ["contact_id"], name: "index_sales_activities_on_contact_id"
    t.index ["contract_id"], name: "index_sales_activities_on_contract_id"
    t.index ["customer_id"], name: "index_sales_activities_on_customer_id"
    t.index ["lead_id"], name: "index_sales_activities_on_lead_id"
    t.index ["opportunity_id"], name: "index_sales_activities_on_opportunity_id"
    t.index ["organization_id"], name: "index_sales_activities_on_organization_id"
    t.index ["saleable_id"], name: "index_sales_activities_on_loggable_id"
    t.index ["saleable_type"], name: "index_sales_activities_on_loggable_type"
    t.index ["user_id", "created_at"], name: "index_sales_activities_on_user_id_and_created_at"
  end

  create_table "sales_activity_comments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "sales_activity_id"
    t.integer "parent_id"
    t.integer "user_id"
    t.integer "to_user_id"
    t.text "content", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id", comment: "企业"
    t.index ["organization_id"], name: "index_sales_activity_comments_on_organization_id"
    t.index ["sales_activity_id"], name: "index_sales_activity_comments_on_sales_activity_id"
  end

  create_table "sales_circle_comments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "sales_circle_id"
    t.integer "parent_id"
    t.integer "reply_to_user_id"
    t.text "content", limit: 16777215
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["sales_circle_id"], name: "index_sales_circle_comments_on_sales_circle_id"
    t.index ["user_id"], name: "index_sales_circle_comments_on_user_id"
  end

  create_table "sales_circle_msgs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "send_from_id"
    t.integer "sales_circle_id"
    t.integer "sales_circle_comment_id"
    t.integer "msg_types"
    t.boolean "is_read", default: false
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "send_to_id"
    t.integer "organization_id"
    t.index ["organization_id"], name: "index_sales_circle_msgs_on_organization_id"
    t.index ["sales_circle_comment_id"], name: "index_sales_circle_msgs_on_sales_circle_comment_id"
    t.index ["sales_circle_id"], name: "index_sales_circle_msgs_on_sales_circle_id"
    t.index ["send_from_id"], name: "index_sales_circle_msgs_on_send_from_id"
    t.index ["send_to_id"], name: "index_sales_circle_msgs_on_send_to_id"
  end

  create_table "sales_circles", primary_key: ["id", "organization_id"], options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "id", null: false, auto_increment: true
    t.integer "user_id"
    t.integer "organization_id", default: 0, null: false
    t.string "title"
    t.text "content", limit: 16777215
    t.integer "content_type"
    t.string "working_type"
    t.integer "working_id"
    t.integer "likes_count", default: 0
    t.text "at_user_ids", limit: 16777215
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_sales_circles_on_organization_id"
    t.index ["user_id"], name: "index_sales_circles_on_user_id"
    t.index ["working_id", "working_type"], name: "index_sales_circles_on_working_id_and_working_type"
  end

  create_table "sales_goal_yearlies", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.decimal "goal_amount", precision: 24, scale: 6
    t.decimal "quarter_1_amount", precision: 24, scale: 6
    t.decimal "quarter_2_amount", precision: 24, scale: 6
    t.decimal "quarter_3_amount", precision: 24, scale: 6
    t.decimal "quarter_4_amount", precision: 24, scale: 6
    t.decimal "month_1_amount", precision: 24, scale: 6
    t.decimal "month_2_amount", precision: 24, scale: 6
    t.decimal "month_3_amount", precision: 24, scale: 6
    t.decimal "month_4_amount", precision: 24, scale: 6
    t.decimal "month_5_amount", precision: 24, scale: 6
    t.decimal "month_6_amount", precision: 24, scale: 6
    t.decimal "month_7_amount", precision: 24, scale: 6
    t.decimal "month_8_amount", precision: 24, scale: 6
    t.decimal "month_9_amount", precision: 24, scale: 6
    t.decimal "month_10_amount", precision: 24, scale: 6
    t.decimal "month_11_amount", precision: 24, scale: 6
    t.decimal "month_12_amount", precision: 24, scale: 6
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "due_at_year"
    t.integer "goal_type", default: 0
    t.integer "product_id"
    t.integer "product_category_id"
    t.integer "department_id"
    t.index ["department_id"], name: "index_sales_goal_yearlies_on_department_id"
    t.index ["due_at_year"], name: "index_sales_goal_yearlies_on_due_at_year"
    t.index ["organization_id"], name: "index_sales_goal_yearlies_on_organization_id"
    t.index ["product_category_id"], name: "index_sales_goal_yearlies_on_product_category_id"
    t.index ["product_id"], name: "index_sales_goal_yearlies_on_product_id"
    t.index ["user_id"], name: "index_sales_goal_yearlies_on_user_id"
  end

  create_table "schedule_report_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "entity_id"
    t.integer "custom_field_id"
    t.integer "organization_id"
    t.string "custom_field_name"
    t.string "text_asset"
    t.text "text_area_asset", limit: 16777215
    t.date "date_asset"
    t.datetime "datetime_asset"
    t.decimal "numeric_asset", precision: 10
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["custom_field_id"], name: "index_schedule_report_assets_on_custom_field_id"
    t.index ["entity_id"], name: "index_schedule_report_assets_on_entity_id"
    t.index ["organization_id"], name: "index_schedule_report_assets_on_organization_id"
  end

  create_table "schedule_report_reads", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "schedule_report_id"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["schedule_report_id"], name: "index_schedule_report_reads_on_schedule_report_id"
    t.index ["user_id"], name: "index_schedule_report_reads_on_user_id"
  end

  create_table "schedule_reports", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "cycle"
    t.text "summary", limit: 16777215
    t.text "schedule", limit: 16777215
    t.integer "user_id"
    t.integer "organization_id"
    t.date "due_at"
    t.string "type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "marking_user_id"
    t.boolean "marked", default: false
    t.datetime "last_marking_at"
    t.index ["due_at"], name: "index_schedule_reports_on_due_at"
    t.index ["marking_user_id", "marked"], name: "index_schedule_reports_on_marking_user_id_and_marked"
    t.index ["organization_id"], name: "index_schedule_reports_on_organization_id"
    t.index ["user_id", "due_at"], name: "index_schedule_reports_on_user_id_and_due_at"
  end

  create_table "search_field_dict", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "entity"
    t.string "field"
    t.integer "type"
  end

  create_table "sequence", id: :bigint, unsigned: true, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name", limit: 64, null: false
    t.bigint "value", null: false
    t.datetime "gmt_modified", null: false
    t.index ["name"], name: "unique_name", unique: true
  end

  create_table "sequence_opt", id: :bigint, unsigned: true, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name", limit: 128, null: false
    t.bigint "value", null: false, unsigned: true
    t.integer "increment_by", default: 1, null: false, unsigned: true
    t.bigint "start_with", default: 1, null: false, unsigned: true
    t.bigint "max_value", default: 18446744073709551615, null: false, unsigned: true
    t.integer "cycle", limit: 1, default: 0, null: false, unsigned: true
    t.timestamp "gmt_created", default: -> { "CURRENT_TIMESTAMP" }, null: false
    t.timestamp "gmt_modified", default: "1970-02-01 00:00:00", null: false
    t.index ["name"], name: "unique_name", unique: true
  end

  create_table "settings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "var", null: false
    t.text "value", limit: 16777215
    t.integer "target_id", null: false
    t.string "target_type", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["target_type", "target_id", "var"], name: "index_settings_on_target_type_and_target_id_and_var", unique: true
  end

  create_table "short_link_social_shares", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "social_share_id"
    t.integer "user_id"
    t.integer "channel", default: 0
    t.string "short_link"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["short_link"], name: "index_short_link_social_shares_on_short_link"
    t.index ["social_share_id", "channel", "user_id"], name: "social_channel_user"
    t.index ["user_id"], name: "index_short_link_social_shares_on_user_id"
  end

  create_table "sms_accounts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "quantity", default: 0
    t.integer "warned_threshold"
    t.integer "prev_locked_threshold"
    t.integer "status", default: 0, null: false
    t.integer "source", default: 0
    t.boolean "quota_enable"
    t.datetime "warned_at"
    t.datetime "prev_locked_at"
    t.datetime "locked_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id", "status"], name: "index_sms_accounts_on_organization_id_and_status"
  end

  create_table "sms_accounts_crm", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "quantity", default: 0
  end

  create_table "sms_channel_sms_account_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "sms_channel_id"
    t.integer "sms_account_id"
    t.string "sms_channel_account_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "organization_id"
    t.index ["organization_id"], name: "index_sms_channel_sms_account_maps_on_organization_id"
    t.index ["sms_account_id"], name: "index_sms_channel_sms_account_maps_on_sms_account_id"
    t.index ["sms_channel_account_id"], name: "index_sms_channel_sms_account_maps_on_sms_channel_account_id"
    t.index ["sms_channel_id"], name: "index_sms_channel_sms_account_maps_on_sms_channel_id"
  end

  create_table "sms_channels", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "channel", default: 0
    t.integer "source", default: 0
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "sms_identities", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "identity"
    t.integer "status", default: 0, null: false
    t.integer "inn_status", default: 0
    t.string "reason"
    t.text "settings", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "channel", default: 1
    t.index ["organization_id", "status"], name: "index_sms_identities_on_organization_id_and_source_and_status"
  end

  create_table "sms_identity_sources", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "sms_identity_id"
    t.string "identity_id"
    t.integer "status", default: 0
    t.string "reason"
    t.integer "source", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["identity_id"], name: "index_sms_identity_sources_on_identity_id"
    t.index ["sms_identity_id"], name: "index_sms_identity_sources_on_sms_identity_id"
  end

  create_table "sms_orders", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.decimal "amount", precision: 12, scale: 3, default: "0.0"
    t.integer "balance", default: 0
    t.integer "status", default: 0, null: false
    t.integer "sms_package_id"
    t.integer "source", default: 0
    t.integer "quantity", default: 0
    t.datetime "dealt_at"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "order_number"
    t.integer "bms_sms_package_id"
    t.integer "buy_count"
    t.integer "give_count"
    t.index ["order_number"], name: "index_sms_orders_on_order_number"
    t.index ["organization_id", "status"], name: "index_sms_orders_on_organization_id_and_status"
    t.index ["user_id"], name: "index_sms_orders_on_user_id"
  end

  create_table "sms_quota", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "quota_type", default: 0
    t.integer "quota", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id", "quota_type"], name: "index_sms_quota_on_organization_id_and_quota_type"
  end

  create_table "sms_record_details", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "sms_record_id"
    t.integer "entityable_id"
    t.string "entityable_type"
    t.string "mobile"
    t.string "nation_code", default: "86"
    t.integer "status", default: 0, null: false
    t.string "reason"
    t.string "sid"
    t.integer "source", default: 0, null: false
    t.integer "quantity", default: 0
    t.datetime "sent_at"
    t.datetime "reached_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["entityable_id", "entityable_type"], name: "index_sms_record_details_on_entityable_id_and_entityable_type"
    t.index ["mobile"], name: "index_sms_record_details_on_mobile"
    t.index ["organization_id", "sms_record_id"], name: "index_sms_record_details_on_organization_id_and_sms_record_id"
    t.index ["sms_record_id", "mobile"], name: "index_sms_record_details_on_sms_record_id_and_mobile"
    t.index ["sms_record_id", "status"], name: "index_sms_record_details_on_sms_record_id_and_status"
    t.index ["source", "sid"], name: "index_sms_record_details_on_source_and_sid"
  end

  create_table "sms_records", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "social_share_id"
    t.text "msg", limit: 16777215
    t.integer "status", default: 0
    t.string "reason"
    t.integer "sms_type", default: 0
    t.integer "sent_quantity", default: 0
    t.integer "reached_quantity", default: 0
    t.integer "paid_quantity", default: 0
    t.datetime "delayed_at"
    t.datetime "sent_at"
    t.string "names"
    t.text "settings", limit: 16777215
    t.integer "pv_count", default: 0
    t.integer "lead_count", default: 0
    t.integer "call_count", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id", "sent_at"], name: "index_sms_records_on_organization_id_and_sent_at"
    t.index ["social_share_id"], name: "index_sms_records_on_social_share_id"
    t.index ["user_id"], name: "index_sms_records_on_user_id"
  end

  create_table "sms_template_sources", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "sms_template_id"
    t.string "template_id"
    t.integer "status", default: 0
    t.string "reason"
    t.integer "source", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["sms_template_id"], name: "index_sms_template_sources_on_sms_template_id"
    t.index ["template_id"], name: "index_sms_template_sources_on_template_id"
  end

  create_table "sms_templates", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.string "title"
    t.text "template", limit: 16777215
    t.integer "status", default: 0, null: false
    t.integer "inn_status", default: 0
    t.integer "template_type", default: 0
    t.string "reason"
    t.text "settings", limit: 16777215
    t.integer "care_status", default: 0
    t.integer "care_type", default: 0
    t.string "schedule_at"
    t.time "schedule_begin"
    t.time "schedule_end"
    t.integer "schedule_type"
    t.text "receivers", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id", "status"], name: "index_sms_templates_on_organization_id_and_source_and_status"
    t.index ["schedule_at"], name: "index_sms_templates_on_schedule_at"
  end

  create_table "sms_user_quota", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "sms_quota_id"
    t.integer "quota_used", default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["quota_used"], name: "index_sms_user_quota_on_quota_used"
    t.index ["sms_quota_id"], name: "index_sms_user_quota_on_sms_quota_id"
    t.index ["user_id"], name: "index_sms_user_quota_on_user_id"
  end

  create_table "social_promotion_fields", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "social_promotion_id", null: false, comment: "社交推广"
    t.integer "custom_field_id", null: false, comment: "对应字段"
    t.string "form_label"
    t.boolean "required", default: false, null: false, comment: "是否必填"
    t.integer "position", comment: "排序"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["custom_field_id"], name: "index_social_promotion_fields_on_custom_field_id"
    t.index ["social_promotion_id"], name: "index_social_promotion_fields_on_social_promotion_id"
  end

  create_table "social_promotion_page_views", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "social_promotion_id"
    t.integer "user_id"
    t.integer "channel", comment: "渠道码"
    t.integer "pv_count", default: 0, comment: "预览量"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["channel"], name: "index_social_promotion_page_views_on_channel"
    t.index ["social_promotion_id"], name: "index_social_promotion_page_views_on_social_promotion_id"
    t.index ["user_id"], name: "index_social_promotion_page_views_on_user_id"
  end

  create_table "social_promotion_records", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id", null: false, comment: "负责人"
    t.integer "creator_id", null: false, comment: "创建人"
    t.integer "organization_id", null: false, comment: "对应企业"
    t.integer "social_promotion_id", null: false
    t.integer "recordable_id", comment: "转化对象id"
    t.string "recordable_type", comment: "转化对象类型"
    t.integer "channel", null: false, comment: "来源渠道"
    t.text "input_html_options", null: false, comment: "记录值"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["creator_id"], name: "index_social_promotion_records_on_creator_id"
    t.index ["organization_id"], name: "index_social_promotion_records_on_organization_id"
    t.index ["social_promotion_id"], name: "index_social_promotion_records_on_social_promotion_id"
    t.index ["user_id"], name: "index_social_promotion_records_on_user_id"
  end

  create_table "social_promotions", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "title", null: false, comment: "活动名称"
    t.string "object_type", default: "Customer", null: false, comment: "关联对象"
    t.integer "custom_field_template_id", comment: "业务类型"
    t.integer "user_id", null: false, comment: "负责人"
    t.integer "creator_id", null: false, comment: "创建人"
    t.integer "organization_id", null: false, comment: "对应企业"
    t.integer "social_type", default: 0, null: false, comment: "活动类型(only_form; h5_form)"
    t.string "h5_link", comment: "H5链接"
    t.string "form_title", null: false, comment: "表单名称"
    t.text "form_description", null: false, comment: "表单描述"
    t.text "html_options", comment: "(表单和展示)按钮设置"
    t.string "share_title", null: false, comment: "分享名称"
    t.string "share_description", null: false, comment: "分享描述"
    t.string "attachment_id"
    t.integer "status", default: 0, comment: "状态(启用/禁用)"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["creator_id"], name: "index_social_promotions_on_creator_id"
    t.index ["organization_id"], name: "index_social_promotions_on_organization_id"
    t.index ["title"], name: "index_social_promotions_on_title"
    t.index ["user_id"], name: "index_social_promotions_on_user_id"
  end

  create_table "social_share_assets", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "social_share_field_id"
    t.integer "entity_id"
    t.text "input_options", limit: 16777215
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["organization_id"], name: "index_social_share_assets_on_organization_id"
    t.index ["social_share_field_id"], name: "index_social_share_assets_on_social_share_field_id"
  end

  create_table "social_share_fields", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "social_share_id"
    t.integer "custom_field_id"
    t.boolean "required"
    t.string "page_label"
    t.integer "position"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["custom_field_id"], name: "index_social_share_fields_on_custom_field_id"
    t.index ["social_share_id"], name: "index_social_share_fields_on_social_share_id"
  end

  create_table "social_share_items", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "social_share_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["social_share_id"], name: "index_social_share_items_on_social_share_id"
  end

  create_table "social_share_records", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "social_share_id"
    t.integer "user_id"
    t.integer "organization_id"
    t.integer "channel_code"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "social_share_relates", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "social_share_id"
    t.integer "social_share_record_id"
    t.integer "relateable_id"
    t.string "relateable_type"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "create_relate_time"
    t.index ["relateable_type", "relateable_id"], name: "index_social_share_relates_on_relateable_type_and_relateable_id"
    t.index ["social_share_id"], name: "index_social_share_relates_on_social_share_id"
    t.index ["social_share_record_id"], name: "index_social_share_relates_on_social_share_record_id"
  end

  create_table "social_share_statistics", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "social_share_id"
    t.integer "pv_count"
    t.integer "leads_count"
    t.integer "cal_tel_count"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["social_share_id"], name: "index_social_share_statistics_on_social_share_id"
  end

  create_table "social_share_user_statistics", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "social_share_id"
    t.integer "user_id"
    t.integer "pv_count"
    t.integer "leads_count"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "channel_code"
    t.index ["social_share_id"], name: "index_social_share_user_statistics_on_social_share_id"
    t.index ["user_id"], name: "index_social_share_user_statistics_on_user_id"
  end

  create_table "social_shares", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "title"
    t.text "description", limit: 16777215
    t.text "form_description", limit: 16777215
    t.text "form_schema", limit: 16777215
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "read_count"
    t.datetime "deleted_at"
    t.string "out_url"
    t.integer "status", default: 0
    t.text "abstract", limit: 16777215
    t.text "form_html_options", limit: 16777215
    t.string "related_item_type"
    t.integer "custom_field_template_id"
    t.string "share_title"
    t.text "share_info", limit: 16777215
    t.string "share_type"
    t.integer "creator_id"
    t.index ["deleted_at"], name: "index_social_shares_on_deleted_at"
    t.index ["organization_id"], name: "index_social_shares_on_organization_id"
    t.index ["user_id"], name: "index_social_shares_on_user_id"
  end

  create_table "soukebox_accounts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id", default: 0
    t.integer "parent_account_id", default: 0
    t.integer "organization_id"
    t.integer "status", default: 0, null: false
    t.integer "level"
    t.string "biz_uid"
    t.text "access_token", limit: 16777215
    t.datetime "access_token_expire_at"
    t.string "user_token"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.datetime "expired_at", null: false
    t.integer "after_user_id"
    t.integer "before_user_id"
    t.integer "account_type", default: 0, null: false
    t.string "biz_master_phone"
    t.string "out_biz_uid"
    t.string "bind_phone", default: "000"
    t.integer "uid"
    t.integer "oid"
    t.index ["level"], name: "index_soukebox_accounts_on_level"
    t.index ["organization_id"], name: "index_soukebox_accounts_on_organization_id"
    t.index ["parent_account_id"], name: "index_soukebox_accounts_on_parent_account_id"
    t.index ["status"], name: "index_soukebox_accounts_on_status"
    t.index ["user_id"], name: "index_soukebox_accounts_on_user_id"
  end

  create_table "stations", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.decimal "salaries", precision: 24, scale: 6
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_stations_on_organization_id"
  end

  create_table "subscribers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.integer "organization_id"
    t.integer "business_query_subscription_id"
    t.integer "category"
    t.integer "own_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["business_query_subscription_id"], name: "index_subscribers_on_business_query_subscription_id"
    t.index ["organization_id"], name: "index_subscribers_on_organization_id"
    t.index ["user_id"], name: "index_subscribers_on_user_id"
  end

  create_table "system_settings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "export_max_count", default: 2000
    t.integer "import_max_count", default: 10000
    t.integer "customers_max_count", default: 200000
    t.integer "leads_max_count", default: 200000
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "table_increases", id: :integer, comment: "表主键增长记录", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", comment: "表主键增长记录", force: :cascade do |t|
    t.string "record_table", comment: "记录表名"
    t.string "model_klass", comment: "记录类名"
    t.integer "value", comment: "主键值"
    t.date "record_date", comment: "记录日期"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["record_date", "record_table"], name: "index_table_increases_on_record_date_and_record_table"
  end

  create_table "taggings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "tag_id"
    t.integer "taggable_id"
    t.string "taggable_type"
    t.integer "tagger_id"
    t.string "tagger_type"
    t.string "context", limit: 128
    t.datetime "created_at"
    t.index ["tag_id", "taggable_id", "taggable_type", "context", "tagger_id", "tagger_type"], name: "taggings_idx", unique: true
    t.index ["taggable_id", "taggable_type", "context"], name: "index_taggings_on_taggable_id_and_taggable_type_and_context"
  end

  create_table "tags", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.integer "taggings_count", default: 0
    t.index ["name"], name: "index_tags_on_name", unique: true
  end

  create_table "tb_sequence", primary_key: "name", id: :string, limit: 50, comment: "表名", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "current_value", null: false
    t.integer "_increment", default: 1, null: false
  end

  create_table "tddl_rule", primary_key: "version", id: :bigint, unsigned: true, default: nil, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "data_id", limit: 128, null: false
    t.text "content", limit: 4294967295, null: false
    t.string "content_md5", limit: 64, null: false
    t.integer "diamond", limit: 1, default: 0, null: false
    t.integer "manager", limit: 1, default: 0, null: false
    t.string "sender_diamond", limit: 64, null: false
    t.string "sender_manager", limit: 64, null: false
    t.timestamp "gmt_created", default: -> { "CURRENT_TIMESTAMP" }, null: false
    t.timestamp "gmt_modified", default: "1970-02-01 00:00:00", null: false
    t.timestamp "gmt_modified_diamond", default: "1970-02-01 00:00:00", null: false
    t.timestamp "gmt_modified_manager", default: "1970-02-01 00:00:00", null: false
    t.index ["data_id"], name: "uk_data_id", unique: true
  end

  create_table "tddl_rule_status", id: false, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.bigint "version_using", null: false, unsigned: true
    t.bigint "version_diamond", null: false, unsigned: true
    t.bigint "version_manager", null: false, unsigned: true
    t.timestamp "gmt_created", default: -> { "CURRENT_TIMESTAMP" }, null: false
    t.timestamp "gmt_modified_using", default: "1970-02-01 00:00:00", null: false
    t.timestamp "gmt_modified_diamond", default: "1970-02-01 00:00:00", null: false
    t.timestamp "gmt_modified_manager", default: "1970-02-01 00:00:00", null: false
  end

  create_table "token_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "model_id"
    t.string "model_type"
    t.string "token_name"
    t.string "token", limit: 1000
    t.datetime "expires_at"
    t.text "extras", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["model_id", "model_type"], name: "index_token_logs_on_model_id_and_model_type"
    t.index ["token"], name: "index_token_logs_on_token", length: 255
  end

  create_table "uc_accounts", primary_key: "aid", id: :bigint, comment: "主键", default: nil, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.string "account_no", limit: 128, null: false, comment: "账号"
    t.string "phone", limit: 64, comment: "电话"
    t.string "email", limit: 128, comment: "邮箱"
    t.string "name"
    t.string "name_pinyin", collation: "utf8_general_ci"
    t.string "avatar_url"
    t.string "gender"
    t.string "source"
    t.string "encrypted_password", default: "", null: false, collation: "utf8_general_ci", comment: "密码"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "locked_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "修改时间"
    t.datetime "confirmed_at", comment: "账户激活时间"
    t.index ["email"], name: "idx_email", unique: true
    t.index ["name_pinyin"], name: "idx_name_pinyin"
    t.index ["phone"], name: "idx_phone", unique: true
  end

  create_table "uc_accounts_crm_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "aid", null: false, comment: "主键"
    t.string "account_no", limit: 128, null: false, comment: "账号"
    t.string "phone", limit: 64, comment: "电话"
    t.string "email", limit: 128, comment: "邮箱"
    t.string "name"
    t.string "name_pinyin", collation: "utf8_general_ci"
    t.string "avatar_url"
    t.string "gender"
    t.string "source"
    t.string "encrypted_password", default: "", null: false, collation: "utf8_general_ci", comment: "密码"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "locked_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["aid"], name: "idx_aid", unique: true
    t.index ["email"], name: "idx_email", unique: true
    t.index ["name_pinyin"], name: "idx_name_pinyin"
    t.index ["phone"], name: "idx_phone", unique: true
  end

  create_table "uc_accounts_crm_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "aid", null: false, comment: "主键"
    t.string "account_no", limit: 128, null: false, comment: "账号"
    t.string "phone", limit: 64, comment: "电话"
    t.string "email", limit: 128, comment: "邮箱"
    t.string "name"
    t.string "name_pinyin", collation: "utf8_general_ci"
    t.string "avatar_url"
    t.string "gender"
    t.string "source"
    t.string "encrypted_password", default: "", null: false, collation: "utf8_general_ci", comment: "密码"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "locked_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "修改时间"
    t.index ["aid"], name: "idx_aid", unique: true
    t.index ["email"], name: "idx_email", unique: true
    t.index ["name_pinyin"], name: "idx_name_pinyin"
    t.index ["phone"], name: "idx_phone", unique: true
  end

  create_table "uc_accounts_jxc_ding", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "aid", null: false, comment: "主键"
    t.string "account_no", limit: 128, null: false, comment: "账号"
    t.string "phone", limit: 64, comment: "电话"
    t.string "email", limit: 128, comment: "邮箱"
    t.string "name"
    t.string "name_pinyin", collation: "utf8_general_ci"
    t.string "avatar_url"
    t.string "gender"
    t.string "source"
    t.string "encrypted_password", default: "", null: false, collation: "utf8_general_ci", comment: "密码"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "locked_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "修改时间"
    t.index ["aid"], name: "idx_aid", unique: true
    t.index ["email"], name: "idx_email", unique: true
    t.index ["name_pinyin"], name: "idx_name_pinyin"
    t.index ["phone"], name: "idx_phone", unique: true
  end

  create_table "uc_accounts_jxc_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "aid", null: false, comment: "主键"
    t.string "account_no", limit: 128, null: false, comment: "账号"
    t.string "phone", limit: 64, comment: "电话"
    t.string "email", limit: 128, comment: "邮箱"
    t.string "name"
    t.string "name_pinyin", collation: "utf8_general_ci"
    t.string "avatar_url"
    t.string "gender"
    t.string "source"
    t.string "encrypted_password", default: "", null: false, collation: "utf8_general_ci", comment: "密码"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "locked_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "修改时间"
    t.index ["aid"], name: "idx_aid", unique: true
    t.index ["email"], name: "idx_email", unique: true
    t.index ["name_pinyin"], name: "idx_name_pinyin"
    t.index ["phone"], name: "idx_phone", unique: true
  end

  create_table "uc_accounts_jxc_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "aid", null: false, comment: "主键"
    t.string "account_no", limit: 128, null: false, comment: "账号"
    t.string "phone", limit: 64, comment: "电话"
    t.string "email", limit: 128, comment: "邮箱"
    t.string "name"
    t.string "name_pinyin", collation: "utf8_general_ci"
    t.string "avatar_url"
    t.string "gender"
    t.string "source"
    t.string "encrypted_password", default: "", null: false, collation: "utf8_general_ci", comment: "密码"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "locked_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "修改时间"
    t.index ["aid"], name: "idx_aid", unique: true
    t.index ["email"], name: "idx_email", unique: true
    t.index ["name_pinyin"], name: "idx_name_pinyin"
    t.index ["phone"], name: "idx_phone", unique: true
  end

  create_table "uc_apps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.string "name", limit: 64, comment: "应用名称"
    t.string "app_key", limit: 64, collation: "utf8_general_ci", comment: "应用ID"
    t.boolean "used"
    t.string "app_secret", limit: 128, default: "", null: false, comment: "应用Secret"
    t.string "app_token", limit: 128, default: "", null: false, comment: "应用Token"
    t.string "access_token", limit: 128, default: "", null: false
    t.string "app_domain", collation: "utf8_general_ci", comment: "应用域名"
    t.string "postfix", limit: 64, collation: "utf8_general_ci", comment: "后缀"
    t.string "bms_app_id", limit: 64, comment: "BMS应用ID"
    t.string "home_page", comment: "应用首页"
    t.string "default_logo_url", comment: "默认logoUrl"
    t.boolean "data_sync", comment: "是否需要冗余数据"
    t.integer "type", comment: "产品类型；1：普通产品；2：励销云产品"
    t.integer "platform", comment: "平台 1：独立版；2：微信版；3：钉钉版"
    t.boolean "embedded", default: false, comment: "是否嵌入", unsigned: true
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "修改时间"
    t.boolean "is_module", comment: "是否模块；0：否；1：是"
    t.boolean "has_department_visible", comment: "是否有部门可见性；0：否；1：是"
    t.boolean "has_user_visible", comment: "是否有用户可见性；0：否；1：是"
    t.index ["access_token"], name: "idx_access_token", unique: true
    t.index ["app_secret"], name: "idx_app_secret", unique: true
    t.index ["app_token"], name: "idx_app_token", unique: true
  end

  create_table "uc_department_extend", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "department_did", null: false
    t.bigint "organization_oid", null: false
    t.integer "ding_dept_id", comment: "钉钉部门id"
    t.integer "wx_dept_id", comment: "企业微信部门id"
    t.integer "parent_id", comment: "父部门id"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_did"], name: "idx_department_did"
    t.index ["organization_oid", "ding_dept_id"], name: "idx_oid_ding_dept_id", unique: true
    t.index ["organization_oid", "wx_dept_id"], name: "idx_oid_wx_dept_id", unique: true
  end

  create_table "uc_departments", primary_key: "did", id: :bigint, comment: "主键", default: nil, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "name"
    t.text "description"
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "parent_did", comment: "父级ID"
    t.string "path_did", comment: "部门层级关系"
    t.integer "position"
    t.integer "status", default: 1
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["organization_oid"], name: "idx_organization_oid"
    t.index ["parent_did"], name: "idx_parent_did"
    t.index ["path_did"], name: "idx_path_did"
  end

  create_table "uc_departments_crm_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "did", null: false, comment: "主键"
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "parent_did", comment: "父级ID"
    t.string "path_did", comment: "部门层级关系"
    t.string "name"
    t.text "description"
    t.integer "organization_id"
    t.integer "parent_id"
    t.integer "position"
    t.string "path"
    t.integer "status", default: 1
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["did"], name: "did", unique: true
    t.index ["organization_id", "deleted_at", "status"], name: "index_departments_on_organization_id_deleted_at_status"
    t.index ["organization_oid"], name: "idx_organization_oid"
    t.index ["parent_id"], name: "index_departments_on_parent_id"
    t.index ["path"], name: "index_departments_on_path"
    t.index ["path_did"], name: "idx_path_did"
  end

  create_table "uc_departments_crm_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "did", null: false, comment: "主键"
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "parent_did", comment: "父级ID"
    t.string "path_did", comment: "部门层级关系"
    t.string "name"
    t.text "description"
    t.integer "organization_id"
    t.integer "parent_id"
    t.integer "position"
    t.string "path"
    t.integer "status", default: 1
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["did"], name: "did", unique: true
    t.index ["organization_id", "deleted_at", "status"], name: "index_departments_on_organization_id_deleted_at_status"
    t.index ["organization_oid"], name: "idx_organization_oid"
    t.index ["parent_id"], name: "index_departments_on_parent_id"
    t.index ["path"], name: "index_departments_on_path"
    t.index ["path_did"], name: "idx_path_did"
  end

  create_table "uc_departments_jxc_ding", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "did", null: false, comment: "主键"
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "parent_did", comment: "父级ID"
    t.string "path_did", comment: "部门层级关系"
    t.string "name"
    t.text "description"
    t.integer "organization_id"
    t.integer "parent_id"
    t.integer "position"
    t.string "path"
    t.integer "status", default: 1
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["did"], name: "did", unique: true
    t.index ["organization_id", "deleted_at", "status"], name: "index_departments_on_organization_id_deleted_at_status"
    t.index ["organization_oid"], name: "idx_organization_oid"
    t.index ["parent_id"], name: "index_departments_on_parent_id"
    t.index ["path"], name: "index_departments_on_path"
    t.index ["path_did"], name: "idx_path_did"
  end

  create_table "uc_departments_jxc_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "did", null: false, comment: "主键"
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "parent_did", comment: "父级ID"
    t.string "path_did", comment: "部门层级关系"
    t.string "name"
    t.text "description"
    t.integer "organization_id"
    t.integer "parent_id"
    t.integer "position"
    t.string "path"
    t.integer "status", default: 1
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["did"], name: "did", unique: true
    t.index ["organization_id", "deleted_at", "status"], name: "index_departments_on_organization_id_deleted_at_status"
    t.index ["organization_oid"], name: "idx_organization_oid"
    t.index ["parent_id"], name: "index_departments_on_parent_id"
    t.index ["path"], name: "index_departments_on_path"
    t.index ["path_did"], name: "idx_path_did"
  end

  create_table "uc_departments_jxc_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "did", null: false, comment: "主键"
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "parent_did", comment: "父级ID"
    t.string "path_did", comment: "部门层级关系"
    t.string "name"
    t.text "description"
    t.integer "organization_id"
    t.integer "parent_id"
    t.integer "position"
    t.string "path"
    t.integer "status", default: 1
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["did"], name: "did", unique: true
    t.index ["organization_id", "deleted_at", "status"], name: "index_departments_on_organization_id_deleted_at_status"
    t.index ["organization_oid"], name: "idx_organization_oid"
    t.index ["parent_id"], name: "index_departments_on_parent_id"
    t.index ["path"], name: "index_departments_on_path"
    t.index ["path_did"], name: "idx_path_did"
  end

  create_table "uc_login_stats", id: :integer, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "app_id", comment: "应用ID"
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "user_uid", comment: "用户ID"
    t.integer "user_type", comment: "0：普通用户；1：API用户"
    t.integer "sign_in_count", comment: "登陆次数"
    t.datetime "current_sign_in_at", comment: "当前登陆时间"
    t.datetime "last_sign_in_at", comment: "上次登陆时间"
    t.datetime "current_sign_out_at", comment: "当前登出时间"
    t.datetime "last_sign_out_at", comment: "上次登出时间"
    t.string "current_sign_in_ip", limit: 32, comment: "当前登陆IP"
    t.string "last_sign_in_ip", limit: 32, comment: "上次登陆IP"
    t.datetime "created_at", comment: "创建时间"
    t.datetime "updated_at", comment: "更新时间"
  end

  create_table "uc_open_api", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "aid", null: false
    t.bigint "oid", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["aid"], name: "index_aid"
  end

  create_table "uc_organization_docking_bms", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "app_id", comment: "应用id"
    t.bigint "organization_oid"
    t.integer "license_type", comment: "版本类型：free/vip/trial ( FREE(1, \"free\"), VIP(2, \"vip\"), TRIAL(3, \"trial\");)"
    t.integer "license_count", comment: "开通工号数量"
    t.integer "version", comment: "产品版本：1:专业版/2:基础版/3:旗舰版professional / simplify / ultimate "
    t.datetime "started_at", comment: "开始时间"
    t.datetime "expired_at", comment: "过期时间"
    t.datetime "registered_at", comment: "注册时间"
    t.integer "robot_line_count", comment: "机器人开通线路数"
    t.text "module_info", comment: "模块信息；json字符串"
    t.boolean "is_repurchased", comment: "是否复购 0：否；1：是"
    t.boolean "is_refunded", comment: "是否退单 0：否；1：是"
    t.datetime "created_at", comment: "本条记录创建时间"
    t.datetime "updated_at", comment: "本条记录修改时间"
    t.index ["app_id", "license_type", "organization_oid"], name: "index_appId_license_type_oid"
    t.index ["organization_oid", "app_id"], name: "idx_oid_appid", unique: true
  end

  create_table "uc_organization_extend", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "organization_oid", null: false
    t.bigint "user_uid"
    t.string "third_user_id", limit: 128
    t.string "corp_name", limit: 128
    t.string "corp_type"
    t.string "corp_square_logo_url"
    t.string "corp_user_max"
    t.string "corp_full_name"
    t.string "verified_end_time"
    t.string "subject_type"
    t.string "corp_wxqrcode"
    t.index ["organization_oid"], name: "idx_oid"
  end

  create_table "uc_organizations", primary_key: "oid", id: :bigint, comment: "主键", default: nil, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "corp_id", limit: 128, default: "", null: false
    t.bigint "user_uid", comment: "用户主键"
    t.string "name"
    t.string "short_name", limit: 64, comment: "企业简称"
    t.string "address"
    t.string "corp_logo_url"
    t.integer "source"
    t.datetime "activity_at"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, null: false
    t.string "registered_way", limit: 64
    t.index ["corp_id"], name: "idx_corp_id", unique: true
  end

  create_table "uc_organizations_apps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "organization_oid", null: false
    t.integer "app_id", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_oid", "app_id"], name: "idx_oid_appid", unique: true
  end

  create_table "uc_organizations_crm_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "oid", null: false, comment: "主键"
    t.bigint "user_uid", comment: "用户主键"
    t.integer "user_id"
    t.string "name"
    t.string "short_name", limit: 64, comment: "企业简称"
    t.string "address"
    t.string "corp_logo_url"
    t.string "corp_id", limit: 128, null: false
    t.integer "source"
    t.datetime "activity_at"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.string "registered_way", limit: 64
    t.index ["activity_at"], name: "index_organizations_on_activity_at"
    t.index ["corp_id"], name: "idx_corp_id", unique: true
    t.index ["oid"], name: "idx_oid", unique: true
    t.index ["user_id"], name: "index_organizations_on_user_id"
  end

  create_table "uc_organizations_crm_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "oid", null: false, comment: "主键"
    t.bigint "user_uid", comment: "用户主键"
    t.integer "user_id"
    t.string "name"
    t.string "short_name", limit: 64, comment: "企业简称"
    t.string "address"
    t.string "corp_logo_url"
    t.string "corp_id", limit: 128, null: false
    t.integer "source"
    t.datetime "activity_at"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.string "registered_way", limit: 64
    t.index ["activity_at"], name: "index_organizations_on_activity_at"
    t.index ["corp_id"], name: "idx_corp_id", unique: true
    t.index ["oid"], name: "idx_oid", unique: true
    t.index ["user_id"], name: "index_organizations_on_user_id"
  end

  create_table "uc_organizations_jxc_ding", id: :integer, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "oid", null: false, comment: "OID"
    t.bigint "user_uid", comment: "用户主键"
    t.integer "user_id"
    t.string "name"
    t.string "short_name", limit: 64, comment: "企业简称"
    t.string "address"
    t.string "corp_logo_url"
    t.string "corp_id", limit: 128, null: false
    t.integer "source"
    t.datetime "activity_at"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.string "registered_way", limit: 64
    t.index ["activity_at"], name: "index_organizations_on_activity_at"
    t.index ["corp_id"], name: "idx_corp_id", unique: true
    t.index ["oid"], name: "idx_oid", unique: true
    t.index ["user_id"], name: "index_organizations_on_user_id"
  end

  create_table "uc_organizations_jxc_ik", id: :integer, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "oid", null: false, comment: "OID"
    t.bigint "user_uid", comment: "用户主键"
    t.integer "user_id"
    t.string "name"
    t.string "short_name", limit: 64, comment: "企业简称"
    t.string "address"
    t.string "corp_logo_url"
    t.string "corp_id", limit: 128, null: false
    t.integer "source"
    t.datetime "activity_at"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.string "registered_way", limit: 64
    t.index ["activity_at"], name: "index_organizations_on_activity_at"
    t.index ["corp_id"], name: "idx_corp_id", unique: true
    t.index ["oid"], name: "idx_oid", unique: true
    t.index ["user_id"], name: "index_organizations_on_user_id"
  end

  create_table "uc_organizations_jxc_lx", id: :integer, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "oid", null: false, comment: "OID"
    t.bigint "user_uid", comment: "用户主键"
    t.integer "user_id"
    t.string "name"
    t.string "short_name", limit: 64, comment: "企业简称"
    t.string "address"
    t.string "corp_logo_url"
    t.string "corp_id", limit: 128, null: false
    t.integer "source"
    t.datetime "activity_at"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.string "registered_way", limit: 64
    t.index ["activity_at"], name: "index_organizations_on_activity_at"
    t.index ["corp_id"], name: "idx_corp_id", unique: true
    t.index ["oid"], name: "idx_oid", unique: true
    t.index ["user_id"], name: "index_organizations_on_user_id"
  end

  create_table "uc_refund_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "oid"
    t.integer "app_id"
    t.text "organization_docking_bms", limit: 4294967295, comment: "被删除对象"
    t.text "organization_app", limit: 4294967295, comment: "被删除对象"
    t.text "visible_users", limit: 4294967295, comment: "被删除对象"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "修改时间"
  end

  create_table "uc_roles_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "app_id", null: false
    t.integer "role_id"
    t.bigint "user_uid"
    t.string "role_name", limit: 45, comment: "角色名称"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["role_id", "app_id"], name: "idx_role_id_app_id"
    t.index ["user_uid", "app_id"], name: "idx_user_uid_app_id"
  end

  create_table "uc_roles_users_crm_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "role_id"
    t.integer "user_id"
    t.bigint "user_uid"
    t.string "role_name", limit: 100, comment: "角色名称"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["role_id"], name: "idx_role_id"
    t.index ["user_id", "role_id"], name: "idx_user_id_and_role_id"
    t.index ["user_uid", "role_id"], name: "idx_user_uid_role_id"
  end

  create_table "uc_roles_users_crm_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "role_id"
    t.integer "user_id"
    t.bigint "user_uid"
    t.string "role_name", limit: 100, comment: "角色名称"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["role_id"], name: "idx_role_id"
    t.index ["user_id", "role_id"], name: "idx_user_id_and_role_id"
    t.index ["user_uid", "role_id"], name: "idx_user_uid_role_id"
  end

  create_table "uc_roles_users_jxc_ding", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "role_id"
    t.integer "user_id"
    t.bigint "user_uid"
    t.string "role_name", limit: 100, comment: "角色名称"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["role_id"], name: "idx_role_id"
    t.index ["user_id", "role_id"], name: "idx_user_id_and_role_id"
  end

  create_table "uc_roles_users_jxc_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "role_id"
    t.integer "user_id"
    t.bigint "user_uid"
    t.string "role_name", limit: 100, comment: "角色名称"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["role_id"], name: "idx_role_id"
    t.index ["user_id", "role_id"], name: "idx_user_id_and_role_id"
    t.index ["user_uid", "role_id"], name: "idx_user_uid_role_id"
  end

  create_table "uc_roles_users_jxc_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "role_id"
    t.integer "user_id"
    t.bigint "user_uid"
    t.string "role_name", limit: 100, comment: "角色名称"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["role_id"], name: "idx_role_id"
    t.index ["user_id", "role_id"], name: "idx_user_id_and_role_id"
    t.index ["user_uid", "role_id"], name: "idx_user_uid_role_id"
  end

  create_table "uc_system_setup", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "oid", null: false
    t.boolean "number", default: false, comment: "密码是否包含数字"
    t.boolean "lowercase_letter", default: false, comment: "密码是否包含小写字母"
    t.boolean "uppercase_letter", default: false, comment: "密码是否包含大写字母"
    t.boolean "special", default: false, comment: "密码是否包含特殊符号"
    t.integer "password_length", comment: "密码长度"
    t.integer "passwrod_cycle", comment: "密码多少个月更新"
    t.integer "sesssion_timeout", comment: "session失效时间/小时"
    t.integer "frozen_cycle", comment: "多少天未登录冻结"
    t.boolean "msg_check", comment: "是否短信校验"
    t.datetime "created_at", comment: "创建时间"
    t.datetime "updated_at", comment: "修改时间"
    t.index ["oid"], name: "index_on_oid"
  end

  create_table "uc_user_app_bindings", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "organization_oid"
    t.bigint "user_uid"
    t.integer "source_app_id"
    t.integer "target_app_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["user_uid", "organization_oid"], name: "idx_oid_uid", unique: true
  end

  create_table "uc_user_extend", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "user_uid", null: false
    t.bigint "organization_oid", null: false
    t.string "userid", limit: 60, null: false
    t.string "dingid", limit: 128
    t.string "unionid", limit: 128
    t.string "dept_ids"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["dingid", "organization_oid"], name: "idex_dingId_oid"
    t.index ["organization_oid", "userid"], name: "idx_oid_userid", unique: true
    t.index ["unionid", "organization_oid"], name: "idex_unionid_oid"
    t.index ["user_uid"], name: "idx_user_uid"
  end

  create_table "uc_user_modules_map", id: :integer, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.bigint "user_uid", null: false, comment: "uid"
    t.bigint "organization_oid", null: false, comment: "oid"
    t.integer "app_id", null: false, comment: "应用ID"
    t.integer "license_type", null: false, comment: "版本类别"
    t.integer "version", default: 0, comment: "版本"
    t.datetime "started_at", comment: "开始时间"
    t.datetime "expired_at", comment: "过期时间"
    t.text "modules", null: false, comment: "模块,JSON字符串"
    t.integer "license_count", comment: "工号数"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "更新时间"
    t.index ["user_uid", "app_id"], name: "idx_uid_app_id", unique: true
  end

  create_table "uc_users", primary_key: "uid", id: :bigint, comment: "主键", default: nil, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "superior_uid", comment: "主管uid"
    t.bigint "account_aid", null: false
    t.string "name"
    t.string "name_pinyin"
    t.string "phone"
    t.string "email"
    t.string "job"
    t.string "tel"
    t.string "path_uid"
    t.integer "permission", comment: "权限设置   0：无(none)；1：管理(manage)；2：查看(view)"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "confirmed_at"
    t.index ["account_aid"], name: "idx_account_aid"
    t.index ["email"], name: "idx_email"
    t.index ["organization_oid", "deleted_at"], name: "idx_organization_deleted_at"
    t.index ["organization_oid", "path_uid"], name: "idx_organization_path_uid"
    t.index ["phone"], name: "idx_phone"
    t.index ["superior_uid"], name: "idex_superior_uid"
  end

  create_table "uc_users_assist_departments", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "user_uid"
    t.bigint "department_did"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_did", "user_uid"], name: "idx_department_user_uid"
    t.index ["user_uid"], name: "idx_user_uid"
  end

  create_table "uc_users_assist_departments_crm_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid"
    t.bigint "department_did"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_id", "user_id"], name: "index_users_assist_departments_on_department_id_and_user_id"
    t.index ["user_id"], name: "index_users_assist_departments_on_user_id"
    t.index ["user_uid", "department_did"], name: "idx_user_uid_did"
  end

  create_table "uc_users_assist_departments_crm_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid"
    t.bigint "department_did"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_id", "user_id"], name: "index_users_assist_departments_on_department_id_and_user_id"
    t.index ["user_id"], name: "index_users_assist_departments_on_user_id"
    t.index ["user_uid", "department_did"], name: "idx_user_uid_did"
  end

  create_table "uc_users_assist_departments_jxc_ding", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid"
    t.bigint "department_did"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_id", "user_id"], name: "index_users_assist_departments_on_department_id_and_user_id"
    t.index ["user_id"], name: "index_users_assist_departments_on_user_id"
  end

  create_table "uc_users_assist_departments_jxc_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid"
    t.bigint "department_did"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_id", "user_id"], name: "index_users_assist_departments_on_department_id_and_user_id"
    t.index ["user_id"], name: "index_users_assist_departments_on_user_id"
    t.index ["user_uid", "department_did"], name: "idx_user_uid_did"
  end

  create_table "uc_users_assist_departments_jxc_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid"
    t.bigint "department_did"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_id", "user_id"], name: "index_users_assist_departments_on_department_id_and_user_id"
    t.index ["user_id"], name: "index_users_assist_departments_on_user_id"
    t.index ["user_uid", "department_did"], name: "idx_user_uid_did"
  end

  create_table "uc_users_crm_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "uid", null: false, comment: "主键"
    t.bigint "organization_oid", comment: "企业ID"
    t.integer "organization_id"
    t.bigint "superior_uid", comment: "主管uid"
    t.integer "superior_id"
    t.bigint "account_aid", null: false
    t.string "name"
    t.string "name_pinyin"
    t.string "phone"
    t.string "email", default: ""
    t.string "job"
    t.string "tel"
    t.string "path_uid"
    t.string "path"
    t.integer "permission"
    t.integer "status"
    t.boolean "usable"
    t.boolean "data_usable", default: false
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.boolean "mixture_usable", default: true, null: false, comment: "混合授权"
    t.index ["account_aid"], name: "index_users_on_account_aid"
    t.index ["deleted_at"], name: "index_users_on_deleted_at"
    t.index ["email"], name: "index_users_on_email"
    t.index ["organization_id", "deleted_at", "status"], name: "idx_organization_id_deleted_at_status"
    t.index ["path"], name: "index_users_on_path"
    t.index ["phone"], name: "idx_phone"
    t.index ["superior_id"], name: "idx_superior_id"
    t.index ["uid"], name: "uid", unique: true
  end

  create_table "uc_users_crm_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "uid", null: false, comment: "主键"
    t.bigint "organization_oid", comment: "企业ID"
    t.integer "organization_id"
    t.bigint "superior_uid", comment: "主管uid"
    t.integer "superior_id"
    t.bigint "account_aid", null: false
    t.string "name"
    t.string "name_pinyin"
    t.string "phone"
    t.string "email", default: ""
    t.string "job"
    t.string "tel"
    t.string "path_uid"
    t.string "path"
    t.integer "permission"
    t.integer "status", limit: 1
    t.boolean "usable"
    t.boolean "data_usable", default: false, comment: "数据可用"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["account_aid"], name: "index_users_on_account_aid"
    t.index ["deleted_at"], name: "index_users_on_deleted_at"
    t.index ["email"], name: "index_users_on_email"
    t.index ["organization_id", "deleted_at", "status"], name: "index_users_on_organization_id_deleted_at_status"
    t.index ["path"], name: "index_users_on_path"
    t.index ["phone"], name: "idx_phone"
    t.index ["superior_id"], name: "idx_superior_id"
    t.index ["superior_id"], name: "idx_superiorid"
    t.index ["uid"], name: "uid", unique: true
  end

  create_table "uc_users_departments", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "user_uid", comment: "用户关联主键"
    t.bigint "department_did", comment: "部门关联主键"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_did", "user_uid"], name: "idx_department_user_uid"
    t.index ["user_uid"], name: "idx_user_uid"
  end

  create_table "uc_users_departments_crm_ik", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid", comment: "用户关联主键"
    t.bigint "department_did", comment: "部门关联主键"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_id", "user_id"], name: "index_users_departments_on_department_id_and_user_id", unique: true
    t.index ["user_id"], name: "index_users_departments_on_user_id"
    t.index ["user_uid", "department_did"], name: "idx_user_uid_did"
  end

  create_table "uc_users_departments_crm_lx", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid", comment: "用户关联主键"
    t.bigint "department_did", comment: "部门关联主键"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_id", "user_id"], name: "index_users_departments_on_department_id_and_user_id", unique: true
    t.index ["user_id"], name: "index_users_departments_on_user_id"
    t.index ["user_uid", "department_did"], name: "idx_user_uid_did"
  end

  create_table "uc_users_departments_jxc_ding", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid", comment: "用户关联主键"
    t.bigint "department_did", comment: "部门关联主键"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_id", "user_id"], name: "index_users_departments_on_department_id_and_user_id", unique: true
    t.index ["user_id"], name: "index_users_departments_on_user_id"
  end

  create_table "uc_users_departments_jxc_ik", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid", comment: "用户关联主键"
    t.bigint "department_did", comment: "部门关联主键"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_id", "user_id"], name: "index_users_departments_on_department_id_and_user_id", unique: true
    t.index ["user_id"], name: "index_users_departments_on_user_id"
    t.index ["user_uid", "department_did"], name: "idx_user_uid_did"
  end

  create_table "uc_users_departments_jxc_lx", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid", comment: "用户关联主键"
    t.bigint "department_did", comment: "部门关联主键"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["department_id", "user_id"], name: "index_users_departments_on_department_id_and_user_id", unique: true
    t.index ["user_id"], name: "index_users_departments_on_user_id"
    t.index ["user_uid", "department_did"], name: "idx_user_uid_did"
  end

  create_table "uc_users_jxc_ding", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "uid", null: false, comment: "主键"
    t.bigint "organization_oid", comment: "企业ID"
    t.integer "organization_id"
    t.bigint "superior_uid", comment: "主管uid"
    t.integer "superior_id"
    t.bigint "account_aid", null: false
    t.string "name"
    t.string "name_pinyin"
    t.string "phone"
    t.string "email", default: ""
    t.string "job"
    t.string "tel"
    t.string "path_uid"
    t.string "path"
    t.integer "permission"
    t.integer "status"
    t.boolean "usable"
    t.boolean "data_usable", default: false, comment: "数据可用"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["deleted_at"], name: "index_users_on_deleted_at"
    t.index ["email"], name: "index_users_on_email"
    t.index ["organization_id", "deleted_at", "status"], name: "index_users_on_organization_id_deleted_at_status"
    t.index ["path"], name: "index_users_on_path"
    t.index ["phone"], name: "idx_phone"
    t.index ["superior_id"], name: "idx_superiorid"
    t.index ["uid"], name: "uid", unique: true
  end

  create_table "uc_users_jxc_ik", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "uid", null: false, comment: "主键"
    t.bigint "organization_oid", comment: "企业ID"
    t.integer "organization_id"
    t.bigint "superior_uid", comment: "主管uid"
    t.integer "superior_id"
    t.bigint "account_aid", null: false
    t.string "name"
    t.string "name_pinyin"
    t.string "phone"
    t.string "email", default: ""
    t.string "job"
    t.string "tel"
    t.string "path_uid"
    t.string "path"
    t.integer "permission"
    t.integer "status"
    t.boolean "usable"
    t.boolean "data_usable", default: false, comment: "数据可用"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["account_aid"], name: "index_users_on_account_aid"
    t.index ["deleted_at"], name: "index_users_on_deleted_at"
    t.index ["deleted_at"], name: "index_users_on_organization_id_deleted_at_status"
    t.index ["email"], name: "index_users_on_email"
    t.index ["path"], name: "index_users_on_path"
    t.index ["phone"], name: "idx_phone"
    t.index ["uid"], name: "uid", unique: true
  end

  create_table "uc_users_jxc_lx", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "uid", null: false, comment: "主键"
    t.bigint "organization_oid", comment: "企业ID"
    t.integer "organization_id"
    t.bigint "superior_uid", comment: "主管uid"
    t.integer "superior_id"
    t.bigint "account_aid", null: false
    t.string "name"
    t.string "name_pinyin"
    t.string "phone"
    t.string "email", default: ""
    t.string "job"
    t.string "tel"
    t.string "path_uid"
    t.string "path"
    t.integer "permission"
    t.integer "status"
    t.boolean "usable"
    t.boolean "data_usable", default: false, comment: "数据可用"
    t.datetime "deleted_at"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }
    t.index ["account_aid"], name: "index_users_on_account_aid"
    t.index ["deleted_at"], name: "index_users_on_deleted_at"
    t.index ["email"], name: "index_users_on_email"
    t.index ["organization_id", "deleted_at", "status"], name: "index_users_on_organization_id_deleted_at_status"
    t.index ["path"], name: "index_users_on_path"
    t.index ["phone"], name: "idx_phone"
    t.index ["superior_id"], name: "idx_superiorid"
    t.index ["uid"], name: "uid", unique: true
  end

  create_table "uc_visible_departments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "app_id", null: false, comment: "关联App Id"
    t.bigint "organization_oid", null: false, comment: "企业OID"
    t.bigint "department_did", null: false, comment: "用户UID"
    t.integer "status", default: 0, comment: "用户可见状态：0:  不可见，1：可见"
    t.boolean "third_status", default: false
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "更新时间"
    t.index ["app_id", "organization_oid"], name: "idx_app_id_oid"
  end

  create_table "uc_visible_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "app_id", null: false, comment: "关联App Id"
    t.bigint "organization_oid", null: false, comment: "企业OID"
    t.bigint "user_uid", null: false, comment: "用户UID"
    t.boolean "status", default: false, comment: "用户可见状态：0:  不可见，1：可见"
    t.boolean "usable", default: false, comment: "用户是否可用   0：用户不可用；1：用户可用"
    t.boolean "data_usable", default: false, comment: "数据可用"
    t.boolean "locked", comment: "冻结状态0：未冻结；1：已冻结"
    t.boolean "is_admin", default: false
    t.integer "delete_pre_status", default: 99, comment: "删除前状态"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "更新时间"
    t.boolean "manual_set", comment: "手动启用或禁用过"
    t.index ["app_id", "organization_oid", "status"], name: "index_uc_visible_users_oid_app_id_status"
  end

  create_table "upgrade_notice_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "upgrade_notice_id"
    t.boolean "read", default: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_upgrade_notice_logs_on_organization_id"
    t.index ["upgrade_notice_id", "user_id", "read"], name: "index_on_upgrade_notice_logs"
    t.index ["user_id", "upgrade_notice_id"], name: "index_upgrade_notice_logs_on_user_id_and_upgrade_notice_id"
  end

  create_table "user_access_records", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id", null: false
    t.integer "organization_id", null: false
    t.string "app_type", limit: 50
    t.datetime "created_at", null: false
    t.index ["organization_id"], name: "index_user_access_records_on_organization_id"
  end

  create_table "user_devices", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "uid"
    t.string "device_token"
    t.string "client_id"
    t.integer "platform"
    t.integer "user_id"
    t.integer "organization_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "device_platform"
    t.string "device_model"
    t.string "device_id"
    t.string "device_version"
    t.string "device_phone"
    t.datetime "login_at"
    t.string "ip"
    t.datetime "deleted_at"
    t.integer "app_type", default: 0
    t.index ["client_id"], name: "index_user_devices_on_client_id"
    t.index ["deleted_at"], name: "index_user_devices_on_deleted_at"
    t.index ["organization_id"], name: "index_user_devices_on_organization_id"
    t.index ["user_id", "client_id"], name: "index_user_devices_on_user_id_and_client_id", unique: true
    t.index ["user_id"], name: "index_user_devices_on_user_id"
  end

  create_table "user_event_notifications", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "organization_id"
    t.integer "user_id"
    t.integer "event_notification_id"
    t.boolean "is_read", default: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["event_notification_id"], name: "index_user_event_notifications_on_event_notification_id"
    t.index ["organization_id"], name: "index_user_event_notifications_on_organization_id"
    t.index ["user_id"], name: "index_user_event_notifications_on_user_id"
  end

  create_table "user_extras", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "organization_id", default: 0, null: false, comment: "关联企业"
    t.integer "user_id", null: false, comment: "关联用户"
    t.string "otp_secret_key", comment: "验证码"
    t.integer "otp_secret_counter", comment: "验证次数"
    t.boolean "pending_report", default: false, comment: "未读工作报告"
    t.decimal "salaries", precision: 24, scale: 6, comment: "薪水"
    t.integer "station_id", comment: "关联职位"
    t.datetime "current_sign_in_at", comment: "用户当前登录时间"
    t.datetime "last_sign_in_at", comment: "用户最后登录时间"
    t.datetime "deleted_at", comment: "删除时间"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["organization_id"], name: "index_user_extras_on_organization_id"
    t.index ["station_id"], name: "index_user_extras_on_station_id"
    t.index ["user_id"], name: "index_user_extras_on_user_id"
  end

  create_table "user_sign_in_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "user_id"
    t.datetime "sign_in_at"
    t.string "sign_in_ip"
    t.boolean "is_first_sign_in", default: false
    t.index ["sign_in_at"], name: "index_user_sign_in_logs_on_sign_in_at"
    t.index ["user_id"], name: "index_user_sign_in_logs_on_user_id"
  end

  create_table "user_token", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "user_id", null: false
    t.string "token", limit: 32
    t.integer "verify_code"
    t.integer "sequence_id"
    t.datetime "created_at"
    t.index ["created_at"], name: "index_created_at"
    t.index ["token"], name: "index_user_token", unique: true
  end

  create_table "users_assist_departments_uc", primary_key: "uadid", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "id", null: false
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid"
    t.bigint "department_did"
    t.integer "platform_type", limit: 1, comment: "平台类型"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["department_id", "user_id"], name: "index_users_assist_departments_on_department_id_and_user_id"
    t.index ["user_id"], name: "index_users_assist_departments_on_user_id"
  end

  create_table "users_departments_uc", primary_key: "udid", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "id", null: false
    t.integer "user_id"
    t.integer "department_id"
    t.bigint "user_uid", comment: "用户关联主键"
    t.bigint "department_did", comment: "部门关联主键"
    t.integer "platform_type", limit: 1, comment: "平台类型"
    t.index ["department_id", "user_id"], name: "index_users_departments_on_department_id_and_user_id", unique: true
    t.index ["user_id", "department_id"], name: "idx_uid_and_dpid", unique: true
    t.index ["user_id"], name: "index_users_departments_on_user_id"
  end

  create_table "users_uc", primary_key: "uid", id: :bigint, comment: "主键", default: nil, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.bigint "organization_oid", comment: "企业ID"
    t.bigint "superior_uid", comment: "主管uid"
    t.bigint "account_aid"
    t.integer "id", null: false
    t.integer "platform_type", limit: 1, comment: "平台类型"
    t.string "email", default: ""
    t.string "encrypted_password", default: "", null: false
    t.string "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.integer "sign_in_count", default: 0, null: false, comment: "登录账户"
    t.datetime "current_sign_in_at", comment: "目前登录"
    t.datetime "last_sign_in_at", comment: "最后一次登录"
    t.string "current_sign_in_ip"
    t.string "last_sign_in_ip", collation: "utf8_bin"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "name"
    t.integer "organization_id"
    t.string "confirmation_token"
    t.datetime "confirmed_at"
    t.datetime "confirmation_sent_at"
    t.string "unconfirmed_email"
    t.integer "failed_attempts"
    t.string "unlock_token"
    t.datetime "locked_at", comment: "非空：用户不可用；空：用户可用"
    t.string "phone"
    t.integer "role_id"
    t.string "otp_secret_key"
    t.string "workflow_state"
    t.string "job"
    t.string "tel"
    t.string "gender"
    t.datetime "confirmed_phone_at"
    t.boolean "pending_report", default: false
    t.integer "superior_id"
    t.datetime "password_set_at"
    t.integer "otp_secret_counter"
    t.datetime "deleted_at"
    t.string "path"
    t.string "name_pinyin"
    t.integer "user_type", limit: 1, default: 0, null: false
    t.integer "status", default: 1
    t.boolean "usable", default: true
    t.decimal "salaries", precision: 24, scale: 6
    t.integer "station_id"
    t.boolean "permission", default: false, comment: "权限设置   0：无(none)；1：管理(manage)；2：查看(view)"
    t.index ["deleted_at"], name: "index_users_on_deleted_at"
    t.index ["email"], name: "index_users_on_email"
    t.index ["id", "platform_type"], name: "idx_id_platform_type", unique: true
    t.index ["organization_id", "deleted_at", "status"], name: "index_users_on_organization_id_deleted_at_status"
    t.index ["path"], name: "index_users_on_path"
    t.index ["phone"], name: "index_users_on_phone"
    t.index ["role_id"], name: "index_users_on_role_id"
    t.index ["station_id"], name: "index_users_on_station_id"
    t.index ["superior_id"], name: "index_users_on_superior_id"
  end

  create_table "version_configuration", id: :integer, comment: "主键", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", comment: "营销云版本配置信息", force: :cascade do |t|
    t.integer "app_id", null: false, comment: "应用ID"
    t.integer "license_type", null: false, comment: "版本类别1免费版；2付费版；3试用版"
    t.integer "version", null: false, comment: "版本类型1专业版；2基础版；3旗舰版；4营销版；5数据版"
    t.string "modules", limit: 1000, null: false, comment: "包含模块JSON字符串"
    t.datetime "created_at", comment: "创建时间"
    t.datetime "updated_at", comment: "更新时间"
    t.index ["app_id", "license_type", "version"], name: "idx_app_id_license_type_version", unique: true
  end

  create_table "visible_users_uc", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "app_id", null: false, comment: "关联App Id"
    t.bigint "organization_oid", null: false, comment: "企业OID"
    t.bigint "user_uid", null: false, comment: "用户UID"
    t.boolean "status", default: false, comment: "用户可见状态：0:  不可见，1：可见"
    t.boolean "is_admin", default: false
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "更新时间"
    t.boolean "availability", default: false, comment: "用户是否可用   0：用户不可用；1：用户可用"
  end

  create_table "wechat_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "openid"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "prompt_time", default: 0
    t.string "nick_name"
    t.string "headimage_url"
    t.integer "sex"
    t.string "city"
    t.string "province"
    t.string "country"
    t.index ["user_id"], name: "index_wechat_users_on_user_id"
  end

  create_table "wx_agents", id: :integer, comment: "主键ID", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "wx_app_id", null: false, comment: "微信应用外键ID"
    t.bigint "organization_oid", comment: "微信企业外键ID"
    t.integer "wx_app_subscriber_id", comment: "订阅外键ID"
    t.integer "agent_id", default: 0, comment: "授权方应用id"
    t.string "agent_name", default: "", comment: "授权方应用名字"
    t.string "square_logo_url", default: "", comment: "授权方应用方形头像"
    t.string "round_logo_url", default: "", comment: "授权方应用圆形头像"
    t.text "privilege", limit: 16777215, comment: "应用对应的权限"
    t.integer "status", default: 0, comment: "状态：forbidden, active, inactive"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "更新时间"
    t.index ["agent_id"], name: "idx_agent_id"
    t.index ["organization_oid", "wx_app_id"], name: "index_oid_wx_app_id"
    t.index ["wx_app_id", "organization_oid"], name: "idx_mp_app_wx_organization_id"
    t.index ["wx_app_subscriber_id"], name: "idx_wx_app_subscriber_id"
  end

  create_table "wx_api_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "request_uuid", comment: "请求uuid"
    t.string "interface_uuid", comment: "接口uuid"
    t.string "request_host", comment: "调用服务器"
    t.string "corp_id", comment: "企业corp_id"
    t.integer "organization_id", comment: "关联企业"
    t.integer "dept_id", comment: "部门id"
    t.string "userid", comment: "用户id"
    t.text "request_uri", comment: "请求的 uri"
    t.string "route_action", comment: "请求的 路由"
    t.text "request_params", comment: "请求参数"
    t.string "request_method", comment: "请求方法"
    t.string "request_format", comment: "请求格式"
    t.integer "response_status", comment: "响应状态"
    t.text "response_body", comment: "响应内容正文"
    t.datetime "start_time", comment: "请求开始时间"
    t.decimal "exec_time", precision: 10, comment: "请求耗时"
    t.integer "retry_count", comment: "请求第几次重试"
    t.integer "errcode", comment: "请求结果code"
    t.string "description", comment: "额外描述"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["corp_id", "dept_id", "start_time"], name: "index_wx_api_logs_on_corp_id_and_dept_id_and_start_time"
    t.index ["corp_id", "start_time"], name: "index_wx_api_logs_on_corp_id_and_start_time"
    t.index ["corp_id", "userid", "start_time"], name: "index_wx_api_logs_on_corp_id_and_userid_and_start_time"
    t.index ["created_at"], name: "index_wx_api_logs_on_created_at"
    t.index ["interface_uuid"], name: "index_wx_api_logs_on_interface_uuid"
    t.index ["request_uuid"], name: "index_wx_api_logs_on_request_uuid"
  end

  create_table "wx_app_subscribers", id: :integer, comment: "主键ID", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "wx_app_id", null: false, comment: "微信应用外键ID"
    t.bigint "organization_oid", comment: "微信企业外键ID"
    t.string "corp_id", limit: 128, default: "", comment: "微信企业corp id"
    t.string "permanent_code", default: "", comment: "永久授权码"
    t.string "access_token", default: "", comment: "企业token"
    t.datetime "access_token_expired_at", comment: "企业token过期时间"
    t.string "jsapi_ticket", default: "", comment: "jsapi ticket"
    t.datetime "jsapi_ticket_expired_at", comment: "jsapi ticket过期时间"
    t.integer "status", default: 0, comment: "激活状态"
    t.string "auth_channel", default: "", comment: "授权通道"
    t.text "wx_auth_user", limit: 16777215, comment: "授权用户信息"
    t.integer "cms_agent_id", comment: "CMS代理ID"
    t.boolean "is_sync_cms", default: false, comment: "是否同步到cms"
    t.datetime "actived_at", comment: "激活时间"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "更新时间"
    t.index ["wx_app_id", "corp_id"], name: "idx_wx_app_corp_id"
    t.index ["wx_app_id", "organization_oid"], name: "idx_wx_app_wx_organization_id"
  end

  create_table "wx_apps", id: :integer, comment: "主键ID", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "type", comment: "1: wx; 2: dingding"
    t.integer "uc_app_id"
    t.string "name", default: "", comment: "应用名称"
    t.string "suite_id", limit: 128, default: "", comment: "应用ID"
    t.string "suite_secret", default: "", comment: "应用secret"
    t.string "suite_ticket", default: "", comment: "应用ticket"
    t.string "suite_access_token", default: "", comment: "应用access_token"
    t.datetime "suite_access_token_expired_at", comment: "access_token过期时间"
    t.string "encoding_token", default: "", comment: "加密token"
    t.string "encoding_aes_key", default: "", comment: "加密key"
    t.string "isv_corp_id", default: "", comment: "服务提供商corp id"
    t.boolean "released", default: true
    t.string "pre_auth_code", default: "", comment: "预授权码"
    t.datetime "pre_auth_code_expired_at", comment: "预授权码"
    t.string "qr_login_url"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "更新时间"
    t.index ["suite_id"], name: "idx_suite_id"
  end

  create_table "wx_department_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_department_id"
    t.integer "department_id"
    t.index ["department_id"], name: "index_wx_department_maps_on_department_id"
    t.index ["wx_department_id"], name: "index_wx_department_maps_on_wx_department_id"
  end

  create_table "wx_departments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_organization_id"
    t.integer "dept_id"
    t.integer "origin_dept_id"
    t.integer "dept_parent_id"
    t.integer "parent_id"
    t.string "name"
    t.bigint "order"
    t.integer "status", default: 1
    t.string "path"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["dept_id"], name: "index_wx_departments_on_dept_id"
    t.index ["dept_parent_id"], name: "index_wx_departments_on_dept_parent_id"
    t.index ["parent_id"], name: "index_wx_departments_on_parent_id"
    t.index ["wx_organization_id", "dept_id"], name: "index_wx_departments_on_wx_organization_id_and_dept_id", unique: true
    t.index ["wx_organization_id"], name: "index_wx_departments_on_wx_organization_id"
  end

  create_table "wx_external_contact_access_tokens", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_organization", null: false
    t.string "token", null: false
    t.string "encoding_aes_key", null: false
    t.datetime "last_callback_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["wx_organization"], name: "index_wx_external_contact_access_tokens_on_wx_organization"
  end

  create_table "wx_external_contact_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "transfer_id"
    t.string "transfer_type"
    t.string "external_userid"
    t.integer "contact_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "organization_id"
    t.index ["transfer_type", "transfer_id"], name: "index_wx_external_contact_maps_on_transfer_type_and_transfer_id"
  end

  create_table "wx_external_contacts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_organization_id", null: false
    t.integer "wx_user_id", null: false
    t.integer "transfer_id"
    t.string "transfer_type"
    t.string "openid"
    t.integer "contact_type"
    t.string "name"
    t.integer "gender"
    t.string "remark"
    t.string "description"
    t.string "avatar"
    t.string "mobile"
    t.string "email"
    t.string "position"
    t.string "corp_name"
    t.string "corp_full_name"
    t.text "external_profile", limit: 16777215
    t.datetime "createtime"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["transfer_type", "transfer_id"], name: "index_wx_external_contacts_on_transfer_type_and_transfer_id"
    t.index ["wx_organization_id"], name: "index_wx_external_contacts_on_wx_organization_id"
    t.index ["wx_user_id"], name: "index_wx_external_contacts_on_wx_user_id"
  end

  create_table "wx_globals", id: :integer, comment: "主键ID", options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "isv_corp_id", limit: 128, default: "", comment: "微信企业corp id"
    t.string "token", default: "", comment: "token"
    t.string "aes_key", default: "", comment: "aes_key"
    t.string "provider_secret", default: "", comment: "服务提供商secret"
    t.string "provider_access_token", default: "", comment: "服务提供商access token"
    t.datetime "provider_access_token_expired_at", comment: "服务提供商access token过期时间"
    t.datetime "created_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "创建时间"
    t.datetime "updated_at", default: -> { "CURRENT_TIMESTAMP" }, comment: "更新时间"
    t.index ["isv_corp_id"], name: "idx_isv_corp_id"
  end

  create_table "wx_message_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.integer "wx_message_id"
    t.integer "organization_id"
    t.integer "view_count", default: 1
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["created_at"], name: "index_wx_message_logs_on_created_at"
    t.index ["organization_id"], name: "index_wx_message_logs_on_organization_id"
    t.index ["updated_at"], name: "index_wx_message_logs_on_updated_at"
    t.index ["wx_message_id"], name: "index_wx_message_logs_on_wx_message_id"
  end

  create_table "wx_messages", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8", force: :cascade do |t|
    t.string "msg_type", default: "textcard"
    t.string "title"
    t.text "description"
    t.string "mobile_redirect_uri"
    t.string "pc_redirect_uri"
    t.integer "push_scope", limit: 1, default: 0
    t.integer "push_status", limit: 1, default: 0
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "wx_organization_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_organization_id"
    t.integer "organization_id"
    t.index ["organization_id"], name: "index_wx_organization_maps_on_organization_id"
    t.index ["wx_organization_id"], name: "index_wx_organization_maps_on_wx_organization_id"
  end

  create_table "wx_organizations", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "corp_name"
    t.string "corp_full_name"
    t.string "corp_id"
    t.integer "corp_type"
    t.string "corp_round_logo_url"
    t.string "corp_square_logo_url"
    t.string "corp_user_max"
    t.string "corp_agent_max"
    t.string "corp_wxqrcode"
    t.integer "subject_type"
    t.datetime "verified_end_time"
    t.integer "wx_users_count", default: 0
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["corp_id"], name: "index_wx_organizations_on_corp_id"
  end

  create_table "wx_register_template", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force: :cascade do |t|
    t.integer "wx_app_id", null: false
    t.string "template_id", limit: 128, null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "wx_register_templates", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "service_corp_id"
    t.string "template_id"
    t.string "name"
    t.string "callback_url"
  end

  create_table "wx_registers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_register_template_id"
    t.string "service_corp_id"
    t.string "corp_id"
    t.string "register_code", limit: 1000
    t.text "data", limit: 16777215
    t.index ["wx_register_template_id"], name: "index_wx_registers_on_wx_register_template_id"
  end

  create_table "wx_suite_subscribers", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_suite_id"
    t.integer "wx_organization_id"
    t.string "suite_id"
    t.string "corp_id"
    t.string "permanent_code"
    t.string "access_token", limit: 1000
    t.datetime "access_token_expired_at"
    t.string "provider_access_token", limit: 1000
    t.datetime "provider_access_token_expired_at"
    t.string "jsapi_ticket", limit: 1000
    t.datetime "jsapi_ticket_expired_at"
    t.text "auth_user_info", limit: 16777215
    t.integer "status", default: 0
    t.string "auth_channel"
    t.datetime "actived_at"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "agent_jsapi_ticket", limit: 1000
    t.datetime "agent_jsapi_ticket_expired_at"
    t.index ["corp_id"], name: "index_wx_suite_subscribers_on_corp_id"
    t.index ["suite_id"], name: "index_wx_suite_subscribers_on_suite_id"
    t.index ["wx_organization_id"], name: "index_wx_suite_subscribers_on_wx_organization_id"
    t.index ["wx_suite_id"], name: "index_wx_suite_subscribers_on_wx_suite_id"
  end

  create_table "wx_suites", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.string "name"
    t.string "suite_id"
    t.string "token"
    t.string "aes_key"
    t.string "secret"
    t.string "ticket"
    t.string "access_token"
    t.datetime "access_token_expired_at"
    t.string "logo_url"
    t.string "callback_url"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["suite_id"], name: "index_wx_suites_on_suite_id"
  end

  create_table "wx_syn_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_suite_id"
    t.integer "wx_organization_id"
    t.string "corp_id"
    t.integer "event_type"
    t.integer "status", default: 0
    t.text "data", limit: 16777215
    t.datetime "finish_at"
    t.text "description", limit: 16777215
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["event_type"], name: "index_wx_syn_logs_on_event_type"
    t.index ["status"], name: "index_wx_syn_logs_on_status"
    t.index ["wx_organization_id"], name: "index_wx_syn_logs_on_wx_organization_id"
    t.index ["wx_suite_id"], name: "index_wx_syn_logs_on_wx_suite_id"
  end

  create_table "wx_upgrade_notice_logs", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "notice_id"
    t.integer "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["notice_id"], name: "index_wx_upgrade_notice_logs_on_notice_id"
    t.index ["user_id"], name: "index_wx_upgrade_notice_logs_on_user_id"
  end

  create_table "wx_user_department_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_organization_id"
    t.integer "wx_user_id"
    t.integer "wx_department_id"
    t.index ["wx_department_id"], name: "index_wx_user_department_maps_on_wx_department_id"
    t.index ["wx_organization_id"], name: "index_wx_user_department_maps_on_wx_organization_id"
    t.index ["wx_user_id"], name: "index_wx_user_department_maps_on_wx_user_id"
  end

  create_table "wx_user_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_user_id"
    t.integer "user_id"
    t.string "user_ticket", limit: 1000
    t.datetime "user_ticket_expired_at"
    t.integer "wx_organization_id"
    t.index ["user_id"], name: "index_wx_user_maps_on_user_id"
    t.index ["wx_user_id"], name: "index_wx_user_maps_on_wx_user_id"
  end

  create_table "wx_user_tag_maps", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_organization_id"
    t.string "userid"
    t.integer "tag_id"
    t.index ["wx_organization_id", "userid", "tag_id"], name: "wx_user_tag_maps_uniq", unique: true
    t.index ["wx_organization_id"], name: "index_wx_user_tag_maps_on_wx_organization_id"
  end

  create_table "wx_users", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_organization_id"
    t.string "userid"
    t.string "origin_userid"
    t.string "name"
    t.string "mobile"
    t.string "tel"
    t.string "email"
    t.integer "gender"
    t.string "weixinid"
    t.string "position"
    t.integer "is_leader"
    t.string "avatar"
    t.string "english_name"
    t.text "department", limit: 16777215
    t.integer "user_type"
    t.integer "status", default: 1
    t.integer "wxplugin_status"
    t.text "extattr", limit: 16777215
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["wx_organization_id", "origin_userid"], name: "index_wx_users_on_wx_organization_id_and_origin_userid"
    t.index ["wx_organization_id", "userid"], name: "index_wx_users_on_wx_organization_id_and_userid", unique: true
    t.index ["wx_organization_id"], name: "index_wx_users_on_wx_organization_id"
  end

  create_table "wx_visible_departments", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC", force: :cascade do |t|
    t.integer "wx_suite_id"
    t.integer "wx_organization_id"
    t.integer "wx_department_id"
    t.index ["wx_department_id"], name: "index_wx_visible_departments_on_wx_department_id"
    t.index ["wx_organization_id"], name: "index_wx_visible_departments_on_wx_organization_id"
    t.index ["wx_suite_id"], name: "index_wx_visible_departments_on_wx_suite_id"
  end

end
